--- Log file for XIM library changes, including all express (IR,MIM,ARM), CxClasses and mapping: 
**** 2009-05-26  v1.128.100

--- XIM EXPRESS ---
- Dimension_tolerance_xim
-- Add few redeclared as derived attributes in Location_dimension.
- Geometric_tolerance_xim
-- Unhide of_shape attribute for some entities (bug 3076):
--- Common_datum_armx
--- Single_datum

--- MIM EXPRESS ---
- resources/presentation_appearance_schema.exp
-- Change option shape_representation_relationship to representation_relationship in select style_context_select (bug #3088).

--- Mapping ---
- Dimension_tolerance\module.path
-- Some fixes to attribute mappings of Location_dimension.
-- Remove most of entity mappings, so that we do not get them in XIM.
- Shape_property_assignment\module.path
-- Restructure mapping of Shape_element so that bug 3084 is fixed.
-- Some fixed in the mapping Geometric_dimension.dimension_value according bug #3078.
-- Add mapping constraints to Value_set.values.
- Extended_geometric_tolerance\module.path
-- Remove most of entity mappings, so that we do not get them in XIM.


- ap210_xim.extra
-- Add strong attributes to
--- value_list
--- value_range_armx
--- value_range_with_global_unit

- clause5-1.path
-- Remove Default_tolerance/path from list.

--- Complex entities, lists ---
-- Added complexes used in CAX-IF files from Theorem Solutions
--- leader_directed_callout+linear_dimension+projection_directed_callout
--- linear_dimension+projection_directed_callout
--- geometric_tolerance_with_datum_reference+modified_geometric_tolerance+position_tolerance (bug 3094).
--- geometric_tolerance_with_datum_reference+modified_geometric_tolerance+position_tolerance_armx.
-- Remove Default_tolerance_xim from compilation list and schemas:
--- Ap203_configuration_controlled_3d_design_of_mechanical_parts_and_assemblies_xim
--- Extended_geometric_tolerance_xim
--- ida_step_schema_xim (also remove extended selects ida_general_tolerance_table_select, ida_default_setting_select)
-- Added geometric_model_relationship_mim to compilation list.

- Cx classes
-- Fix bug #3092.
--- jsdai.SLayered_interconnect_module_design_xim/CxVia_armx

**** 2009-04-23  v1.128.1

- Cx classes
-- Remove, rename or make private test/get methods for redeclared as derived attributes 
-- (as calling of those methods from outside should not be possible)
--- jsdai/SAssembly_component_placement_requirements_xim/CxComponent_placement_restriction_assignment.java
--- jsdai/SChemical_substance_xim/CxChemical_compound.java
--- jsdai/SChemical_substance_xim/CxChemical_element.java
--- jsdai/SChemical_substance_xim/CxPhysical_particle.java
--- jsdai/SClassification_with_attributes_xim/CxClass_hierarchy.java
--- jsdai/SClassification_with_attributes_xim/CxClass_with_attributes.java
--- jsdai/SContextual_shape_positioning_xim/CxGeometric_composition_with_placement_transformation.java
--- jsdai/SExtended_geometric_tolerance_xim/CxDatum_based_length_measure.java
--- jsdai/SFile_identification_xim/CxDigital_file.java
--- jsdai/SFile_identification_xim/CxFile.java
--- jsdai/SGeometric_tolerance_xim/CxPlaced_target.java
--- jsdai/SGeometric_tolerance_xim/CxTarget_point.java
--- jsdai/SInterconnect_module_with_macros_xim/CxInterconnect_module_macro_component_armx.java
--- jsdai/SLayered_interconnect_complex_template_xim/CxPhysical_unit_keepout_shape_allocation_to_stratum_stack_armx.java
--- jsdai/SMixed_complex_types/CxResistance_measure_with_unit$value_with_tolerances.java
--- jsdai/SPart_template_xim/CxTemplate.java
--- jsdai/SPhysical_breakdown_xim/CxPhysical_element.java
--- jsdai/SPhysical_unit_2d_design_view_xim/CxComponent_2d_location_armx.java
--- jsdai/SPhysical_unit_3d_design_view_xim/CxComponent_3d_location_armx.java
--- jsdai/SPrinted_physical_layout_template_xim/CxPrinted_part_cross_section_template_armx.java
--- jsdai/SRequirement_identification_and_version_xim/CxRequirement.java
--- jsdai/SZonal_breakdown_xim/CxZone_element.java

**** 2009-04-15  v1.128.0

--- MIM EXPRESS ---
- Ap210_electronic_assembly_interconnect_and_packaging_design_mim
-- Minor changes in USE FROMs
-- Added function apeaid_is_base
-- Added rule area_component_shape_constraint

- basic_curve_mim
-- Minor changes in USE FROMs
-- Added select closed_curve

- Chemical_substance_mim
-- Minor changes in USE FROMs

- Constructive_solid_geometry_2d_mim
-- Minor changes in USE FROMs
-- Minor issues on expressions (WRs, etc.):
--- csg_solid_2d
--- path_area_with_parameters
--- primitive_2d_with_inner_boundary
-- Added new functions:
--- valid_csg_2d_primitives
--- open_path_based_inner_boundary

- Moved entities from Layered_interconnect_simple_template_mim to Constructive_solid_geometry_2d_mim
-- closed_curve_style_parameters
-- curve_style_parameters_representation
-- curve_style_parameters_with_ends
-- path_area_with_parameters

- Layered_interconnect_simple_template_mim
-- Added new entity electrical_isolation_removal_template

- Minor changes in USE FROMs
-- Functional_usage_view_mim
-- Information_product_mim
-- Item_definition_structure_mim
-- Layered_interconnect_module_with_printed_component_design_mim
-- Model_parameter_mim
-- Part_and_zone_laminate_tables_mim
-- Part_collection_mim
-- Part_template_mim
-- Schematic_element_mim
-- Software_mim
-- Stock_material_mim
-- Surface_conditions_mim
-- resources/logical_expressions_schema

- interconnect_module_connection_routing_mim
-- Added select imcr_requirement_assigned_item

- Moved from Interconnect_physical_requirement_allocation_mim to Layered_interconnect_complex_template_mim
-- TYPE ipra_requirement_assigned_item
-- ENTITY dependent_electrical_isolation_removal_template
-- ENTITY dependent_thermal_isolation_removal_template
-- ENTITY thermal_isolation_removal_template

- Moved from Interconnect_physical_requirement_allocation_mim to  Layered_interconnect_simple_template_mim
-- ENTITY electrical_isolation_removal_template

- Interconnect_placement_requirements_mim
-- Minor changes in USE FROMs
-- Remove template_material_cross_section_boundary from ipr_non_feature_shape_element_subtypes

- Layered_interconnect_module_design_mim
-- Minor changes in USE FROMs
-- Added SUBTYPE_CONSTRAINT stratum_feature_template_component_subtypes
-- Removed from select limd_requirement_assigned_item
--- stratum_feature_conductive_join
--- dielectric_crossover_area
-- Minor changes on expressions within stratum_feature_template_component_with_stratum_feature

- Moved from Layered_interconnect_module_design_mim to land_mim
-- dependent_thermal_isolation_removal_component 

- Moved entities from interconnect_module_connection_routing_mim to Layered_interconnect_module_design_mim
-- physical_network_supporting_inter_stratum_feature
-- stratum_feature_conductive_join

- Land_mim
-- Added new entity 
--- dependent_electrical_isolation_removal_component
--- thermal_isolation_removal_component

- Product_categorization_mim
-- Minor changes in USE FROMs
-- Added FUNCTION categories_of_product

- Requirement_decomposition_mim
-- Minor change in USE FROM
-- Removed ENTITY requirement_definition

-- Moved ENTITY requirement_view_definition_relationship from Requirement_decomposition_mim to Requirement_view_definition_relationship_mim

- resources/shape_aspect_definition_schema
-- Minor changes in WRs of datum

--- Mapping ---
- clause5-1_AP210_pure.path
-- Added new file in the list - constructive_solid_geometry_2d/module.path

- ap210.extra
-- Removed entry on non existing attribute geometric_tolerance_armx.modification
-- Removed entry on non existing entity - component_non_planar_location

- ap210_electronic_assembly_interconnect_and_packaging_design/module.path
-- Removed sttribute mappings for removed entries in select for
--- Product_category_hierarchy
--- Product_category

- basic_curve/module.path
-- Renamed Closed_curve to Closed_composite_curve

- component_grouping/module.path
-- Relax mapping constraints in order to avoid problems in MIM 2 XIM conversion (for the case thosegroup components have no subcomponents):
--- Array_placement_group_armx
--- Assembly_group_component_armx
--- Linear_array_placement_group_component_armx
--- Rectangular_array_placement_group_component_armx

- constructive_solid_geometry_2d/module.path
-- Reflect moving of entities on EXPRESS. Moved entitities:
--- Closed_curve_style_parameters_armx
--- Curve_style_parameters
--- Curve_style_parameters_with_ends_armx
--- Path_area_with_parameters_armx

- derived_shape_element/module.path
-- Minor fix on Derived_shape_element mapping.

- fabrication_joint/module.path
-- Fix some mapping alternatives of Fabrication_joint_armx.fabrication_feature_2.

- functional_assignment_to_part/module.path
-- Add mapping for new entity Part_connected_terminals_definition_domain_armx

- identification_assignment/module.path
-- Minor fix in Externally_defined_identification_assignment

- interconnect_module_connection_routing/module.path
-- Moved to another module:
--- Dependently_located_layer_connection_point
--- Explicitly_located_layer_connection_point
--- Inter_stratum_join_implementation
--- Physical_network_supporting_inter_stratum_feature_armx
--- Physical_network_supporting_stratum_feature_conductive_join
-- Added some options to requirement_assignment_armx.assigned_to

- interconnect_module_with_macros/module.path
-- Moved from another module - Dependently_located_layer_connection_point

- interconnect_non_planar_shape/module.path
-- Removed from module - Component_non_planar_location

- interconnect_physical_requirement_allocation/module.path
-- Moved to other modules:
--- Dependent_electrical_isolation_removal_template_armx
--- Dependent_thermal_isolation_removal_template_armx
--- Electrical_isolation_removal_template_armx
--- Thermal_isolation_removal_template_armx

- layered_interconnect_complex_template/module.path
-- Moved from other modules:
--- Dependent_electrical_isolation_removal_template_armx
--- Dependent_thermal_isolation_removal_template_armx
--- Thermal_isolation_removal_template_armx

- layered_interconnect_module_design/module.path
-- Moved from other modules:
--- Dependently_located_layer_connection_point
--- Explicitly_located_layer_connection_point
--- Inter_stratum_join_implementation
--- Physical_network_supporting_inter_stratum_feature_armx
-- Moved to other modules:
--- Dependent_thermal_isolation_removal_component_armx
--- Physical_network_supporting_stratum_feature_conductive_join
--- Requirement_assignment_armx.assigned_to

- layered_interconnect_simple_template/module.path
-- Moved to other modules:
--- Closed_curve_style_parameters_armx
--- Curve_style_parameters
--- Curve_style_parameters_with_ends_armx
--- Path_area_with_parameters_armx
-- Moved from other modules:
--- Electrical_isolation_removal_template_armx

- land/module.path
-- Moved from other modules or added new mappings:
--- Dependent_electrical_isolation_removal_component_armx
--- Dependent_thermal_isolation_removal_component_armx
--- Thermal_isolation_removal_component_armx

- property_assignment/module.path
-- Add more mapping constraints to Assigned_property.

- requirement_decomposition/module.path
-- Moved to other module:
--- Requirement_view_definition_relationship_armx

- requirement_view_definition_relationship/module.path
-- Moved from other module:
--- Requirement_view_definition_relationship_armx

- shape_composition/module.path
-- Add a constraint in entitity mapping Shape_element_locating_relationship.

--- XIM EXPRESS ---

- ap210_electronic_assembly_interconnect_and_packaging_design_xim
-- Remove entries in select ap210_managed_design_object_armx:
-- Minor changes in USE FROMs
--- Product_category,
--- Product_category_hierarchy,
--- Component_non_planar_location
-- Added rule area_component_shape_constraint
-- Removed rules:
--- non_conductive_cross_section_template_population_constraint
--- printed_part_cross_section_template_population_constraint
--- printed_part_cross_section_template_terminal_population_constraint
--- printed_part_template_material_population_constraint
--- printed_part_template_material_link_population_constraint
--- template_material_cross_section_boundary_population_constraint
--- Physical_unit_network_definition_constraint
-- Removed selects:
--- aitc_ee_product_definition_with_annotation_elements
--- apupc_analytical_model_port_assignment_select
--- apupc_ee_product_definition_with_annotation_elements

- Assembly_technology_xim
-- Minor changes in WRs of Assembly_bond_definition_armx

- Basic_curve_xim
-- Renamed Closed_curve to Closed_composite_curve

- Chemical_substance_xim
-- Minor changes in USE FROMs
-- Minor changes in WRs of
--- Chemical_compound
--- Chemical_element
--- Physical_particle
--- Substance

USE FROM support_resource_schema(label);

- Moved entities from Layered_interconnect_simple_template_xim to Constructive_solid_geometry_2d_xim
-- enumeration extend_or_chord_2_extend_or_truncate_or_round
-- enumeration extend_or_truncate
-- enumeration square_or_round
-- entity Curve_style_parameters
-- entity Curve_style_parameters_with_ends_armx
-- entity path_area_with_parameters_armx

- Design_product_data_management_xim
-- Removed option from select ap210_pdm_documented_element_select:
--- Product_category

- Fabrication_technology_xim
-- Renamed ft_get_unspecified_asto to ft_count_unspecified_asto (and update its users)

- Footprint_definition_xim
-- Change derived attribute and/or WR of 
--- Generic_footprint_definition_armx
--- Footprint_definition_shape_model
--- Package_footprint_relationship_definition_armx
--- Added new function fd_get_single_stratum_components

- Functional_assignment_to_part_xim
-- Added new enumeration fatp_part_connected_terminals_definition_domain_enumeration
-- Added inverse attribute Part_connected_terminals_definition_armx.domain
-- Added new entity Part_connected_terminals_definition_domain_armx

- Functional_usage_view_xim
-- Minor changes in USE FROMs
-- Minor change in WRs of Functional_product

- Information_product_xim
-- Minor changes in USE FROMs
-- Minor change in WRs of Information_product

- Moved entities from Interconnect_module_connection_routing_xim to Layered_interconnect_module_design_xim
-- terminal_or_inter_stratum_feature
-- Dependently_located_layer_connection_point
-- Explicitly_located_layer_connection_point
-- Inter_stratum_join_implementation
-- Physical_network_supporting_inter_stratum_feature_armx
-- Physical_network_supporting_stratum_feature_conductive_join
-- Stratum_feature_conductive_join_armx

- Layered_interconnect_module_design_xim
-- Minor changes in USE FROMs
-- Added new entry in Pre_defined_physical_network_group_relation_types
-- Added new subtype constraint limd_stratum_feature_template_component_subtypes
-- Modified limd_requirement_assignment_item
-- Removed limd_trace_junction_or_via_select
-- Minor change in WR of
--- Area_component_armx
--- Conductive_interconnect_element_armx
--- Documentation_layer_stratum_armx
-- Add local ONEOF wihtin Layer_connection_point_armx
-- Change function get_base_component
-- Add new function get_mrlc_not_for_base

- Moved from Layered_interconnect_module_design_xim to Land_xim
--- Dependent_thermal_isolation_removal_component_armx

- Interconnect_module_with_macros_xim
-- Added select imwm_terminal_or_inter_stratum_feature

- Interconnect_non_planar_shape_xim
-- removed entity Component_non_planar_location

- Moved entities from Interconnect_physical_requirement_allocation_xim to Layered_interconnect_complex_template_xim
--- SELECT land_physical_template_or_inter_stratum_feature_template  
--- ENTITY Dependent_electrical_isolation_removal_template_armx
--- ENTITY Dependent_thermal_isolation_removal_template_armx
--- ENTITY Thermal_isolation_removal_template_armx

- Moved entities from Interconnect_physical_requirement_allocation_xim to Layered_interconnect_simple_template_xim
--- ENTITY Electrical_isolation_removal_template_armx 

- Layered_interconnect_complex_template_xim
-- WR changes in 
--- Library_to_design_stack_model_mapping_armx
--- Padstack_definition_armx
--- Stratum_stack_dependent_template_armx
-- Added function acyclic_library_to_design_stack_model_mapping

- Layered_interconnect_simple_template_xim
-- Minor changes in USE FROMs
-- Changes in WRs of Default_plated_passage_based_land_physical_template_armx

- interconnect_placement_requirements_xim
-- Minor changes in USE FROMs
-- Remove Template_material_cross_section_boundary_armx from ipr_non_feature_shape_element_subtypes

- item_definition_structure_xim
-- Minor changes in USE FROMs
-- Changes in WRs of Assembly_definition_armx

- Layered_interconnect_module_with_printed_component_design_xim
-- Minor changes in USE FROMs

- Land_xim
-- Added new entity 
--- Dependent_electrical_isolation_removal_component_armx
--- Thermal_isolation_removal_component_armx
-- Changed WRs of Land_armx
-- Added new function
--- land_get_associated_land_for_electrical_removal
--- land_get_associated_land_for_thermal_removal

- Non_feature_shape_element_xim
-- Changed function valid_es

- Package_xim
-- Minor changes in USE FROMs
-- Changed WRs of Package_armx

- packaged_part_black_box_model_xim
-- Changed derived attribute Packaged_part_armx.base_package

- Part_collection_xim
-- Minor changes in USE FROMs
-- Changed WRs of Collection_definition

- Part_template_xim
-- Minor changes in USE FROMs
-- Changed WRs of 
--- Template
--- Template_definition

- physical_unit_2d_design_view_xim
-- Added new functions
--- pu2dv_has_shape(input : Assembly_component_armx) : BOOLEAN;
--- pu2dv_typeof

- Printed_physical_layout_template_xim
-- Changed WRs of Printed_part_template_armx

- Production_rule_xim
-- Minor changes in USE FROMs
-- Changed WRs of Rule_product

-- Moved ENTITY Requirement_view_definition_relationship from Requirement_decomposition_xim to Requirement_view_definition_relationship_xim

- Requirement_view_definition_relationship_xim
-- Changed supertype of Tracing_relationship

- Software_xim
-- Minor changes in USE FROMs
-- Changed WRs of Software

--- Cx classes ---
-- Reflecting changes on XIM (mainly moving from one package to the other):
--- Removing jsdai/SInterconnect_module_connection_routing_xim/CxStratum_feature_conductive_join_armx.java;
--- Removing jsdai/SInterconnect_module_connection_routing_xim/CxPhysical_network_supporting_stratum_feature_conductive_join.java;
--- Removing jsdai/SInterconnect_module_connection_routing_xim/CxPhysical_network_supporting_inter_stratum_feature_armx.java;
--- Checking in jsdai/SGeneric_product_occurrence_xim/CxDefinition_based_product_occurrence.java;
--- Removing jsdai/SLayered_interconnect_simple_template_xim/CxPath_area_with_parameters_armx.java;
--- Checking in jsdai/SLayered_interconnect_simple_template_xim/CxTrace_template_armx.java;
--- Checking in jsdai/SLayered_interconnect_simple_template_xim/CxElectrical_isolation_removal_template_armx.java;
--- Checking in jsdai/SLayered_interconnect_simple_template_xim/CxFill_area_template_armx.java;
--- Checking in jsdai/SLayered_interconnect_simple_template_xim/CxClosed_path_area_with_parameters.java;
--- Checking in jsdai/SLayered_interconnect_simple_template_xim/CxHatch_area_template_armx.java;
--- Removing jsdai/SLayered_interconnect_simple_template_xim/CxClosed_curve_style_parameters_armx.java;
--- Removing jsdai/SLayered_interconnect_simple_template_xim/CxCurve_style_parameters_with_ends_armx.java;
--- Removing jsdai/SLayered_interconnect_simple_template_xim/CxCurve_style_parameters.java;
--- Checking in jsdai/SConstructive_solid_geometry_2d_xim/CxCurve_style_parameters.java;
--- Checking in jsdai/SConstructive_solid_geometry_2d_xim/CxClosed_curve_style_parameters_armx.java;
--- Checking in jsdai/SConstructive_solid_geometry_2d_xim/CxCurve_style_parameters_with_ends_armx.java;
--- Checking in jsdai/SConstructive_solid_geometry_2d_xim/CxPath_area_with_parameters_armx.java;
--- Removing jsdai/SRequirement_decomposition_xim/CxRequirement_view_definition_relationship_armx.java;
--- Checking in jsdai/SLayered_interconnect_module_design_xim/CxStratum_feature_conductive_join_armx.java;
--- Checking in jsdai/SLayered_interconnect_module_design_xim/CxPhysical_network_supporting_stratum_feature_conductive_join.java;
--- Checking in jsdai/SLayered_interconnect_module_design_xim/CxPhysical_network_supporting_inter_stratum_feature_armx.java;
--- Checking in jsdai/SLayered_interconnect_module_design_xim/CxConductive_interconnect_element_with_pre_defined_transitions_armx.java;
--- Removing jsdai/SInterconnect_physical_requirement_allocation_xim/CxThermal_isolation_removal_template_armx.java;
--- Removing jsdai/SInterconnect_physical_requirement_allocation_xim/CxElectrical_isolation_removal_template_armx.java;
--- Checking in jsdai/SBasic_curve_xim/CxClosed_composite_curve.java;
--- Removing jsdai/SBasic_curve_xim/CxClosed_curve.java;
--- Checking in jsdai/SRequirement_view_definition_relationship_xim/CxRequirement_view_definition_relationship_armx.java;
--- Checking in jsdai/SLayered_interconnect_complex_template_xim/CxThermal_isolation_removal_template_armx.java;
--- Checking in jsdai/SFabrication_technology_xim/CxPassage_technology_armx.java;
--- Checking in jsdai/SLayered_interconnect_module_design_xim/CxPhysical_network_supporting_inter_stratum_feature_armx.java;
--- Checking in jsdai/SLayered_interconnect_module_design_xim/CxPhysical_network_supporting_stratum_feature_conductive_join.java;
--- Checking in jsdai/SLayered_interconnect_module_design_xim/CxDependently_located_layer_connection_point.java;
--- Checking in jsdai/SLayered_interconnect_module_design_xim/CxExplicitly_located_layer_connection_point.java;
--- Checking in jsdai/SLayered_interconnect_module_design_xim/CxInter_stratum_join_implementation.java;
--- Removing jsdai/SInterconnect_module_connection_routing_xim/CxInter_stratum_join_implementation.java;
--- Removing jsdai/SInterconnect_module_connection_routing_xim/CxDependently_located_layer_connection_point.java;
--- Removing jsdai/SInterconnect_module_connection_routing_xim/CxExplicitly_located_layer_connection_point.java;
--- jsdai/SLand_xim/CxLand_armx - remove no longer used magic string
-- Added new Cx classes:
--- jsdai/SLand_xim/Dependent_electrical_isolation_removal_component.java
--- jsdai/SLand_xim/CxDependent_thermal_isolation_removal_component.java
--- jsdai/SLand_xim/CxThermal_isolation_removal_component_armx.java
--- jsdai/SMixed_complex_types/CxDependent_electrical_isolation_removal_component_armx$structured_layout_component_sub_assembly_relationship_with_component_xim
--- jsdai/SMixed_complex_types/CxDependent_thermal_isolation_removal_component_armx$structured_layout_component_sub_assembly_relationship_with_component_xim

--- Complex entities, lists ---
- Complex lists
-- Renamed complexes using closed_curve to use closed_composite_curve 
-- Removed complex entries (already there were in library):
--- modified_geometric_tolerance+perpendicularity_tolerance
--- modified_geometric_tolerance+symmetry_tolerance
-- Added new complexes
--- length_measure_with_unit+measure_item_with_precision+qualified_numerical_item_with_unit
--- geometric_tolerance_with_datum_reference+position_tolerance_armx
--- dependent_electrical_isolation_removal_component_armx+structured_layout_component_sub_assembly_relationship_with_component_xim
--- dependent_thermal_isolation_removal_component_armx+structured_layout_component_sub_assembly_relationship_with_component_xim

-- Removed complexes
--- product_definition_with_associated_documents+requirement_decomposition_mim.requirement_definition
--- datum_feature+interconnect_module_component_surface_feature

**** 2009-02-25  v1.127.100

--- Mapping ---
- Support for geometric validation property from CAX-IF.
-- ap210_electronic_assembly_interconnect_and_packaging_design\module.path
--- Some mapping alternatives for representation.
-- property_assignment\module.path
--- More alternatives for Assigned_property entity and attribute mappings.
-- shape_feature\module.path
--- Extend select sf_property_value_select with item_shape.
- Minor mapping constraints
-- document_definition
-- file_identification

--- Cx classes ---
-- Adding new Cx classes neded for files from to3d tool (after MIM2XIM conversion).
--- SContextual_shape_positioning_xim/CxGeometric_placement_model
--- SContextual_shape_positioning_xim/CxShape_placement_association
--- SMixed_complex_types/CxAdvanced_brep_shape_representation$geometric_placement_model
-- Support recent changes in Assigned_property.
--- SProperty_assignment_xim/CxAssigned_property
--- SShape_property_assignment_xim/CxShape_element
-- Adding new Cx classes neded for Cax-IF files in GD&T area.
--- jsdai/SDimension_tolerance_xim/CxPlus_minus_bounds
--- jsdai/SGeometric_tolerance_xim/CxPlaced_target
--- jsdai/SGeometric_tolerance_xim/CxGeometric_tolerance_armx
--- jsdai/SGeometric_tolerance_xim/CxTarget_point
--- jsdai/SGeometric_tolerance_xim/CxPerpendicularity_tolerance_armx
--- jsdai/SGeometric_tolerance_xim/CxSymmetry_tolerance_armx
--- jsdai/SDimension_tolerance_xim/CxDimension_value_with_limitation

--- XIM EXPRESS ---
- property_assignment_xim
-- Changes needed to support geometric validation property.
--- Extend select property_value_select with cartesian_point.
--- Extend select sf_property_value_select with item_shape (in shape_feature_xim).
--- Make Assigned_property non abstract.
- Fix schema names within expressions
-- specification_document_xim
-- physical_node_requirement_to_implementing_component_allocation_xim
-- printed_physical_layout_template_xim
-- specification_control_xim
-- interconnect_2d_shape_xim
-- product_occurrence_xim
-- fabrication_technology_xim
-- network_functional_design_view_xim
-- footprint_definition_xim
-- design_product_data_management_xim
-- device_marking_xim
-- specification_based_configuration_xim
-- package_xim
-- physical_unit_3d_design_view_xim
-- assembly_functional_interface_requirement_xim
-- layered_interconnect_module_design_xim
- Dimension_tolerance_xim
-- Remove derived attribute on Dimension_value_with_limitation.
- Geometric_tolerance_xim
-- Remove few attributes on Geometric_tolerance_armx (suggestion to make complexes when they are needed).


--- Complexes ---
- Added new complexes
-- datum_feature+interconnect_module_component_surface_feature						
-- camera_model_d3_multi_clipping+camera_model_d3_with_hlhsr
-- camera_model_d3_multi_clipping+camera_model_d3_with_hlhsr+camera_model_with_light_sources
-- camera_model_d3_with_hlhsr+camera_model_with_light_sources
-- camera_model_d3_multi_clipping+camera_model_with_light_sources
-- annotation_occurrence+over_riding_styled_item
-- dimension_text_associativity+text_literal_with_delineation+text_literal_with_extent
-- dimension_curve_directed_callout+leader_directed_callout
-- modified_geometric_tolerance+perpendicularity_tolerance_armx
-- geometric_tolerance_with_defined_unit+perpendicularity_tolerance_armx
-- geometric_tolerance_with_defined_unit+modified_geometric_tolerance+perpendicularity_tolerance_armx
-- modified_geometric_tolerance+symmetry_tolerance_armx
-- geometric_tolerance_with_defined_unit+symmetry_tolerance_armx
-- geometric_tolerance_with_defined_unit+modified_geometric_tolerance+symmetry_tolerance_armx
-- modified_geometric_tolerance+perpendicularity_tolerance
-- geometric_tolerance_with_defined_unit+modified_geometric_tolerance+perpendicularity_tolerance
-- modified_geometric_tolerance+symmetry_tolerance
-- geometric_tolerance_with_defined_unit+modified_geometric_tolerance+symmetry_tolerance
		
**** 2009-02-19  v1.127.1

-- Changes in Cx classes only

**** 2008-11-27  v1.127.0

--- MIM EXPRESS ---
- Analytical_model_mim
-- Removed analytical_model entity
-- Changed supertype of analytical_model_parameter
-- Modified analytical_model_port (changed supertypes, added DERIVED attributes)

- Ap210_electronic_assembly_interconnect_and_packaging_design_mim
-- Change USE FROMs
-- Multiple renamings (assembly_definition to assembly_module_design_view, 
     interconnect_definition to interconnect_module_design_view,
     operational_requirement_relationship to operational_requirement_occurrence_relationship)
-- Multiple fixes on functions, subtype_constraints, etc.

- Rename schema Physical_layout_template to Part_template
-- Ap210_printed_part_functional_and_physical_characterization_mim

- Assembly_component_placement_requirements_mim
-- Rename multiple xxx_requirement_occurrence to xxx_requirement.

- Assembly_module_design_mim
-- Rename schema Part_template_extension_mim to Layered_interconnect_simple_template
-- Added new entities:
--- assembly_module_design_view
--- layered_assembly_panel_design_view
--- layered_assembly_module_design_view 

- Assembly_module_usage_view_mim
-- Renamed assembly_definition to assembly_module_usage_view
-- Created new entity layered_assembly_module_usage_view

- Assembly_technology_mim
-- Removed subtype constraint assembly_module_subtypes

- Changed USE FROMs
-- Associative_text_mim
-- Constructive_solid_geometry_2d_mim
-- Derived_shape_element_mim
-- Device_marking_mim
-- Fabrication_joint_mim
-- General_surface_appearance_mim
-- Interconnect_non_planar_shape_mim
-- Layered_2d_shape_mim
-- Part_template_3d_shape_mim
-- Part_template_shape_with_parameters_mim
-- Printed_physical_layout_template_mim
-- Text_appearance_mim

- Characteristic_mim
-- Removed characteristic_data_table_header_link
-- Added new entities:
--- characteristic_data_column_header
--- characteristic_data_column_header_link
--- characteristic_data_table_header_decomposition
--- null_representation_item

- Classification_with_attributes_mim
-- Change USE FROMs
-- Changing some functions

- Design_product_data_management_mim
-- Remove classification_item_extended from select design_pdm_classification_item.

- Fabrication_technology_mim
-- Added new select ft_classification_item
-- Changed selects:
--- ft_external_identification_item
--- ft_requirement_assigned_item
-- Removed subtype constraint ft_part_template_definition_subtypes
-- Added new entities:
--- allocated_passage_minimum_annular_ring
--- design_stack_model
--- equivalent_stackup_model_definition
--- equivalent_sub_stack_definition
--- footprint_library_stratum_technology
--- impedance_measurement_setup_requirement
--- impedance_requirement
--- inverse_copy_stratum_technology_occurrence_relationship
--- local_linear_stack
--- passage_technology_allocation_to_stack_model
--- stratum_sub_stack 
--- stratum_technology_mapping_relationship
-- Removed entities:
--- blind_passage_template
--- component_termination_passage_template
--- continuous_template
--- counterbore_passage_template
--- countersunk_passage_template
--- default_passage_based_land_physical_template
--- default_plated_passage_based_land_physical_template
--- default_unsupported_passage_based_land_physical_template
--- filled_unsupported_passage_template
--- filled_via_template
--- inter_stratum_feature_template
--- land_physical_template
--- land_template_terminal
--- material_removal_feature_template
--- single_stratum_continuous_template
--- single_stratum_template
--- stratum_feature_template
--- unsupported_passage_template

- Featureand_connection_zone_mim
-- Added entity feature_definition_with_connection_area.

- Footprint_definition_mim
-- Changed USE FROMs
-- Added new entity package_footprint_relationship_definition

- Functional_assignment_to_part_mim
-- Changed USE FROMs
-- Added new select fatp_requirement_assigned_item
-- Added new entities:
--- part_connected_terminals_element
--- part_connected_terminals_structure_definition
--- part_connected_terminals_layout_topology_requirement_assignment

- Interconnect_module_usage_view_mim
-- Renamed Interconnect_definition to interconnect_module_usage_view and layered_interconnect_module_usage_view.
-- Minor changed in expressions.

- Interconnect_placement_requirements_mim
-- Added new entities:
--- area_qualified_layout_spacing_requirement
--- layout_spacing_contextual_area
-- Rename multiple xxx_requirement_occurrence to xxx_requirement.

- Rename schemas:
-- Part_template_2d_shape_mim to Layered_interconnect_complex_template_mim
-- Part_template_extension to Layered_interconnect_simple_template_mim
-- Physical_layout_template_mim to Part_template_mim

- Layered_interconnect_module_design_mim
-- Change selects:
--- limd_requirement_assigned_item
--- limd_external_identification_item
-- Add new entities (partially renamed)
--- interconnect_module_design_view
--- layered_interconnect_module_design_view
--- layered_interconnect_panel_design_view
--- physical_network_group
--- pre_defined_physical_network_group
--- externally_defined_physical_network_group
--- physical_network_group_element_relationship
--- pre_defined_physical_network_group_element_relationship
--- externally_defined_physical_network_group_element_relationship
-- Added WR to conductive_interconnect_element_with_pre_defined_transitions.

- Layout_macro_definition_mim
-- Change supertype of layout_macro_definition.

- Land_mim
-- Remove DERIVED attribute from land_with_join_terminal.

- Model_parameter_mim
-- Added new entity - model_parameter_with_unit 


- Part_external_reference_mim
-- Changed USE FROMs.
-- Added new entity part_terminal_external_reference.

- Physical_connectivity_definition_mim
-- Changed select pcd_groupable_item
-- Added new entities:
--- physical_connectivity_definition_domain
--- physical_connectivity_layout_topology_link
--- physical_connectivity_layout_topology_node
--- physical_connectivity_layout_topology_requirement
--- physical_connectivity_layout_topology_requirement_assignment

- Physical_node_requirement_to_implementing_component_allocation_mim
-- Added new entities:
--- assembly_to_part_connectivity_structure_allocation
--- physical_node_branch_requirement_to_implementing_component_allocation

- Physical_unit_design_view_mim
-- Changed USE FROMs
-- Changed 
--- pudv_groupable_item select
--- WRs of component_definition
-- Removed WR from assembly_component.

- Physical_unit_usage_view_mim
-- Added product_definition option into puuv_requirement_assigned_item.

- Product_breakdown_mim
-- Changed USE FROMs
-- Changed select product_definition_or_breakdown_element_usage

- Requirement_decomposition_mim
-- Change select rd_model_parameter_subtypes
-- Renamed operational_requirement_occurrence_relationship to operational_requirement_relationship

- Requirement_identification_and_version_mim
-- Changed USE FROMs
-- Renamed requirement_identification_and_version_mri_identification_item to requirement_identification_and_version_identification_item

- Task_element_mim
-- Change USE FROMs
-- Added new entities
--- decision_point
--- start_task

- Task_specification_mim
-- removed entities:
--- advisory_task_element
--- concurrent_task_element
--- end_task
--- exit_loop
--- looping_element
--- task_element
--- task_element_relationship
--- task_element_sequence
-- Remark - due to A lot of cosmetic changes, some technical one may not be captured properly

- Thermal_network_definition_mim
-- Changed USE FROMs
-- Added new entity thermal_network_node_definition

- Value_with_unit_extension_mim
-- Changed USE FROMs
-- Added new entities:
--- dielectric_constant_measure_with_unit
--- loss_tangent_measure_with_unit
--- thermal_resistance_measure_with_unit
--- thermal_resistance_unit

- Via_component_mim
-- Removed entity bonded_conductive_base_blind_via.

- Minor changes in expressions (WRs, functions, etc.)
-- resources/aic_curve_swept_solid
-- resources/aic_manifold_subsurface
-- resources/draughting_element_schema
-- resources/geometry_schema
-- resources/ISO13584_expressions_schema
-- resources/ISO13584_generic_expressions_schema
-- resources/mathematical_functions_schema
-- resources/measure_schema
-- resources/mesh_connectivity_schema
-- resources/mesh_topology_schema
-- resources/parameterization_schema
-- resources/representation_schema
-- resources/solid_shape_element_schema

- resources/shape_aspect_definition_schema
-- Added entity (from another schema) - common_datum
-- Modified WR1 of entity datum
-- Changed INVERSE and WR of datum_feature
-- Changed INVERSE and WR of datum_target

- resources/aic_geometric_tolerances
-- Change USE FROMs
-- Delete entity common_datum.

--- XIM EXPRESS ---

- Change users of Value_range to Value_range_armx as it should be
-- Extended_measure_representation_xim
-- Fabrication_technology_xim
-- Generic_product_occurrence_xim
-- Interconnect_physical_requirement_allocation_xim
-- Model_parameter_xim

- Non_feature_shape_element_xim
-- Add select extension - nfse_feature_or_non_feature_usage.

- Part_feature_location_xim
-- Change WRs of Usage_concept_usage_relationship_armx.

- Activity_xim
-- Added new attribute Activity.status

- Alias_identification_xim
-- Added
--- new select uri_item
--- new entity Applied_identification_assignment__alias
--- new entity applied_identification_assignment__uri

- Analytical_model_xim
-- Added am_property_assignment_select
-- Changed supertype of Analytical_model_parameter_armx
-- Make Analytical_model_application.model_parameter_assignment OPTIONAL

- Added new schema
-- Ap203_configuration_controlled_3d_design_of_mechanical_parts_and_assemblies_xim

- Ap210_assembly_physical_design_xim
-- Removed ap210_part_usage_view_subtypes
-- Removed printed_part_template_terminal_class_population_constraint

- Ap210_electronic_assembly_interconnect_and_packaging_design_xim
-- Changed USE FROMs
-- Added selects
--- ap210_analytical_model_port_assignment_select
--- ap210_assembly_module_or_assembly_group_component
--- ap210_ee_product_definition_with_annotation_elements
--- ap210_apd_assembly_module_or_assembly_group_component
--- physical_component_interface_terminal_armx_subtypes
--- packaged_part_armx_subtypes
--- ap210_physical_component_subtypes
--- ap210_part_usage_view_subtypes
--- ap210_apd_part_view_definition_subtypes
--- aczbmea_analytical_model_port_assignment_select
--- addbmd_ee_product_definition_with_annotation_elements
--- laminate_component_interface_terminal_armx_subtypes
--- laminate_component_join_terminal_armx_subtypes
--- planar_projected_shape_model_subtypes
--- shape_definition_3d_intersection_armx_subtypes
--- rule non_conductive_cross_section_template_population_constraint FOR
--- rule printed_part_cross_section_template_population_constraint FOR
--- rule printed_part_cross_section_template_terminal_population_constraint FOR
--- rule printed_part_template_material_population_constraint FOR
--- rule printed_part_template_material_link_population_constraint FOR
--- rule template_material_cross_section_boundary_population_constraint FOR
--- rule printed_part_template_terminal_class_population_constraint FOR
--- aitc_ee_product_definition_with_annotation_elements = EXTENSIBLE GENERIC_ENTITY SELECT BASED_ON ee_product_definition_with_annotation_elements WITH 
--- apupc_analytical_model_port_assignment_select = EXTENSIBLE GENERIC_ENTITY SELECT BASED_ON analytical_model_port_assignment_select WITH  
--- apupc_ee_product_definition_with_annotation_elements
-- Changed subtype constraints and selects:
--- ap210_eaiapd_restrict_information_product_subtypes
--- component_feature_to_physical_usage_view_assignment_subtypes
--- geometric_representation_relationship_subtypes
--- part_design_view_subtypes
--- ap210_managed_design_object_armx

- Changed USE FROMs
-- Ap210_printed_part_functional_and_physical_characterization_xim
-- Device_marking_xim
-- Interconnect_non_planar_shape_xim

- Rename multiple xxx_requirement_occurrence to xxx_requirement.
-- Assembly_component_placement_requirements_xim
-- Fabrication_requirement_xim
-- Requirement_decomposition_xim

- Assembly_module_design_xim
-- Changed USE FROMs
-- Rename 
--- Assembly_module to Assembly_module_design_view_armx
--- Pca to Layered_assembly_module_design_view_armx
-- added Layered_assembly_panel_design_view_armx

- Assembly_module_macro_definition_xim;
-- Rename Pca_terminal to Layered_assembly_module_terminal

- Assembly_module_usage_view_xim
-- Rename
--- Pca_terminal to Layered_assembly_module_terminal
--- Assembly_module_usage_view to Assembly_module_usage_view_armx (also change its supertype)
--- Pca_usage_view to Layered_assembly_module_usage_view_armx

- Assembly_module_with_interconnect_component_xim
-- Added WR to Interconnect_component_join_terminal
-- Rename interconnect_module_usage_view to Layered_interconnect_module_usage_view_armx

- Assembly_module_with_macro_component_xim
-- Rename Assembly_module to Assembly_module_design_view_armx

- Assembly_module_with_subassembly_xim
-- Rename Assembly_module_usage_view to Assembly_module_usage_view_armx.

- Assembly_physical_interface_requirement_xim
-- Rename multiple xxx_requirement_occurrence to xxx_requirement.

- Assembly_technology_xim
-- Rename Feature_definition_with_connection_area to Feature_definition_with_connection_area_armx
-- change WRs of
--- Assembly_bond_definition_armx
--- Assembly_joint_armx

- Characteristic_xim
-- Added new select characteristic_data_table_cell
-- Added new entities :
--- Characteristic_data_table_representation
--- Characteristic_data_table_row
--- Characteristic_data_column_header_armx 
--- Characteristic_data_column_header_link_armx
--- Characteristic_data_table_header_decomposition_armx
--- Null_representation_item_armx
-- Add new subtype constraint general_property_subtypes
-- Modified Characteristic_data_table_header_armx (Removed WR and DERIVED, added Inverse column)
-- Removed entities:
--- Characteristic_data_table_header_link_armx
--- Characteristic_data_table_representation
--- Characteristic_data_table_row
--- function get_value
--- function get_characterized_column_headers
--- function get_table

- Classification_with_attributes_xim
-- Changed WR of Classification_association

- Component_feature_xim
-- Make Component_terminal_armx ABSTRACT.

- Assembly_module_with_interconnect_component_xim
-- Rename 
--- Component_terminal_to_pca_terminal_assignment to Component_terminal_to_layered_assembly_module_terminal_assignment
--- layered_pca_interface_select to layered_assembly_module_interface_select

- Fabrication_join_xim
-- Change type of Fabrication_joint_armx.associated_interconnect_module from Interconnect_module to Layered_interconnect_module_design_view_armx.

- Fabrication_technology_xim
-- Changed USE FROMs.
-- Removed types:
--- ft_shape_feature_subtypes
--- ft_template_definition_subtypes
--- land_template_terminal_class
--- mt_usage_concept
-- Renamed mt_external_identification_item to ft_external_identification_item_armx
-- Added type
--- ft_value_select
-- Added new entities (likely moved from other module):
--- Allocated_passage_minimum_annular_ring_armx
--- Design_stack_model_armx
--- Equivalent_stackup_model_definition_armx
--- Equivalent_sub_stack_definition_armx
--- Footprint_library_stratum_technology_armx
--- Impedance_measurement_setup_requirement_armx
--- Impedance_requirement_armx
--- Local_linear_stack_armx
--- Passage_technology_allocation_to_stack_model_armx
--- Stratum_sub_stack_armx
--- Stratum_technology_mapping_relationship_armx
-- Removed entities (likely moved from other module):
--- Blind_passage_template_armx
--- Component_termination_passage_template_join_terminal
--- Continuous_template_armx
--- Counterbore_passage_template_armx
--- Countersunk_passage_template_armx
--- Default_attachment_size_based_land_physical_template_armx
--- Default_passage_based_land_physical_template_armx
--- Default_plated_passage_based_land_physical_template_armx
--- Default_unsupported_passage_based_land_physical_template_armx
--- Filled_unsupported_passage_template_armx
--- Inter_stratum_feature_template_armx
--- Land_physical_template_armx
--- Land_template_interface_terminal
--- Land_template_join_terminal
--- Land_template_terminal_armx
--- Material_removal_feature_template_armx
--- Single_stratum_continuous_template_armx
--- Single_stratum_template_armx
--- Stratum_feature_template_armx
--- Unsupported_passage_template_armx
--- Via_template_armx
--- Via_template_terminal
-- Change type of as_finished_passage_extent for entities:
--- Default_component_termination_passage_definition.
--- Default_unsupported_passage_definition
--- Default_via_definition
--- Passage_technology_armx (plus)
---- minimum_finished_feature_size
---- supported_external_minimum_annular_ring
---- supported_internal_minimum_annular_ring
---- unsupported_minimum_annular_ring     
---- new WRs
-- Change many functions
--- Added WR for Allocated_passage_minimum_annular_ring_armx.

- Feature_and_connection_zone_xim
-- Rename Feature_definition_with_connection_area to Feature_definition_with_connection_area_armx
-- Changed DERIVED attribute for Shape_feature, add function. 

- Footprint_definition_xim
-- Change USE FROMs
-- Change EXPRESSions (WRs, Derived attributes) for:
--- Generic_footprint_definition_armx
--- Footprint_definition_armx
--- Part_feature_based_template_location
-- Added new attribute, changed WRs for Footprint_definition_shape_model.reference_seating_plane_placement
-- Added new entity Package_footprint_relationship_definition_armx
-- Changed function get_template_arrangement
-- Added new functions
--- fd_get_components
--- fd_get_amodel
--- fd_get_rmodels
--- fd_get_transforms
-- Minor changes in DERIVED and WRs of Footprint_definition_shape_model.

- Functional_assignment_to_part_xim
-- Changed USE FROMs
-- Added new types
--- fatp_requirement_assignment_item
--- fatp_termination_or_junction
-- Added new entities
--- Part_connected_terminals_layout_topology_requirement_assignment_armx
--- Part_connected_terminals_element_armx
--- Part_connected_terminals_structure_definition_armx
--- Part_connected_terminals_topological_junction
-- Added new attribute Part_terminal.terminal_type
-- Added new Functions
--- fatp_get_pt
--- fatp_get_tj

- Functional_specification_xim
-- added new type fs_node_or_terminal
-- Changed cardinality of attributes Functional_specification_armx.reference_signal and Functional_specification_armx.characterizing_signal
-- Changed cardinality or type of attributes for Signal_specification (also added WR1):
--- signal_access_mechanism
--- reference_access_mechanism
--- minimum_characteristic
--- maximum_characteristic
--- characterization_network
--- nominal_characteristic

- Geometric_tolerance_xim
-- Changed attribute Datum_defined_by_feature.defined_by
-- Added new entity Datum_feature_shape_element_xim

- Ida_step_schema_xim
-- Remove USE FROM construction_history_xim and used entity Transition_feature_solid from all occurrences.

- Identification_assignment_xim
-- Removed entity Applied_identification_assignment__alias.

- Interconnect_module_connection_routing_xim
-- Change type of attributes
--- Junction_vertex_allocation.required_vertex
--- Physical_connectivity_abstraction_map.name_space_context_based_definition

- Interconnect_module_to_assembly_module_relationship_xim
-- Change type of attributes
--- Assembly_requirement_for_interconnect_relationship.relating_view
--- Assembly_requirement_for_interconnect_relationship.related_view

- Interconnect_module_usage_view_xim
-- Changed WR of 
--- Interconnect_module_cavity_surface
--- Interconnect_module_cutout_segment_surface_armx
--- Interconnect_module_cutout_surface
--- Interconnect_module_edge_segment_surface_armx
--- Interconnect_module_edge_surface
- Change attribute type of containing_shape for
-- Interconnect_module_surface_feature
-- Renamed Interconnect_module_terminal to Interconnect_module_terminal_armx
-- Renamed Pcb_usage_view to Layered_interconnect_module_usage_view_armx
-- Changed attribute type for INVERSE attribute Located_interconnect_module_thickness_requirement.design

- Interconnect_module_with_macros_xim
-- Apply rename Interconnect_module to Layered_interconnect_module_design_view_armx

- Interconnect_physical_requirement_allocation_xim
-- Changed WRs or DERIVED attributes of 
--- Dependent_electrical_isolation_removal_template_armx
--- Dependent_thermal_isolation_removal_template_armx
--- Electrical_isolation_removal_template_armx
--- Electrical_isolation_requirement
--- Thermal_isolation_requirement
-- Change function get_specific_requirement_type_for_primary_rvd_relationship

- Interconnect_placement_requirements_xim
-- Rename pca_product_design_object_category to lam_product_design_object_category and change it a bit.
-- Rename pca_product_design_object_category_or_group lam_product_design_object_category_or_group and change it a bit.
-- Application of renaming Interconnect_module to Layered_interconnect_module_design_view_armx
-- Added new entity 
--- Area_qualified_layout_spacing_requirement_armx
--- Layout_spacing_contextual_area_armx
-- Rename multiple xxx_requirement_occurrence to xxx_requirement.

- Rename schemas (note due to this renaming some additional changes in those schema may not be captured):
-- Part_template_2d_shape_xim to Layered_interconnect_complex_template_xim
-- Part_template_extension_xim to Layered_interconnect_simple_template_xim
-- Physical_layout_template_xim to Part_template_xim

- Layered_interconnect_module_design_xim
-- Changed USE FROMs
-- Added constant Pre_defined_physical_network_group_types
-- Renamed Part_terminal_external_reference to Part_terminal_external_reference_armx
-- Changed WRs and derived attributes of
--- Footprint_occurrence_sub_assembly_relationship
--- Inter_stratum_feature_armx
--- Laminate_component_armx
--- Layer_stack_region_armx
--- Stratum_feature_template_component_armx
-- Application of renaming Interconnect_module to Layered_interconnect_module_design_view_armx
-- Added new entity 
--- Layered_interconnect_module_design_view_armx
--- Physical_network_group_armx
--- Pre_defined_physical_network_group_armx
--- Externally_defined_physical_network_group_armx
--- Physical_network_group_element_relationship_armx
--- Pre_defined_physical_network_group_element_relationship_armx
--- Externally_defined_physical_network_group_element_relationship_armx
-- Changed rule limd_unique_stratum
-- Added function acyclic_physical_network_group_element_relationship
-- Renamed Pcb to Layered_interconnect_panel_design_view_armx

- Layered_interconnect_module_with_printed_component_design_xim
-- Minor change in function limdwpcd_get_stolrs

- Layout_macro_definition_xim
-- Change supertype of Layout_macro_definition_armx

- lksoft_extensions_xim
-- Changed USE FROMs
-- Change WRs of Sequential_stratum_technology_occurrence_group_xim
-- Change function get_group_stack

- Model_parameter_xim
-- Added new entity Model_parameter_with_unit_armx.

- Network_functional_design_view_xim
-- added new type nfdv_pa_or_parameter_assignment_override
-- Changed type of Functional_unit_armx.functional_property

- Package_xim
-- Removed attribute Connection_zone_package_interface_plane_relationship.mating_zone and Unique attribute for it
-- Minor change on WR of 
--- Package_armx
--- Package_terminal_template_definition_armx
-- Change inverse Package_terminal_armx.feature_shape
-- Change Package_terminal_template_definition_armx.external_connection_zone (make it redeclared)
-- Change DERIVED attribute for Package_terminal_template_definition_armx.

- Part_external_reference_xim
-- Make Part_terminal_external_reference_armx subtype of Shape_element and therefore remove all direct and derived attributes (they are now derived from supertype).

- Part_feature_grouping_xim
-- Change functions acyclic_part_feature_placement_link and acyclic_part_linear_array_feature_link.

- Part_template_3d_shape_xim
-- Changed USE FROMs
-- Removed pt3ds_physical_unit_shape_model_select

- Part_template_shape_with_parameters_xim
-- Add WR2 to Part_template_shape_model
-- Remove entity Part_template_shape_representation_relationship

- Physical_component_feature_xim
-- Added new attribute Physical_component_terminal_armx.terminal_type

- Physical_connectivity_definition_xim
-- Added new type physical_connectivity_definition_domain_enumeration
-- Added new attributes for Physical_connectivity_definition_armx - associated_definition and domain.
-- Added new entity 
--- Physical_connectivity_definition_domain_armx
--- Physical_connectivity_layout_topology_link_armx
--- Physical_connectivity_layout_topology_node_armx
--- Physical_connectivity_layout_topology_requirement_armx
--- Physical_connectivity_layout_topology_requirement_assignment_armx
-- Added new FUNCTIONs:
--- pcd_get_assemblies
--- acyclic_physical_connectivity_layout_topology_link
--- pcd_get_pcltn
-- Made 2 attributes of Physical_connectivity_element_armx redeclared.
-- Changes to Derived attributes and WRs of Physical_unit_network_definition_armx

- Physical_node_requirement_to_implementing_component_allocation_xim
-- Added new entity Assembly_to_part_connectivity_structure_allocation_armx

- Physical_unit_2d_design_view_xim
-- Removed entity Component_part_2d_geometric_representation_relationship.
-- Change derived on Component_2d_location_armx.

- Physical_unit_3d_design_view_xim
-- Removed entity Component_part_3d_geometric_representation_relationship.
-- Change derived on Component_3d_location_armx.

- Physical_unit_design_view_xim
-- Changed USE FROMs
-- Changed subtype constraint pudv_connection_zone_subtypes
-- Make Assembly_component_armx non-abstract, change one WR.
-- Minor changes in expressions.

- Physical_unit_shape_with_parameters_xim
-- remove entity Physical_unit_shape_representation_relationship

- Physical_unit_usage_view_xim
-- added new attribute Part_feature.feature_shape
-- Changed supertypes of Part_feature_template_definition_armx

- Pre_defined_product_data_management_specializations_xim
-- Added new entities:
--- Applied_organization_assignment__design_owner
--- Applied_person_and_organization_assignment__design_owner
--- Applied_date_and_time_assignment__actual_end
--- Applied_date_and_time_assignment__actual_start
--- Applied_date_and_time_assignment__planned_end
--- Applied_date_and_time_assignment__planned_start

- Printed_physical_layout_template_xim
-- Changed USE FROMs
-- Changed WR of:
--- Printed_tiebar_template_armx
--- Structured_printed_part_template_armx
--- Structured_printed_part_template_terminal_armx

- Requirement_identification_and_version_xim
-- Rename requirement_identification_and_version_identification_item to requirement_identification_and_version_identification_item_armx.

- Sequential_laminate_assembly_design_xim
-- Application of renaming Interconnect_module to Layered_interconnect_module_design_view_armx.

- Task_specification_xim
-- Remove entity Advisory_task_step

- Thermal_network_definition_xim
-- Changed USE FROMs
-- Changed supertypes of Thermal_network_definition
-- Added new entity Thermal_functional_unit_network_node_definition.

- Via_component_xim
-- Removed entity Bonded_conductive_base_blind_via_armx

--- Mapping ---
- ap210.extra
-- Rename product_occurrence_definition_relationship to product_occurrence_definition_relationship_armx
-- Rename operational_requirement_relationship_armx to operational_requirement_occurrence_relationship_armx
-- Remove entries for
--- land_template_terminal_armx
--- datum_shape_element
-- Add strong attributes for
--- functional_element_usage_armx
--- physical_element_usage_armx
--- zone_element_usage_armx
--- zone_breakdown_version
--- zone_element_version
--- person_or_organization_or_person_in_organization_in_position_relationship


- Mapping files
-- Rename schemas:
--- Part_template_2d_shape to Layered_interconnect_complex_template
--- Part_template_extension to Layered_interconnect_simple_template
--- Physical_layout_template to Part_template
-- Move schemas from IDA-STEP specific to generic section:
--- 'specification_control/module.path';
--- 'surface_conditions/module.path';
--- 'product_breakdown/module.path';
--- 'physical_breakdown/module.path';
--- 'functional_breakdown/module.path';
--- 'location/module.path';

- Geometric_tolerance
-- Add mapping for Datum_feature_shape_element_xim.

- Activity
-- Remove mappings for Activity attributes name, description, chosen_method, id
-- Add mapping for Activity attribute status

- Alias_identification
-- Removed mapping for Alias_identification
-- Added mapping for Applied_identification_assignment__alias

- Analytical_model
-- Added new mapping Assigned_property
-- Changed mapping for 
--- Analytical_model_application.model_representation
--- Analytical_model_definition_armx
--- Analytical_model_parameter_armx
--- Analytical_model_parameter_armx.accessed_analytical_model
--- Analytical_model_port_armx
--- Analytical_model_port_armx.accessed_analytical_model

- ap210_electronic_assembly_interconnect_and_packaging_design
-- Change mapping for (some alternatives)
--- Add_design_object_management_relationship.current_design_object
--- Change_design_object_management_relationship.previous_design_object
--- Change_design_object_management_relationship.current_design_object
--- Delete_design_object_management_relationship.previous_design_object
--- Frozen_assignment_armx.frozen_item

- approval/module.path
-- Minor fix in Approving_person_organization.role_x.

- Rename multiple xxx_requirement_occurrence to xxx_requirement.
-- assembly_component_placement_requirements
-- assembly_physical_interface_requirement
-- fabrication_requirement
-- property_assignment
-- requirement_decomposition

- Assembly_module_design
-- Rename Assembly_module to Assembly_module_design_view_armx
-- Rename Pca to Layered_assembly_module_design_view_armx
-- Changed mapping of 
--- Bare_die_component_armx
--- Minimally_defined_component_terminal.definition

- Assembly_module_usage_view
-- Change mapping of
--- Assembly_module_terminal_armx.associated_definition
-- Renamed Assembly_module_usage_view to Assembly_module_usage_view_armx
-- Renamed Pca_terminal to Layered_assembly_module_terminal
-- Renamed Pca_usage_view to Layered_assembly_module_usage_view_armx

- assembly_module_with_interconnect_component
-- Changed mapping of Interconnect_module_component_armx.derived_from

- Assembly_module_with_macro_component
-- Changed mapping of Assembly_module_macro_component_armx.derived_from

- Assembly_module_with_subassembly
-- Changed mapping of Assembly_module_component_armx.derived_from

- Assembly_technology
-- Changed mapping of Assembly_joint_armx.associated_assembly.

- Associative_text
-- Removed attribute mapping Text_with_leader.leader.

- Characteristic
-- Removed entity mapping Characteristic_data_table_header_link_armx
-- Added new entity mappings:
--- Characteristic_data_column_header_armx
--- Characteristic_data_table_column_link_armx
--- Characteristic_data_table_header_decomposition_armx
--- Null_representation_item_armx
-- Changed Characteristic_data_table_row.cell

- Component_feature
-- Changed mapping of Component_feature_armx.definition (one alternative only).

- design_specific_assignment_to_assembly_usage_view
-- Renamed Component_terminal_to_pca_terminal_assignment to Component_terminal_to_layered_assembly_module_terminal_assignment

- Fabrication_joint
-- Changed mapping of Fabrication_joint_armx.associated_interconnect_module.

- Fabrication_technology
-- Big movements of entities (from one module to another) - see XIM and MIM section for more details.

- Feature_and_connection_zone
-- Renamed Feature_definition_with_connection_area to Feature_definition_with_connection_area_armx.

- Footprint_defintion
-- Added mapping for Package_footprint_relationship_definition_armx

- Functional_assignment_to_part
-- Added mew entity mappings
--- Part_connected_terminals_layout_topology_requirement_assignment_armx
--- Part_connected_terminals_element_armx
--- Part_connected_terminals_structure_definition_armx
--- Part_connected_terminals_topological_junction

- Functional_breakdown
-- Changed mapping of Functional_element_usage_armx.

- functional_specification
-- Changed attribute mappings for Signal_specification
-- Renamed measurement_access_mechanism to signal_access_mechanism
-- Added attribute mapping signal_access_mechanism
-- Added attribute reference_access_mechanism

- ida_step_schema
-- Changed mapping of process_operation_resource_assignment.reference_tool.

- Identification_assignment
-- Changed the mapping of Identification_assignment
-- Removed the mapping for Applied_identification_assignment__alias

- interconnect_module_connection_routing
-- Changed the mapping for Physical_connectivity_abstraction_map.name_space_context_based_definition
-- Changed the mapping for Junction_vertex_allocation.required_vertex

- Interconnect_module_to_assembly_module_relationship
-- Changed the mapping of Assembly_requirement_for_interconnect_relationship
-- Rename multiple xxx_requirement_occurrence to xxx_requirement.

- Interconnect_module_usage_view
-- Changed the mapping for 
--- Interconnect_module_surface_feature.associated_definition
--- Interconnect_module_terminal_armx.associated_definition
-- Renamed Interconnect_module_usage_view to Interconnect_module_usage_view_armx_armx
-- Renamed Pcb_usage_view to Layered_interconnect_module_usage_view_armx

- Interconnect_module_with_macros
-- Changed mapping of Interconnect_module_macro_component_armx.derived_from

- Interconnect_physical_requirement_allocation
-- Changed attribute mappings for Thermal_isolation_requirement
--- effective_current_capacity_requirement
--- effective_thermal_resistance_requirement
--- angular_orientation_requirement

- Interconnect_placement_requirements
-- Added new entity mappings for 
--- Area_qualified_layout_spacing_requirement_armx
--- Layout_spacing_contextual_area_armx
-- Changed attribute mappings of Interconnect_module_constraint_region.scope
-- Rename multiple xxx_requirement_occurrence to xxx_requirement.

- Rename schemas:
-- Part_template_2d_shape to Layered_interconnect_complex_template_mim
-- Part_template_extension to Layered_interconnect_simple_template_mim
-- Physical_layout_template_mim to Part_template_mim

- Layered_interconnect_module_design
-- Added more mapping alternatives to External_source_identification.item
-- Changed attribute mappings of Generic_physical_network
--- current_associated_definition
--- prior_associated_definition
-- Renamed Interconnect_module to Layered_interconnect_panel_design_view_armx
-- Renamed Pcb_design_view to Layered_interconnect_module_design_view_armx
-- Renamed Pcb to Interconnect_module_design_view_armx
-- Add mappings for new entities
--- Physical_network_group_armx
--- Pre_defined_physical_network_group_armx
--- Externally_defined_physical_network_group_armx
--- Physical_network_group_element_relationship_armx
--- Pre_defined_physical_network_group_element_relationship_armx
--- Externally_defined_physical_network_group_element_relationship_armx

- Layout_macro_definition
-- Changed attribute mapping Layout_macro_component_armx.design_definition
-- Changed entity mapping for Layout_macro_definition_armx
-- Changed attribute mapping Layout_macro_definition_armx.floor_layout_view

- Model_parameter
-- Added mapping for new entity Model_parameter_with_unit_armx.

- Network_functional_design_view
-- Added new attribute mapping Functional_unit_armx.functional_property

- Package
-- Removed attribute mapping Connection_zone_package_interface_plane_relationship.mating_zone
-- Changed attribute mapping of Package_terminal_template_definition_armx.external_connection_zone

- Part_external_reference
-- Renamed Part_terminal_external_reference to Part_terminal_external_reference_armx

- Part_occurrence
-- Minor change in Definition_based_part_occurrence.derived_from.

- Part_template_3d_shape
-- Removed mapping for Footprint_definition_shape_model.

- Part_template_shape_with_parameters
-- Removed entity mapping Part_template_shape_representation_relationship

- Physical_breakdown
-- Change mapping of entity Physical_element_usage_armx and all its attribute mappings.

- Physical_connectivity_definition
-- Add mappings for new entities:
--- Physical_connectivity_definition_domain_armx
--- Physical_connectivity_layout_topology_link_armx
--- Physical_connectivity_layout_topology_node_armx
--- Physical_connectivity_layout_topology_requirement_armx
--- Physical_connectivity_layout_topology_requirement_assignment_armx

- Physical_node_requirement_to_implementing_component_allocation
-- Add mappings for new entities:
--- Assembly_to_part_connectivity_structure_allocation_armx
--- Physical_node_branch_requirement_to_implementing_component_allocation_armx

- Physical_unit_2d_design_view
-- Removed entity mapping for Component_part_2d_geometric_representation_relationship.

- Physical_unit_2d_design_view
-- Removed entity mapping for Component_part_3d_geometric_representation_relationship.

- Physical_unit_design_view
-- Changed mapping of Assembly_component_armx and Assembly_component_armx.derived_from.

- Physical_unit_shape_with_parameters
-- Removed entity mapping for Physical_unit_shape_representation_relationship.

- Physical_unit_usage_view
-- Changed mapping for one alternative of Requirement_assignment_armx.assigned_to.

- Pre_defined_product_data_management_specialisations
-- Changed mapping of 
--- Externally_defined_organization_or_person_in_organization_assignment__aoa
--- Externally_defined_organization_or_person_in_organization_assignment__apaoa
--- Pre_defined_organization_or_person_in_organization_assignment__aoa
--- Pre_defined_organization_or_person_in_organization_assignment__apaoa
-- Add entity mapping for
--- Applied_organization_assignment__design_owner
--- Applied_person_and_organization_assignment__design_owner
--- Applied_date_and_time_assignment__actual_end
--- Applied_date_and_time_assignment__actual_start
--- Applied_date_and_time_assignment__planned_end
--- Applied_date_and_time_assignment__planned_start

- Printed_physical_layout_template
-- Changed attribute mapping for Printed_part_cross_section_template_armx.transmission_line_model.

- Product_breakdown
-- Changed mapping for entity and all its attributes - Breakdown_element_usage_armx
-- Changed attribute mapping for 
--- Assigned_property.described_element
--- Product_definition_element_relationship_armx.breakdown

- Sequential_laminate_assembly_design
-- Stackup_requirement_to_design_relationship.relating_product_definition

- Specification_based_configuration
-- Changed attribute mappings for Configuration
--- inheritance_type
--- configuration_type

- Specification_control
-- Changed mappings for 
--- Specification_category_breakdown_influence.influencing_category
--- Configuration

- Task_specification
-- Removed mapping for entity Advisory_task_step

- Thermal_network_definition
-- Add mapping for new entity Thermal_functional_unit_network_node_definition

- Via_component
-- Remove entity mapping for Bonded_conductive_base_blind_via_armx

- Zonal_breakdown
-- Changed mapping for entity and all its attributes - Zone_element_usage_armx.

--- Cx classes (stopped collecting them as it is simply too much) ---
-- Changed or added new jsdai/SFabrication_technology_xim/CxDesign_layer_technology.java;
-- Changed or added new jsdai/SFabrication_technology_xim/CxStratum_technology_armx.java;
-- Changed or added new jsdai/SFabrication_technology_xim/CxDocumentation_layer_technology.java;
-- Changed or added new jsdai/SLayered_interconnect_simple_template_xim/CxComponent_termination_passage_template_interface_terminal.java;
-- Changed or added new jsdai/SLayered_interconnect_simple_template_xim/CxSnowball_template_armx.java;
-- Changed or added new jsdai/SLayered_interconnect_simple_template_xim/CxLand_template_interface_terminal.java;
-- Changed or added new jsdai/SLayered_interconnect_simple_template_xim/CxPart_string_template_armx.java;
-- Changed or added new jsdai/SLayered_interconnect_simple_template_xim/CxDefault_trace_template_armx.java;
-- Changed or added new jsdai/SLayered_interconnect_simple_template_xim/CxConnection_zone_in_layout_template.java;
-- Changed or added new jsdai/SLayered_interconnect_simple_template_xim/CxCurve_style_parameters_with_ends_armx.java;
-- Changed or added new jsdai/SLayered_interconnect_simple_template_xim/CxComponent_termination_passage_template_join_terminal.java;
-- Changed or added new jsdai/SLayered_interconnect_simple_template_xim/CxLand_template_terminal_armx.java;
-- Changed or added new jsdai/SLayered_interconnect_simple_template_xim/CxInter_stratum_feature_edge_template_armx.java;
-- Changed or added new jsdai/SLayered_interconnect_simple_template_xim/CxLand_physical_template_armx.java;
-- Changed or added new jsdai/SLayered_interconnect_simple_template_xim/CxVia_template_terminal.java;
-- Changed or added new jsdai/SLayered_interconnect_simple_template_xim/CxComponent_termination_passage_template_armx.java;
-- Changed or added new jsdai/SLayered_interconnect_simple_template_xim/CxMaterial_removal_feature_template_armx.java;
-- Changed or added new jsdai/SLayered_interconnect_simple_template_xim/CxClosed_path_area_with_parameters.java;
-- Changed or added new jsdai/SLayered_interconnect_simple_template_xim/CxDefault_plated_passage_based_land_physical_template_armx.java;
-- Changed or added new jsdai/SLayered_interconnect_simple_template_xim/CxLand_template_join_terminal.java;
-- Changed or added new jsdai/SLayered_interconnect_simple_template_xim/CxVia_template_armx.java;
-- Changed or added new jsdai/SLayered_interconnect_simple_template_xim/CxDefault_attachment_size_based_land_physical_template_armx.java;
-- Changed or added new jsdai/SLayered_interconnect_simple_template_xim/CxPart_text_template_armx.java;
-- Changed or added new jsdai/SLayered_interconnect_simple_template_xim/CxInter_stratum_feature_template_armx.java;
-- Changed or added new jsdai/SLayered_interconnect_simple_template_xim/CxStratum_feature_template_armx.java;
-- Changed or added new jsdai/SLayered_interconnect_simple_template_xim/CxParametric_template_armx.java;
-- Changed or added new jsdai/SLayered_interconnect_simple_template_xim/CxComponent_termination_passage_template_terminal.java;
-- Changed or added new jsdai/SLayered_interconnect_simple_template_xim/CxClosed_curve_style_parameters_armx.java;
-- Changed or added new jsdai/SLayered_interconnect_simple_template_xim/CxDefault_unsupported_passage_based_land_physical_template_armx.java;
-- Changed or added new jsdai/SLayered_interconnect_simple_template_xim/CxContinuous_template_armx.java;
-- Changed or added new jsdai/SLayered_interconnect_simple_template_xim/CxDefault_passage_based_land_physical_template_armx.java;
-- Changed or added new jsdai/SLayered_interconnect_simple_template_xim/CxPath_area_with_parameters_armx.java;
-- Changed or added new jsdai/SLayered_interconnect_simple_template_xim/CxTrace_template_armx.java;
-- Changed or added new jsdai/SLayered_interconnect_simple_template_xim/CxTeardrop_template_armx.java;
-- Changed or added new jsdai/SLayered_interconnect_simple_template_xim/CxFill_area_template_armx.java;
-- Changed or added new jsdai/SLayered_interconnect_simple_template_xim/CxSingle_stratum_continuous_template_armx.java;
-- Changed or added new jsdai/SLayered_interconnect_simple_template_xim/CxTeardrop_by_angle_template_armx.java;
-- Changed or added new jsdai/SLayered_interconnect_simple_template_xim/CxCurve_style_parameters.java;
-- Changed or added new jsdai/SLayered_interconnect_simple_template_xim/CxUnsupported_passage_template_armx.java;
-- Changed or added new jsdai/SLayered_interconnect_simple_template_xim/CxSingle_stratum_template_armx.java;
-- Changed or added new jsdai/SLayered_interconnect_simple_template_xim/CxTeardrop_by_length_template_armx.java;
-- Changed or added new jsdai/SFootprint_definition_xim/CxBreakout_footprint_definition_armx.java;
-- Changed or added new jsdai/SFootprint_definition_xim/CxFootprint_definition_shape_model.java;
-- Changed or added new jsdai/SFootprint_definition_xim/CxPart_feature_based_template_location.java;
-- Changed or added new jsdai/SFootprint_definition_xim/CxFootprint_definition_armx.java;
-- Changed or added new jsdai/SFootprint_definition_xim/CxBreakout_footprint_definition_shape_model.java;
-- Changed or added new jsdai/SFootprint_definition_xim/CxStratum_feature_template_location_in_breakout_footprint_definition.java;
-- Changed or added new jsdai/SFootprint_definition_xim/CxGeneric_footprint_definition_armx.java;
-- Changed or added new jsdai/SGeneric_product_occurrence_xim/CxDefinition_based_product_occurrence.java;
-- Changed or added new jsdai/SLayered_interconnect_complex_template_xim/CxTemplate_location_in_structured_template.java;
-- Changed or added new jsdai/SLayered_interconnect_complex_template_xim/CxPhysical_unit_keepout_shape_allocation_to_stratum_stack_armx.java;
-- Changed or added new jsdai/SLayered_interconnect_complex_template_xim/CxPart_template_planar_shape_model.java;
-- Changed or added new jsdai/SLayered_interconnect_complex_template_xim/CxPassage_padstack_definition_armx.java;
-- Changed or added new jsdai/SLayered_interconnect_complex_template_xim/CxMaterial_removal_structured_template_armx.java;
-- Changed or added new jsdai/SLayered_interconnect_complex_template_xim/CxSpecial_symbol_template_armx.java;
-- Changed or added new jsdai/SLayered_interconnect_complex_template_xim/CxStratum_stack_dependent_template_armx.java;
-- Changed or added new jsdai/SLayered_interconnect_complex_template_xim/CxLibrary_to_design_stack_model_mapping_armx.java;
-- Changed or added new jsdai/SLayered_interconnect_complex_template_xim/CxStructured_template_armx.java;
-- Changed or added new jsdai/SLayered_interconnect_complex_template_xim/CxMulti_stratum_special_symbol_template_armx.java;
-- Changed or added new jsdai/SLayered_interconnect_complex_template_xim/CxLibrary_stack_model_armx.java;
-- Changed or added new jsdai/SLayered_interconnect_complex_template_xim/CxPart_template_planar_keepout_shape_model.java;
-- Changed or added new jsdai/SLayered_interconnect_complex_template_xim/CxPadstack_definition_armx$stratum_stack_dependent_template_armx.java;
-- Changed or added new jsdai/SLayered_interconnect_complex_template_xim/CxInter_stratum_feature_template_location.java;
-- Changed or added new jsdai/SLayered_interconnect_complex_template_xim/CxMulti_stratum_special_symbol_template_armx$stratum_stack_dependent_template_armx.java;
-- Changed or added new jsdai/SLayered_interconnect_complex_template_xim/CxDependent_template_location_in_padstack_definition.java;
-- Changed or added new jsdai/SLayered_interconnect_complex_template_xim/CxPadstack_definition_armx.java;
-- Changed or added new jsdai/SLayered_interconnect_complex_template_xim/CxMulti_stratum_structured_template_armx.java;
-- Changed or added new jsdai/SLayered_interconnect_complex_template_xim/CxSingle_stratum_special_symbol_template_armx.java;
-- Changed or added new jsdai/SLayered_interconnect_complex_template_xim/CxPassage_padstack_definition_armx$stratum_stack_dependent_template_armx.java;
-- Changed or added new jsdai/SLayered_interconnect_complex_template_xim/CxPart_template_keepout_shape_allocation_to_stratum_stack_armx.java;
-- Changed or added new jsdai/SLayered_interconnect_complex_template_xim/CxTemplate_location_in_structured_template_transform.java;
-- Changed or added new jsdai/SLayered_interconnect_complex_template_xim/CxStratum_specific_template_location_armx.java;
-- Changed or added new jsdai/SLayered_interconnect_complex_template_xim/CxSingle_stratum_structured_template_armx.java;
-- Changed or added new jsdai/SLayered_interconnect_complex_template_xim/CxStructured_template_planar_shape_model.java;
-- Changed or added new jsdai/SMixed_complex_types/CxMulti_stratum_printed_part_template_armx$stratum_stack_dependent_template_armx.java;
-- Changed or added new jsdai/SMixed_complex_types/CxGeometrically_bounded_2d_wireframe_representation$part_template_planar_shape_model.java;
-- Changed or added new jsdai/SMixed_complex_types/CxAssembly_component_2d_shape_model$csg_2d_shape_representation$part_template_planar_shape_model.java;
-- Changed or added new jsdai/SMixed_complex_types/CxPart_template_planar_shape_model$single_area_csg_2d_shape_representation.java;
-- Changed or added new jsdai/SMixed_complex_types/CxFootprint_definition_armx$stratum_stack_dependent_template_armx.java;
-- Changed or added new jsdai/SMixed_complex_types/CxCsg_2d_shape_representation$part_template_planar_shape_model.java;
-- Changed or added new jsdai/SMixed_complex_types/CxPart_version$template_version.java;
-- Changed or added new jsdai/SMixed_complex_types/CxAssembly_component_2d_shape_model$geometrically_bounded_2d_wireframe_representatiol$part_template_planar_shape_model.java;
-- Changed or added new jsdai/SMixed_complex_types/CxAssembly_component_2d_shape_model$part_template_planar_shape_model.java;
-- Changed or added new jsdai/SMixed_complex_types/CxPart$template.java;
-- Changed or added new jsdai/SMixed_complex_types/CxLayered_assembly_module_design_view_armx$physical_unit_network_definition_armx.java;
-- Changed or added new jsdai/SMixed_complex_types/CxCsg_2d_shape_representation$part_template_planar_keepout_shape_model.java;
-- Changed or added new jsdai/SMixed_complex_types/CxAssembly_component_2d_shape_model$footprint_definition_shape_model.java;
-- Changed or added new jsdai/SMixed_complex_types/CxMulti_stratum_printed_part_template_armx$printed_connector_template_armx$stratum_stack_dependent_template_armx.java;
-- Removed (or moved to other package) Cx class jsdai/SMixed_complex_types/CxPca$physical_unit_network_definition_armx.java;
-- Changed or added new jsdai/SMixed_complex_types/CxPart_template_planar_shape_model$single_boundary_csg_2d_shape_representation.java;
-- Changed or added new jsdai/SPackage_xim/CxWire_terminal_template_definition_armx.java;
-- Changed or added new jsdai/SPackage_xim/CxPackage_terminal_template_definition_armx.java;
-- Changed or added new jsdai/SFabrication_requirement_xim/CxLayout_land_width_tolerance_requirement.java;
-- Removed (or moved to other package) Cx class jsdai/SFabrication_requirement_xim/CxLayout_land_width_tolerance_requirement_occurrence.java;
-- Removed (or moved to other package) Cx class jsdai/SFabrication_technology_xim/CxContinuous_template_armx.java;
-- Removed (or moved to other package) Cx class jsdai/SFabrication_technology_xim/CxSingle_stratum_template_armx.java;
-- Removed (or moved to other package) Cx class jsdai/SFabrication_technology_xim/CxVia_template_terminal.java;
-- Changed or added new jsdai/SFabrication_technology_xim/CxPassage_technology_armx.java;
-- Removed (or moved to other package) Cx class jsdai/SFabrication_technology_xim/CxLand_template_join_terminal.java;
-- Removed (or moved to other package) Cx class jsdai/SFabrication_technology_xim/CxUnsupported_passage_template_armx.java;
-- Removed (or moved to other package) Cx class jsdai/SFabrication_technology_xim/CxComponent_termination_passage_template_interface_terminal.java;
-- Removed (or moved to other package) Cx class jsdai/SFabrication_technology_xim/CxStratum_feature_template_armx.java;
-- Removed (or moved to other package) Cx class jsdai/SFabrication_technology_xim/CxLand_template_interface_terminal.java;
-- Removed (or moved to other package) Cx class jsdai/SFabrication_technology_xim/CxLand_template_terminal_armx.java;
-- Removed (or moved to other package) Cx class jsdai/SFabrication_technology_xim/CxComponent_termination_passage_template_terminal.java;
-- Removed (or moved to other package) Cx class jsdai/SFabrication_technology_xim/CxComponent_termination_passage_template_armx.java;
-- Removed (or moved to other package) Cx class jsdai/SFabrication_technology_xim/CxComponent_termination_passage_template_join_terminal.java;
-- Changed or added new jsdai/SFabrication_technology_xim/CxStratum_stack_model_armx.java;
-- Removed (or moved to other package) Cx class jsdai/SFabrication_technology_xim/CxDefault_unsupported_passage_based_land_physical_template_armx.java;
-- Removed (or moved to other package) Cx class jsdai/SFabrication_technology_xim/CxInter_stratum_feature_template_armx.java;
-- Removed (or moved to other package) Cx class jsdai/SFabrication_technology_xim/CxLand_physical_template_armx.java;
-- Removed (or moved to other package) Cx class jsdai/SFabrication_technology_xim/CxMaterial_removal_feature_template_armx.java;
-- Changed or added new jsdai/SFabrication_technology_xim/CxLocal_linear_stack_armx.java;
-- Removed (or moved to other package) Cx class jsdai/SFabrication_technology_xim/CxDefault_attachment_size_based_land_physical_template_armx.java;
-- Changed or added new jsdai/SFabrication_technology_xim/CxAllocated_passage_minimum_annular_ring_armx.java;
-- Removed (or moved to other package) Cx class jsdai/SFabrication_technology_xim/CxVia_template_armx.java;
-- Removed (or moved to other package) Cx class jsdai/SFabrication_technology_xim/CxSingle_stratum_continuous_template_armx.java;
-- Removed (or moved to other package) Cx class jsdai/SFabrication_technology_xim/CxDefault_passage_based_land_physical_template_armx.java;
-- Changed or added new jsdai/SFabrication_technology_xim/CxDesign_stack_model_armx.java;
-- Removed (or moved to other package) Cx class jsdai/SFabrication_technology_xim/CxDefault_plated_passage_based_land_physical_template_armx.java;
-- Changed or added new jsdai/SFabrication_technology_xim/CxPassage_technology_allocation_to_stack_model_armx.java;
-- Changed or added new jsdai/SPrinted_physical_layout_template_xim/CxStructured_printed_part_template_terminal_armx.java;
-- Changed or added new jsdai/SPrinted_physical_layout_template_xim/CxPrinted_part_cross_section_template_armx.java;
-- Changed or added new jsdai/SPrinted_physical_layout_template_xim/CxMulti_stratum_printed_part_template_armx$printed_connector_template_armx.java;
-- Changed or added new jsdai/SPrinted_physical_layout_template_xim/CxSingle_stratum_printed_part_template_armx.java;
-- Changed or added new jsdai/SPrinted_physical_layout_template_xim/CxNon_conductive_cross_section_template_armx.java;
-- Changed or added new jsdai/SPrinted_physical_layout_template_xim/CxPrinted_part_template_armx.java;
-- Changed or added new jsdai/SPrinted_physical_layout_template_xim/CxPrinted_connector_template_armx.java;
-- Changed or added new jsdai/SPrinted_physical_layout_template_xim/CxStructured_printed_part_template_armx.java;
-- Changed or added new jsdai/SPrinted_physical_layout_template_xim/CxMulti_stratum_printed_part_template_armx.java;
-- Changed or added new jsdai/SInterconnect_physical_requirement_allocation_xim/CxElectrical_isolation_removal_template_armx.java;
-- Changed or added new jsdai/SInterconnect_physical_requirement_allocation_xim/CxThermal_isolation_removal_template_armx.java;
-- Changed or added new jsdai/SPart_template_xim/CxTemplate.java;
-- Changed or added new jsdai/SPart_template_xim/CxTemplate_definition.java;
-- Changed or added new jsdai/SPart_template_xim/CxTemplate_version.java;
-- Changed or added new jsdai/SLayered_interconnect_module_design_xim/CxLayered_interconnect_module_design_view_armx.java;
-- Changed or added new jsdai.SLayered_interconnect_module_design_xim.CxInter_stratum_extent
-- Removed (or moved to other package) Cx class jsdai/SLayered_interconnect_module_design_xim/CxPcb.java;
-- Changed or added new jsdai/SLayered_interconnect_module_design_xim/CxLayer_connection_point_armx.java;
-- Changed or added new jsdai/SLayered_interconnect_module_design_xim/CxInterconnect_module_design_view_armx.java;
-- Removed (or moved to other package) Cx class jsdai/SLayered_interconnect_module_design_xim/CxInterconnect_module.java;
-- Changed or added new jsdai/SLayered_interconnect_module_design_xim/CxGeneric_physical_network.java;
-- Changed or added new jsdai/SLayered_interconnect_module_design_xim/CxStructured_layout_component_sub_assembly_relationship_armx.java;
-- Changed or added new jsdai/SLayered_interconnect_module_design_xim/CxInter_stratum_feature_armx.java;
-- Removed (or moved to other package) Cx class jsdai/SDesign_specific_assignment_to_assembly_usage_view_xim/CxComponent_terminal_to_pca_terminal_assignment.java;
-- Changed or added new jsdai/SDesign_specific_assignment_to_assembly_usage_view_xim/CxComponent_terminal_to_layered_assembly_module_terminal_assignment.java;
-- Changed or added new jsdai/SInterconnect_module_usage_view_xim/CxLayered_interconnect_module_usage_view_armx.java;
-- Removed (or moved to other package) Cx class jsdai/SInterconnect_module_usage_view_xim/CxPcb_usage_view.java;
-- Removed (or moved to other package) Cx class jsdai/SInterconnect_module_usage_view_xim/CxInterconnect_module_usage_view.java;
-- Changed or added new jsdai/SPart_template_shape_with_parameters_xim/CxPart_template_keepout_shape_model.java;
-- Changed or added new jsdai/SPart_template_shape_with_parameters_xim/CxGeometric_template_armx.java;
-- Changed or added new jsdai/SPart_template_shape_with_parameters_xim/CxPart_template_shape_model.java;
-- Changed or added new jsdai/SFeature_and_connection_zone_xim/CxShape_feature.java;
-- Changed or added new jsdai/SAssembly_component_placement_requirements_xim/CxItem_restricted_requirement_armx.java;
-- Changed or added new jsdai/SAssembly_component_placement_requirements_xim/CxComponent_placement_restriction_assignment.java;
-- Removed (or moved to other package) Cx class jsdai/SAssembly_component_placement_requirements_xim/CxItem_restricted_requirement_occurrence_armx.java;
-- Changed or added new jsdai/STask_specification_xim/CxTask_method_version_armx.java;
-- Changed or added new jsdai/STask_specification_xim/CxTask_element_sequence_armx.java;
-- Changed or added new jsdai/STask_specification_xim/CxTask_step_armx.java;
-- Changed or added new jsdai/STask_specification_xim/CxStructured_task_element.java;
-- Changed or added new jsdai/SAssembly_module_usage_view_xim/CxLayered_assembly_module_usage_view_armx.java;
-- Removed (or moved to other package) Cx class jsdai/SAssembly_module_usage_view_xim/CxPca_terminal.java;
-- Removed (or moved to other package) Cx class jsdai/SAssembly_module_usage_view_xim/CxPca_usage_view.java;
-- Changed or added new jsdai/SAssembly_module_usage_view_xim/CxAssembly_module_usage_view_armx.java;
-- Removed (or moved to other package) Cx class jsdai/SAssembly_module_usage_view_xim/CxAssembly_module_usage_view.java;
-- Changed or added new jsdai/SAssembly_module_usage_view_xim/CxLayered_assembly_module_terminal.java;
-- Changed or added new jsdai/SPhysical_unit_usage_view_xim/CxPart_feature_template_definition_armx.java;
-- Changed or added new jsdai/SAssembly_module_design_xim/CxAssembly_module_design_view_armx.java;
-- Removed (or moved to other package) Cx class jsdai/SAssembly_module_design_xim/CxAssembly_module.java;
-- Removed (or moved to other package) Cx class jsdai/SAssembly_module_design_xim/CxPca.java;
-- Changed or added new jsdai/SAssembly_module_design_xim/CxLayered_assembly_module_design_view_armx.java;
-- Changed or added new jsdai/SAssembly_module_design_xim/CxRouted_interconnect_component_armx.java;
-- Removed (or moved to other package) Cx class jsdai/SVia_component_xim/CxBonded_conductive_base_blind_via_armx.java;
-- Changed or added new jsdai/SInterconnect_placement_requirements_xim/CxLayout_spacing_requirement_armx.java;
-- Changed or added new jsdai/SInterconnect_placement_requirements_xim/CxLayer_qualified_layout_spacing_requirement_armx.java;
-- Removed (or moved to other package) Cx class jsdai/SInterconnect_placement_requirements_xim/CxLayer_qualified_layout_spacing_requirement_occurrence_armx.java;
-- Changed or added new jsdai/SInterconnect_placement_requirements_xim/CxInterconnect_module_constraint_region.java;
-- Removed (or moved to other package) Cx class jsdai/SInterconnect_placement_requirements_xim/CxLayout_spacing_requirement_occurrence_armx.java;
-- Changed or added new jsdai/SLand_xim/CxLand_armx.java;
-- Changed or added new jsdai/SPhysical_unit_design_view_xim/CxAssembly_component_armx.java;
-- Changed or added new jsdai/SBare_die_xim/CxBare_die_template_terminal_armx.java;
-- Changed or added new jsdai/SNetwork_functional_design_view_xim/CxFunctional_unit_armx.java;
***
-- Removed (or moved to other package) Cx class jsdai/SPart_template_2d_shape_xim/CxTemplate_location_in_structured_template.java;
-- Removed (or moved to other package) Cx class jsdai/SPart_template_2d_shape_xim/CxAllocated_passage_minimum_annular_ring_armx.java;
-- Removed (or moved to other package) Cx class jsdai/SPart_template_2d_shape_xim/CxPart_template_planar_shape_model.java;
-- Removed (or moved to other package) Cx class jsdai/SPart_template_2d_shape_xim/CxStratum_specific_template_location_armx.java;
-- Removed (or moved to other package) Cx class jsdai/SPart_template_2d_shape_xim/CxPassage_padstack_definition_armx$stratum_stack_dependent_template_armx.java;
-- Removed (or moved to other package) Cx class jsdai/SPart_template_2d_shape_xim/CxLocal_linear_stack_armx.java;
-- Removed (or moved to other package) Cx class jsdai/SPart_template_2d_shape_xim/CxStructured_template_planar_shape_model.java;
-- Removed (or moved to other package) Cx class jsdai/SPart_template_2d_shape_xim/CxPart_template_planar_keepout_shape_model.java;
-- Removed (or moved to other package) Cx class jsdai/SPart_template_2d_shape_xim/CxLibrary_stack_model_armx.java;
-- Removed (or moved to other package) Cx class jsdai/SPart_template_2d_shape_xim/CxPart_template_keepout_shape_allocation_to_stratum_stack_armx.java;
-- Removed (or moved to other package) Cx class jsdai/SPart_template_2d_shape_xim/CxStratum_stack_dependent_template_armx.java;
-- Removed (or moved to other package) Cx class jsdai/SPart_template_2d_shape_xim/CxMulti_stratum_structured_template_armx.java;
-- Removed (or moved to other package) Cx class jsdai/SPart_template_2d_shape_xim/CxStructured_template_armx.java;
-- Removed (or moved to other package) Cx class jsdai/SPart_template_2d_shape_xim/CxMulti_stratum_special_symbol_template_armx.java;
-- Removed (or moved to other package) Cx class jsdai/SPart_template_2d_shape_xim/CxDependent_template_location_in_padstack_definition.java;
-- Removed (or moved to other package) Cx class jsdai/SPart_template_2d_shape_xim/CxSingle_stratum_special_symbol_template_armx.java;
-- Removed (or moved to other package) Cx class jsdai/SPart_template_2d_shape_xim/CxTemplate_location_in_structured_template_transform.java;
-- Removed (or moved to other package) Cx class jsdai/SPart_template_2d_shape_xim/CxMulti_stratum_special_symbol_template_armx$stratum_stack_dependent_template_armx.java;
-- Removed (or moved to other package) Cx class jsdai/SPart_template_2d_shape_xim/CxPadstack_definition_armx$stratum_stack_dependent_template_armx.java;
-- Removed (or moved to other package) Cx class jsdai/SPart_template_2d_shape_xim/CxPadstack_definition_armx.java;
-- Removed (or moved to other package) Cx class jsdai/SPart_template_2d_shape_xim/CxPassage_technology_allocation_to_stack_model_armx.java;
-- Removed (or moved to other package) Cx class jsdai/SPart_template_2d_shape_xim/CxMaterial_removal_structured_template_armx.java;
-- Removed (or moved to other package) Cx class jsdai/SPart_template_2d_shape_xim/CxSingle_stratum_structured_template_armx.java;
-- Removed (or moved to other package) Cx class jsdai/SPart_template_2d_shape_xim/CxInter_stratum_feature_template_location.java;
-- Removed (or moved to other package) Cx class jsdai/SPart_template_2d_shape_xim/CxPassage_padstack_definition_armx.java;
-- Removed (or moved to other package) Cx class jsdai/SPart_template_2d_shape_xim/CxStratum_sub_stack_armx.java;
-- Removed (or moved to other package) Cx class jsdai/SPart_template_2d_shape_xim/CxPhysical_unit_keepout_shape_allocation_to_stratum_stack_armx.java;
-- Removed (or moved to other package) Cx class jsdai/SPart_template_2d_shape_xim/CxSpecial_symbol_template_armx.java;
-- Removed (or moved to other package) Cx class jsdai/SPart_template_2d_shape_xim/CxDesign_stack_model_armx.java;
-- Removed (or moved to other package) Cx class jsdai/SPart_template_extension_xim/CxCurve_style_parameters.java;
-- Removed (or moved to other package) Cx class jsdai/SPart_template_extension_xim/CxParametric_template_armx.java;
-- Removed (or moved to other package) Cx class jsdai/SPart_template_extension_xim/CxClosed_curve_style_parameters_armx.java;
-- Removed (or moved to other package) Cx class jsdai/SPart_template_extension_xim/CxInter_stratum_feature_edge_template_armx.java;
-- Removed (or moved to other package) Cx class jsdai/SPart_template_extension_xim/CxClosed_path_area_with_parameters.java;
-- Removed (or moved to other package) Cx class jsdai/SPart_template_extension_xim/CxFill_area_template_armx.java;
-- Removed (or moved to other package) Cx class jsdai/SPart_template_extension_xim/CxDefault_trace_template_armx.java;
-- Removed (or moved to other package) Cx class jsdai/SPart_template_extension_xim/CxSnowball_template_armx.java;
-- Removed (or moved to other package) Cx class jsdai/SPart_template_extension_xim/CxTrace_template_armx.java;
-- Removed (or moved to other package) Cx class jsdai/SPart_template_extension_xim/CxPart_text_template_armx.java;
-- Removed (or moved to other package) Cx class jsdai/SPart_template_extension_xim/CxCurve_style_parameters_with_ends_armx.java;
-- Removed (or moved to other package) Cx class jsdai/SPart_template_extension_xim/CxTeardrop_template_armx.java;
-- Removed (or moved to other package) Cx class jsdai/SPart_template_extension_xim/CxPath_area_with_parameters_armx.java;
-- Removed (or moved to other package) Cx class jsdai/SPart_template_extension_xim/CxPart_string_template_armx.java;
-- Removed (or moved to other package) Cx class jsdai/SPart_template_extension_xim/CxTeardrop_by_length_template_armx.java;
-- Removed (or moved to other package) Cx class jsdai/SPart_template_extension_xim/CxTeardrop_by_angle_template_armx.java;
-- Removed (or moved to other package) Cx class jsdai/SPhysical_layout_template_xim/CxConnection_zone_in_layout_template.java;
-- Removed (or moved to other package) Cx class jsdai/SPhysical_layout_template_xim/CxTemplate_version.java;
-- Removed (or moved to other package) Cx class jsdai/SPhysical_layout_template_xim/CxTemplate_definition.java;
-- Removed (or moved to other package) Cx class jsdai/SPhysical_layout_template_xim/CxTemplate.java;

--- Complex entities, lists ---
- build.xml
-- Remove directory generation for unused modules, increase memory usage
- Compilation lists
-- MIM ---
-- Added new
--- Document_order/mim.exp
--- layered_interconnect_complex_template/mim.exp
--- part_template/mim.exp
--- ap209_mim_pure_list.xml
-- Removed
--- physical_layout_template/mim.exp
--- part_template_2d_shape/mim.exp
--- ap210_device_functional_and_physical_characterization/mim.exp
--- ap210_interconnect_technology_constraints/mim.exp
--- ap210_assembly_technology_constraints/mim.exp
--- ap210_assembly_functional_requirements/mim.exp
--- ap210_assembly_physical_requirements/mim.exp
--- ap210_interconnect_functional_requirements/mim.exp
--- ap210_interconnect_physical_requirements/mim.exp
--- ap210_assembly_physical_design/mim.exp
--- ap210_interconnect_design/mim.exp
--- ap210_interconnect_design_for_microwave/mim.exp
--- ap210_production_rule/mim.exp
--- ap210_functional_decomposition/mim.exp
--- ap210_package_functional_and_physical_characterization/mim.exp
--- ap210_laminate_assembly_design/mim.exp
--- ap210_connection_zone_based_model_extraction/mim.exp
--- ap210_functional_specification/mim.exp
--- ap210_physical_unit_physical_characterization/mim.exp
--- ap210_packaged_part_white_box_model/mim.exp
--- ap210_printed_part_functional_and_physical_characterization/mim.exp
--- ap210_assembly_functional_interface_requirements/mim.exp
--- ap210_assembly_physical_interface_requirements/mim.exp
--- ap210_assembly_requirement_allocation/mim.exp
--- ap210_interconnect_requirement_allocation/mim.exp
--- ap210_functional_requirement_allocation/mim.exp -->
--- ap210_datum_difference_based_model_definition/mim.exp
--- configuration_controlled_3d_parts_and_assemblies/mim.exp
--- draughting_dimension/mim.exp
--- test_area/mim.exp
--- explicit_draughting/mim.exp
-- AP209 ARM --
-- Added a new
--- ap209_multidisciplinary_analysis_and_design/arm.exp
--- Analysis_product_relationships/arm.exp
--- Analysis/arm.exp
--- Cfd_conditions/arm.exp		
--- Cfd_equations/arm.exp
--- Cfd_model/arm.exp
--- Cfd_results/arm.exp
--- Cfd_specified_general_property/arm.exp
--- Fea_definition_relationships/arm.exp												
--- Fea_material_aspects/arm.exp
--- Finite_elements/arm.exp
--- Finite_element_analysis/arm.exp
--- Finite_element_shape/arm.exp
--- Maths_space/arm.exp
--- Maths_value/arm.exp		
--- Mesh_connectivity/arm.exp
--- Mesh_function/arm.exp
--- Mesh_topology/arm.exp
--- Product_analysis/arm.exp
-- AP209 MIM --
-- Added a new
--- ap209_multidisciplinary_analysis_and_design/mim.exp
--- Analysis_product_relationships/mim.exp
--- Analysis/mim.exp
--- Cfd_conditions/mim.exp		
--- Cfd_equations/mim.exp
--- Cfd_model/mim.exp
--- Cfd_results/mim.exp
--- Cfd_specified_general_property/mim.exp
--- Fea_definition_relationships/mim.exp												
--- Fea_material_aspects/mim.exp
--- Finite_elements/mim.exp
--- Finite_element_analysis/mim.exp
--- Finite_element_shape/mim.exp
--- Maths_space/mim.exp
--- Maths_value/mim.exp		
--- Mesh_connectivity/mim.exp
--- Mesh_function/mim.exp
--- Mesh_topology/mim.exp
--- Product_analysis/mim.exp
--- action_and_model_relationships_schema/action_and_model_relationships_schema.exp											
--- analysis_product_relationships_schema/analysis_product_relationships_schema.exp
--- analysis_schema/analysis_schema.exp
--- basis_schema/basis_schema.exp
--- conditions_schema/conditions_schema.exp
--- domain_schema/domain_schema.exp
--- equations_schema/equations_schema.exp
--- fea_definition_relationships_schema/fea_definition_relationships_schema.exp
--- hierarchy_schema/hierarchy_schema.exp
--- mathematical_context_schema/mathematical_context_schema.exp		
--- mathematical_description_of_distribution_schema/mathematical_description_of_distribution_schema.exp		
--- mesh_connectivity_schema/mesh_connectivity_schema.exp
--- mesh_function_schema/mesh_function_schema.exp
--- mesh_topology_schema/mesh_topology_schema.exp		
--- product_analysis_schema/product_analysis_schema.exp
--- product_and_model_relationships_schema/product_and_model_relationships_schema.exp
--- property_distribution_and_model_relationships_schema/property_distribution_and_model_relationships_schema.exp
--- results_schema/results_schema.exp
--- state_and_model_relationships_schema/state_and_model_relationships_schema.exp
-- AP233 MIM
--- Changed ap233_system_engineering_and_design to ap233_systems_engineering
-- Removed
--- document_order/mim.exp
--- requirement_categorization/mim.exp
--- requirement_model_assignment/mim.exp
--- shared_resource/mim.exp
--- system_requirements/mim.exp
--- system_requirements_connector/mim.exp
--- time_duration_relationship/mim.exp
--- transformation_input_output/mim.exp
--- transformation_order/mim.exp
--- working_draft_system_engineering/mim.exp

-- AP233 ARM
--- Changed ap233_system_engineering_and_design to ap233_systems_engineering
-- Removed
--- document_order/arm.exp
--- requirement_categorization/arm.exp
--- requirement_model_assignment/arm.exp
--- shared_resource/arm.exp
--- system_requirements/arm.exp
--- system_requirements_connector/arm.exp
--- time_duration_relationship/arm.exp
--- transformation_input_output/arm.exp
--- transformation_order/arm.exp
--- working_draft_system_engineering/arm.exp

-- XIM
-- Removed 
--- express/construction_history_xim.exp
--- ap210_device_functional_and_physical_characterization_xim.exp
--- ap210_interconnect_technology_constraints_xim.exp
--- ap210_assembly_technology_constraints_xim.exp
--- ap210_assembly_functional_requirements_xim.exp
--- ap210_assembly_physical_requirements_xim.exp
--- ap210_interconnect_functional_requirements_xim.exp
--- ap210_interconnect_physical_requirements_xim.exp
--- ap210_assembly_physical_design_xim.exp
--- ap210_interconnect_design_xim.exp
--- ap210_interconnect_design_for_microwave_xim.exp
--- ap210_production_rule_xim.exp
--- ap210_functional_decomposition_xim.exp
--- ap210_package_functional_and_physical_characterization_xim.exp
--- ap210_laminate_assembly_design_xim.exp
--- ap210_connection_zone_based_model_extraction_xim.exp
--- ap210_functional_specification_xim.exp
--- ap210_physical_unit_physical_characterization_xim.exp
--- ap210_packaged_part_white_box_model_xim.exp
--- ap210_printed_part_functional_and_physical_characterization_xim.exp
--- ap210_assembly_functional_interface_requirements_xim.exp
--- ap210_assembly_physical_interface_requirements_xim.exp
--- ap210_assembly_requirement_allocation_xim.exp
--- ap210_interconnect_requirement_allocation_xim.exp
--- ap210_functional_requirement_allocation_xim.exp
--- ap210_datum_difference_based_model_definition_xim.exp
-- Renamed
--- part_template_extension_xim.exp to layered_interconnect_simple_template_xim.exp
--- physical_layout_template_xim.exp to part_template_xim.exp
--- part_template_2d_shape_xim.exp to layered_interconnect_complex_template_xim.exp
-- Added
--- ap203_configuration_controlled_3d_design_of_mechanical_parts_and_assemblies_xim.exp
    
--- Complexes ---
-- Changed 
--- library_defined_product_definition+assembly_definition+product_definition_with_associated_documents
  to 
--- library_defined_product_definition+assembly_module_design_view+product_definition_with_associated_documents
--- library_defined_product_definition+assembly_module_usage_view+product_definition_with_associated_documents
-- Changed 
--- library_defined_product_definition+interconnect_definition+product_definition_with_associated_documents
  to
--- library_defined_product_definition+interconnect_module_usage_view+product_definition_with_associated_documents
--- library_defined_product_definition+interconnect_module_design_view+product_definition_with_associated_documents
-- Changed 
--- externally_defined_product_definition+assembly_definition+product_definition_with_associated_documents 
  to
--- externally_defined_product_definition+assembly_module_usage_view+product_definition_with_associated_documents 
--- externally_defined_product_definition+assembly_module_design_view+product_definition_with_associated_documents 
-- Changed 
--- externally_defined_product_definition+interconnect_definition+product_definition_with_associated_documents 
  to
--- externally_defined_product_definition+interconnect_module_usage_view+product_definition_with_associated_documents 
--- externally_defined_product_definition+interconnect_module_design_view+product_definition_with_associated_documents 
-- Changed 
--- assembly_definition+product_definition_with_associated_documents 
  to
--- assembly_module_usage_view+product_definition_with_associated_documents 
--- assembly_module_design_view+product_definition_with_associated_documents 
-- Changed 
--- interconnect_definition+product_definition_with_associated_documents 
  to
--- interconnect_module_usage_view+product_definition_with_associated_documents 
--- interconnect_module_design_view+product_definition_with_associated_documents 
-- Changed assembly_component_2d_shape_model+planar_closed_path_shape_model_with_parameters to
  	    assembly_component_2d_shape_model+planar_closed_path_shape_representation_with_parameters
-- Changed assembly_component_2d_shape_model+planar_path_shape_model_with_parameters to
  	    assembly_component_2d_shape_model+planar_path_shape_representation_with_parameters
-- Changed part_template_planar_shape_model+planar_path_shape_model_with_parameters to
        part_template_planar_shape_model+planar_path_shape_representation_with_parameters
-- Changed pca+physical_unit_network_definition_armx to 
  	    layered_assembly_module_design_view_armx+physical_unit_network_definition_armx
-- Changed assembly_definition+physical_unit_network_definition to
  	    assembly_module_design_view+physical_unit_network_definition
-- Changed assembly_module_interface_terminal_armx+pca_terminal to
        assembly_module_interface_terminal_armx+layered_assembly_module_terminal

-- Added new complexes:
--- electric_current_measure_with_unit+measure_representation_item+qualified_representation_item
--- measure_representation_item+qualified_representation_item+thermal_resistance_measure_with_unit
--- layered_assembly_module_design_view+physical_unit_network_definition
--- datum_feature_shape_element_xim+interconnect_module_component_surface_feature_armx
--- datum_feature+interconnect_module_component_surface_feature
--- breakout_footprint_definition_armx+stratum_stack_dependent_template_armx
--- breakout_footprint_definition+stratum_stack_dependent_template
-- Removed assembled_part_association+next_assembly_usage_occurrence


    
**** 2008-08-06  v1.126.0
- identification_assignment/mim.exp
-- extend external_identification_item select with identification_assignment


--- MIM EXPRESS ---
- Add new entities to better reflect XIM
-- layered_interconnect_module_design/mim.exp
--- stratum_feature_template_component_with_stratum_feature
--- structured_layout_component_sub_assembly_relationship_with_component
-- land/mim.exp
--- land_with_join_terminal

--- Mapping ---
- ap210.extra
-- Add strong attribute on Shape_description_association.role
-- Add strongs for product_occurrence_definition_relationship
-- Fix strongs for part_occurrence_definition_relationship (as attributes got renamed)
- Add new schema to the lists lksoft_extensions/module.path
- activity/module.path
-- Fix mapping of Applied_activity_assignment.role_x (was wrongly named before as 'role')
-- Add mapping for new entities
--- Applied_activity_assignment__input
--- Applied_activity_assignment__output
--- Applied_activity_assignment__target
--- Applied_activity_assignment__constraint
- ap210_electronic_assembly_interconnect_and_packaging_design(Ap210_electronic_assembly_interconnect_and_packaging_design_arm, Ap210_electronic_assembly_interconnect_and_packaging_design/module.path
-- Add one more case for the mapping of descriptive_representation_item (usage by partial_document_with_structured_text_representation_assignment)
-- Add mapping for direction
-- Remove mappings not needs after breakage of assembly structures
--- next_assembly_usage_occurrence
--- product_definition_usage
- approval/module.path
-- Fix mapping of Approving_person_organization.approval_date
- extended_geometric_tolerance/module.path
-- Cosmetic fix of mapping header for Datum_based_length_measure.measure_orientation
- identification_assignment/module.path
-- Add more mapping constraints to Externally_defined_identification_assignment

- Rename attribute mappings (related/ing_product_definition to related/ing_view) as attributes changed in EXPRESS
-- Layered_interconnect_module_design/module.path
--- Structured_layout_component_sub_assembly_relationship_armx
-- Part_collection/module.path
--- Collected_item_association
-- Part_occurrence/module.path
--- Part_occurrence_definition_relationship

- Add mapping for new schema. As well as mapping for new entities
-- lksoft_extensions_xim/module.path
--- Land_with_join_terminal_xim
--- Stratum_feature_template_component_with_stratum_feature_xim
--- Structured_layout_component_sub_assembly_relationship_with_component_xim
- part_template_extension/module.path
-- Add more constraints to the mapping of Closed_path_area_with_parameters
-- Fixed mapping of Closed_path_area_with_parameters.parameters
- Physical_unit_design_view/module.path
-- Change the target for the mapping from assembly_component_usage to Next_assembly_usage_occurrence_relationship_armx
--- Assembly_item_number_armx.assembly_usage
--- Component_material_relationship_armx.component_1
--- Component_material_relationship_armx.component_2
--- Component_material_relationship_armx.material
-- Add mapping for Product_occurrence_definition_relationship_armx and its attributes
-- Fix mapping for Next_assembly_usage_occurrence_relationship_armx and its attributes
- shape_property_assignment/module.path
-- Add more mapping constraints to Shape_element

--- XIM EXPRESS ---

- activity_xim
-- Implement issue from bugzilla 2520.
--- Added derived attribute to Applied_activity_assignment
--- Add new entities
---- Applied_activity_assignment__input
---- Applied_activity_assignment__target
---- Applied_activity_assignment__output
---- Applied_activity_assignment__constraint
- assembly_module_design_xim
-- Add some redeclared as derived attributes (hide them) for Routed_interconnect_component_armx.
- identification_assignment_xim
-- Remove extension of External_identification_item select with Externally_defined_identification_assignment
- Add redeclared as derived attributes (hide them) for:
-- interconnect_physical_requirement_allocation
--- Electrical_isolation_requirement
--- Thermal_isolation_requirement
-- layered_interconnect_module_design_xim
--- Conductive_interconnect_element_with_pre_defined_transitions_armx
- lksoft_extensions_xim
-- Make XIM entities subtypes of corresponding MIM entities
--- Land_with_join_terminal_xim (subtype of land_with_join_terminal)
--- Stratum_feature_template_component_with_stratum_feature_xim (subtype of stratum_feature_template_component_with_stratum_feature)
-- Add redeclared as derived attributes (hide them) for:
--- Structured_layout_component_sub_assembly_relationship_with_component_xim
- part_template_2d_shape_xim
-- Fix the target of attribute Physical_unit_keepout_shape_allocation_to_stratum_stack_armx.kept_out_layers.

--- Complex entities ---
-- Remove complex interconnect_module_stratum_based_terminal+thermal_feature
-- Made all possible MIM complexes to reflect complexes in XIM after optimization in AP210 area

--- cx classes ---
- jsdai.libutil
-- CxAp210ARMUtilities
--- Add support for ratio_measure_with_unit conversion to complex when needed
- Multiple bug fixes.
-- jsdai.SApproval_xim
--- CxApproving_person_organization
-- jsdai.SAssembly_module_usage_view
--- CxPca_usage_view
-- jsdai.SDocument_assignment_xim
--- CxPartial_document_assignment
-- jsdai.SLayered_interconnect_module_design_xim
--- CxInternal_probe_access_area_armx
--- CxMaterial_removal_laminate_component_armx
--- CxStratum_feature_template_component_armx
-- jsdai.SPackaged_connector_model_xim
--- CxPackaged_connector_armx
-- jsdai.SPhysical_unit_2d_shape_xim
--- CxPhysical_unit_planar_keepout_shape_model
-- jsdai.SPhysical_unit_shape_with_parameters_xim
--- CxPhysical_unit_shape_model
-- jsdai.SRequirement_decomposition_xim
--- CxRequirement_view_definition_relationship_xim

- Bigger restructuring in assembly area and optimizing AP210
-- jsdai.SAssebly_structure_xim
--- CxNext_assembly_usage_occurrence_relationship_armx
--- CxProduct_occurrence_definition_relationship_armx
-- jsdai.SGeneric_product_occurrence
--- CxDefinition_based_product_occurrence
-- jsdai.SLayered_interconnect_module_design_xim
--- CxStructured_layout_component_sub_assembly_relationship_armx
-- Many changed classes and new Cx classes
--- jsdai.SLksoft_extensions_xim
--- jsdai.SMixed_complex_types
-- jsdai.SPhysical_unit_design_view_xim
--- CxAssembly_item_number_armx

- jsdai.SExtended_geometric_tolerance_xim
-- CxDatum_based_length_measure
--- add missing unset methods.

- jsdai.SPackage_xim
-- CxPackage_armx
--- Change some methods from private to public for the reuse purposes

**** 2008-07-17  v1.126.0
--- MIM EXPRESS
- Change supertypes (add item_identified_representation_usage in addition) for:
-- Assembly_module_design_mim
--- routed_interconnect_component
--- routed_physical_component
-- Layered_interconnect_module_design_mim
--- conductive_interconnect_element_with_pre_defined_transitions
- Make some selects extensible in order to be able to add Next_assembly_usage_occurrence_relationship_armx or 
 Product_occurrence_definition_relationship_armx later to them
-- product_property_definition_schema
--- characterized_product_definition
-- physical_unit_design_view_mim
--- component_material_relationship_assignment_item
-- Ap203_configuration_controlled_3d_design_of_mechanical_parts_and_assemblies_mim
--- cc_classified_item
-- Ida_step_aim_schema
--- retention_item
--- item_designation_item

- http://bugzilla.lksoft.lt/show_bug.cgi?id=2418
-- process_property_schema
--- Extending characterized_action_definition by state_type and state_type_assignment


--- XIM EXPRESS ---
- Change occurrences of next_assembly_usage_occurrence to Next_assembly_usage_occurrence_relationship_armx
-- Assembly_module_design_xim
--- Component_overlap_relationship.previously_placed_component
--- Component_overlap_relationship.current_component
-- Assembly_module_usage_view_mim
--- Assembly_module_terminal_armx.related_connector
-- Component_grouping_xim
--- Assembly_group_component_armx.components
-- Interconnect_non_planar_shape_xim
--- Component_non_planar_location.component
-- Physical_unit_2d_design_view_xim
--- Component_2d_location_armx.component
-- Physical_unit_3d_design_view_xim
--- Component_3d_location_armx.component

- Change related_product_definition to related_view; type of occurrence_context etc. after restructuring in assembly:
-- Assembly_technology_xim
--- WRs of Assembly_joint_armx.
-- Cable_xim
--- WR of Cable_terminal_armx.
-- Generic_product_occurrence_xim
--- Product_occurrence.occurrence_context (also remove WR).
-- Interconnect_2d_shape_xim
--- Function in_2d_assembly_context
-- Item_definition_structure_xim
--- Assembled_part_association
-- Layered_interconnect_module_design_xim
--- WR of Conductor
--- WR of Connected_filled_area
--- multiple places of Footprint_occurrence_sub_assembly_relationship
--- WR of Interconnect_module
--- WR of Laminate_component_armx
--- Padstack_occurrence_armx.components
--- multiple places of Structured_layout_component_sub_assembly_relationship_armx
--- multiple places of function get_assemblies
-- Layered_interconnect_module_design_with_printed_component_design_xim
--- Tiebar_printed_component_armx.components
-- Network_functional_design_view_xim
--- Functional_unit_armx.composed_network
-- Part_collection_xim
--- Collected_item_association
-- Part_occurrence_xim
--- Part_occurrence_definition_relationship
-- Physical_unit_design_view_xim
--- Assembly_component_armx.occurrence_contexts
--- Assembly_item_number_armx
--- Moved Next_assembly_usage_occurrence_relationship_armx to Generic_product_occurrence_xim schema
--- WR of Part_design_view
--- Rule unique_assembly_item_number
--- function pudv_get_assemblies
--- function pudv_get_groups
--- function pudv_get_group_assemblies
-- Physical_unit_interconnect_definition_xim
--- Connector_based_interconnect_definition_armx
--- WR of Physical_unit_interconnect_definition_armx
-- Sequential_laminate_assembly_design_xim
--- Sequential_laminate_assembly_relationship

- Change Planar_path_shape_model_with_parameters to Path_area_with_parameters_armx
-- Assembly_module_design_xim
--- Routed_interconnect_component_armx.routed_centreline_shape
--- Routed_physical_component_armx.routed_centreline_shape
-- Layered_interconnect_module_design_xim
--- Conductive_interconnect_element_with_pre_defined_transitions_armx.centreline_shape
-- Part_template_extension_xim
--- Removed Planar_path_shape_model_with_parameters
--- Removed Planar_closed_path_shape_model_with_parameters
--- Added Closed_path_area_with_parameters

- Assembly_structure_xim
-- Add new entities:
--- Next_assembly_usage_occurrence_relationship_armx
--- Product_occurrence_definition_relationship_armx

- Lksoft_extension_xim
-- workarround for bug #2473:
--- Structured_layout_component_sub_assembly_relationship_with_component_xim hide one derived attribute

- Make some attributes optional:
-- Package_xim
--- Package_armx.mounting_technology
--- Package_armx.maximum_body_height_above_seating_plane
--- Package_terminal_template_definition_armx.seating_plane_intersection

- Physical_unit_design_view_xim
-- Extend select assembly_component_or_item_number by Next_assembly_usage_occurrence_relationship_armx.

- Shape_property_assignment_xim
-- Add select described_element_select
-- Extend select shapeable_item by Next_assembly_usage_occurrence_relationship_armx
-- Modify entity Contextual_item_shape

- Extend selects having product_definition_relationship, product_definition_usage or assembly_component_usage also by Product_occurrence_definition_relationship_armx
-- Ap210_electronic_assembly_interconnect_and_packaging_design_xim
--- ap210_managed_design_object_armx
-- Multiple selects placed in Assembly_structure_xim with needed USE FROMs
-- Ida_step_schema_xim
--- process_operation_input_or_output_select

- Classification_with_attribute_xim
-- Hiding some attributes (make derived) for entity Class_with_attributes

- Foundation_representation_xim
-- Make USE FROMs more hierarchical (going to MIM and not dublicating them).

--- Mapping ---
- Layered_interconnect_module_design
-- Change mapping to reflect changes in XIM:
--- Conductive_interconnect_element_with_pre_defined_transitions_armx.centreline_shape

- Reflect changes in the XIM
-- Assembly_module_design
-- Part_template_extensions

--- Cx classes ---
- Added new Cx classes
-- jsdai.libutil
--- XimEntityStandalone
-- jsdai.SAssembly_structure
--- CxNext_assembly_usage_occurrence_relationship_armx
--- CxProduct_occurrence_definition_relationship_armx
-- jsdai.SLKsoft_extensions_xim
--- CxStructured_layout_component_sub_assembly_relationship_with_component_xim
--- CxLand_with_join_terminal_xim
-- jsdai.SMixed_complex_types
--- CxComponent_termination_passage_armx$structured_layout_component_sub_assembly_relationship_with_component_xim
--- CxContact_size_dependent_land_armx$land_with_join_terminal_xim$structured_layout_component_sub_assembly_relationship_with_component_xim
-- jsdai.SPart_template_extension_xim
--- CxClosed_path_area_with_parameters


- Removed Cx classes
-- jsdai.SMixed_complex_types
--- CxAssembled_part_association$next_assembly_usage_occurrence
--- CxAssembly_component_2d_shape_model$planar_closed_path_shape_model_with_parameters
--- CxAssembly_component_2d_shape_model$planar_path_shape_model_with_parameters
--- CxNext_assembly_usage_occurrence_relationship_armx$quantified_assembly_component_usage
--- CxPart_template_planar_shape_model$planar_closed_path_shape_model_with_parameters
--- CxPart_template_planar_shape_model$planar_path_shape_model_with_parameters
--- CxPlanar_path_shape_model_with_parameters$planar_projected_shape_model
-- jsdai.SPart_template_extension_xim
--- CxPlanar_closed_path_shape_model_with_parameters
--- CxPlanar_path_shape_model_with_parameters
-- jsdai.SPhysical_unit_design_view_xim
--- CxNext_assembly_usage_occurrence_relationsip_armx

- Modified Cx classes according restructuring in assembly structure and shapes
-- jsdai.SAssembly_component_placement_requirements_xim
--- CxPlacement_group_requirement_definition
-- jsdai.SAssembly_module_design_xim
--- CxRouted_interconnect_component_armx
--- CxRouted_physical_component_armx
-- jsdai.SAssembly_module_usage_view_xim
--- CxAssembly_module_terminal_armx
-- jsdai.SItem_definition_structure_xim
--- CxAssembled_part_association
-- jsdai.SLayered_interconnect_module_design_xim
--- CxConductive_interconnect_element_with_pre_defined_transitions_armx
--- CxFootprint_occurrence_sub_assembly_relationship
--- CxStructured_layout_component_sub_assembly_relationship_armx
-- jsdai.SMixed_complex_types
--- CxAssembled_part_association$next_assembly_usage_occurrence_relationship_armx
--- CxRouted_interconnect_component_arm$single_instance
--- CxRouted_physical_component_armx$single_instance
-- jsdai.SMulti_linguism_xim
--- CxLanguage_indication
-- jsdai.SPart_occurrence_xim
--- CxPart_occurrence_definition_relationship

--- Complexes ---
- Add new complexes:
-- packaged_component_armx+quantified_instance
-- packaged_connector_component_armx+quantified_instance
-- physical_component_armx+quantified_instance

**** 2008-06-09  v1.125.101
--- Cx classes ---
- jsdai.SFabrication_technology
-- CxStratum_technology 
--- multiple fixes
- Fixing errors detecting while using Cx classes:
-- jsdai.libutil
--- CxAp210ARMUtilities
-- jsdai.SFabrication_technology_xim
--- CxDefault_via_definition
--- CxDefault_component_termination_passage_definition
--- CxDefault_tepered_blind_via_definition
--- CxDefault_unsupported_passage_definition
--- CxPassage_technology
--- CxStratum_technology_occurrence_link_armx
-- jsdai.SLayered_interconnect_module_design_xim
--- CxStratum_armx
-- jsdai.SMulti_linguism_xim
--- CxLanguage_indication
-- jsdai.SPart_template_2d_shape_xim
--- CxPassage_technology_allocation_to_stack_model_armx
- Adding new Cx classes:
-- jsdai.SFabrication_technology_xim
--- CxDefault_tapered_blind_via_definition
--- CxPassage_deposition_material_identification_armx
--- CxPassage_filling_material_identification_armx
-- jsdai.SMixed_complex_types
--- CxMaterial_identification_with_conductivity_classification$passage_deposition_material_identification_armx
--- CxMaterial_identification_with_conductivity_classification$passage_filling_material_identification_armx
-- jsdai.SPart_template_2d_shape_xim
--- CxAllocated_passage_minimum_annular_ring_armx
--- CxLocal_linear_stack_armx
--- CxStratum_sub_stack_armx

--- Complexes ---
- Adding new complexes (needed for Cx classes):
-- sequential_laminate_assembly_design_mim.interconnect_module_stratum_based_terminal+part_feature_function_mim.thermal_feature
-- conductivity_material_aspects_mim.material_designation_with_conductivity_classification+fabrication_technology_mim.passage_deposition_material_identification
-- conductivity_material_aspects_mim.material_designation_with_conductivity_classification+fabrication_technology_mim.passage_filling_material_identification

--- XIM EXPRESS ---
- ap203_configuration_controlled_3d_design_of_mechanical_parts_and_assemblies\mim.exp
-- add organization into attribute_language_item_203e2 (bug #2426)

**** 2008-05-27  v1.125.100 (back to 1.125.xxx as all changes seems to be backward compatible)

- Ida_step_schema_xim
-- Add extensions to selects
--- ida_failure_mode_select
--- ida_state_definition_of_item 

- Complexes:
-- Add ~70 complexes for newly added AP210 entities:
--- Land_with_join_terminal_xim
--- Stratum_feature_template_component_with_stratum_feature_xim
--- Structured_layout_component_sub_assembly_relationship_with_component_xim


**** 2008-05-11  v1.126.0

--- EXPRESS, compilation lists ---

- Add failure analysis stuff
-- Add new schemas into compilation lists and ida_step schema:
--- Failure_mode_effects_causes_analysis_xim
--- Foundation_state_definition_xim
--- State_definition_xim

- Optimize AP210 entities (bug #2386)
-- Add new implicit complexes:
--- Land_with_join_terminal_xim
--- Stratum_feature_template_component_with_stratum_feature_xim
--- Structured_layout_component_sub_assembly_relationship_with_component_xim
--- Add all new needed complexes - comment out for now as waiting for Express compiler fix.

- Remove unused AP233 modules (bug #2384)
-- system_requirements
-- system_requirements_connector
-- user_defined_attribute

--- Cx classes ---

- Fixing bugs in Cx classes
-- jsdai.SApproval_xim
--- CxApproving_person_organization
-- jsdai.SAssembly_module_design_xim
--- CxRouted_interconnect_component_armx
-- jsdai.SAssembly_module_usage_view_xim
--- CxPca_usage_view
-- jsdai.SComponent_grouping_xim
--- CxAssembly_component_placement_link
--- CxLinear_array_placement_group_component_link
-- jsdai.Extended_measure_representation_xim
--- CxValue_with_tolerances
-- jsdai.SFabrication_requirement_xim
--- CxPitch_class
-- jsdai.SLayered_interconnect_module_design_xim
--- CxInternal_probe_access_area_armx
--- CxInternal_stratum_access
--- CxLayout_junction_armx
--- CxProbe_access_area_armx
-- jsdai.SMixed_complex_types
--- CxContact_size_dependent_land_armx$probe_access_area_armx
--- CxInternal_probe_access_armx$land_armx
--- CxInternal_probe_access_armx$plated_passage_dependent_land_armx
-- jsdai.SPackage_connector_model_xim
--- CxPackaged_connector_terminal_relationship_armx
-- jsdai.SShape_property_assignment_xim
--- CxShape_element

- Adding new Cx classes
-- jsdai.SFile_identification_xim
--- CxDigital_file
---- CxFile
-- jsdai.SGeometric_tolerance_xim
--- CxDatum_defined_by_feature
--- CxSingle_datum
-- jsdai.SMixed_complex_types
--- CxCapacitance_measure_with_unit$value_limit
--- CxDatum_defined_by_feature$datum_plane
--- CxResistance_measure_with_unit$value_with_tolerances

-- From v1.125.100 and later mark backward not compatible change starting with !
**** 2008-03-20  v1.125.0

--- XIM EXPRESS ---

- change USE FROMs in
-- Alternative_solution_xim
-- Assembly_structure_xim
-- Chemical_substance_xim
-- Classification_with_attributes_xim
-- Network_functional_design_view_xim
-- Part_occurrence_xim
-- Shape_property_assignment_xim

- Move Externally_defined_type_qualifier from qualified_measure_xim to characteristic_xim (including subtype constraint and needed REFERENCE FROM)

- Fabrication_technology_xim
--! Remove entity Filled_via_template_armx and all its usages, references
-- Added extensible enumeration ft_terminus_condition
-- Add 'finish_coating' option to predefined_documentation_layer_purpose
--! Change type of inverse redeclared attribute
--- Default_component_termination_passage_definition.deposition_material
--- Default_via_definition.deposition_material
--! Remove attributes
--- Default_passage_based_land_physical_template_armx.minimum_fabrication_allowance
--- Default_passage_based_land_physical_template_armx.minimum_annular_ring
-- Add new entities:
--- Passage_deposition_material_identification_armx
--- Passage_filling_material_identification_armx
-- Added new attributes:
--- Passage_technology_armx.passage_terminus_condition
--- Passage_technology_armx.minimum_fabrication_allowance
--- Passage_technology_armx.fill_material
-- Change and and new WRs in Passage_technology_armx

- Generic_product_occurrence_xim
-- Add WR to Product_occurrence

- Layered_interconnect_module_design_xim
--! Remove entity Filled_via_armx and all its usages, references

- Part_template_2d_shape_xim
-- Add new enumeration trace_class
-- Add new entities, attributes, functions:
--- Allocated_passage_minimum_annular_ring_armx
--- Passage_technology_allocation_to_stack_model_armx.target_stratum
--- Passage_technology_allocation_to_stack_model_armx.connected_minimum_annular_ring
--- Passage_technology_allocation_to_stack_model_armx.unconnected_minimum_annular_ring
--- Passage_technology_allocation_to_stack_model_armx.terminus_stratum (derived)
--- Equivalent_stackup_model_definition_armx
--- Equivalent_sub_stack_definition_armx
--- Impedance_requirement_occurrence_armx
--- Impedance_measurement_setup_requirement_occurrence_armx
--- acyclic_equivalent_stackup_model_definition
--- pt2ds_get_terminus
-- Change WRs of:
--- Local_linear_stack_armx
--- Passage_technology_allocation_to_stack_model_armx
-- Rename function sts_vertex_degree_less_than_three to sts_vertex_degree_check and change it

--- MIM EXPRESS ---

- change USE FROMs in
-- Alternative_solution_mim
-- Assembly_structure_mim
-- Characteristic_mim
-- Chemical_substance_mim
-- Classification_with_attributes_mim
-- External_class_mim
-- External_library_mim
-- Network_functional_design_view_mim
-- Part_occurrence_mim
-- Qualified_measure_mim
-- Shape_property_assignment_mim

- Add new schema into compilation list (empty)
-- External_source_mim

- Fabrication_technology_mim
-- Added new entities:
--- passage_deposition_material_identification
--- passage_filling_material_identification
--- stratum_technology_occurrence_feature_constraint (not to be used so far)

- Part_template_2d_shape_mim
-- Added new entities:
--- allocated_passage_minimum_annular_ring
--- equivalent_stackup_model_definition
--- equivalent_sub_stack_definition
--- impedance_requirement_occurrence
--- impedance_measurement_setup_requirement_occurrence

--- Mapping ---

- ap210.extra file
-- Roll back addition of strong attributes for Applied_independent_property

- Moved Externally_defined_type_qualifier mapping from qualified_measure to characteristic

- Fabrication_technology
-- Minor change (not relevant for tools):
--- Blind_passage_template_armx.datum_reference_side
--- Component_termination_passage_template_join_terminal.disallowed_inter_stratum_extent
--- Via_template_terminal.disallowed_inter_stratum_extent
-- Removed mappings for removed attributes, entities:
--- Default_passage_based_land_physical_template_armx.minimum_fabrication_allowance
--- Default_passage_based_land_physical_template_armx.minimum_annular_ring
--- Filled_via_template_armx
-- Change mappings:
--- Add option for attribute mapping Documentation_layer_technology.pre_defined_documentation_layer_purpose
-- Add mappings for new entities, attributes:
--- Passage_deposition_material_identification_armx
--- Passage_filling_material_identification_armx
--- Passage_technology_armx.minimum_fabrication_allowance
--- Passage_technology_armx.passage_terminus_condition

- Layered_interconnect_module_design
-- Remove mapping of Filled_via_armx

- Part_template_2d_shape
-- Add mapping for new entities, attributes:
--- Allocated_passage_minimum_annular_ring_armx (and attributes)
--- Passage_technology_allocation_to_stack_model_armx.target_stratum
--- Passage_technology_allocation_to_stack_model_armx.connected_minimum_annular_ring
--- Passage_technology_allocation_to_stack_model_armx.unconnected_minimum_annular_ring
--- Equivalent_stackup_model_definition_armx (and attributes)
--- Equivalent_sub_stack_definition_armx (and attributes)
--- Impedance_requirement_occurrence_armx (and attributes)
--- Impedance_measurement_setup_requirement_occurrence_armx (and attributes)
-- Minor change (not relevant for tools):
--- Local_linear_stack_armx.stratum_technology_sequence
--- Passage_technology_allocation_to_stack_model_armx.stratum_technology_sequence
--- Stratum_sub_stack_armx.stratum_technology_sequence

--- Complex entities, lists ---

-- Systematically make all possible complexes for measure_with_unit subtypes and measure_representation_item
-- Remove outdated complexes (which are now anyway invalid) with physical_unit_datum
-- Added complexes:
---	capacitance_measure_with_unit+value_limit
--- length_measure_with_unit+value_with_tolerances
--- resistance_measure_with_unit+value_with_tolerances
--- material_identification_with_conductivity_classification+passage_deposition_material_identification_armx
--- material_identification_with_conductivity_classification+passage_filling_material_identification_armx
-- Removed complexes:
--- next_higher_assembly_interface_requirement+product_occurrence_with_quantity
--- next_assembly_usage_occurrence_relationship_armx+product_occurrence_with_quantity

- Add external_source_mim to compilation lists.

--- Cx classes ---

- Reflect changes in XIMs
-- jsdai.SFabrication_technology_xim
--- CxDefault_passage_based_land_physical_template_armx
--- CxDefault_plated_passage_based_land_physical_template_armx
--- CxDefault_unsupported_passage_based_land_physical_template_armx
--- CxDefault_unsupported_passage_based_land_physical_template_armx

- Remove invocation of 'dangerous' method (setAdditional_charecterization) for this particular entities:
-- jsdai.SGeneric_product_occurrence_xim/
--- CxDefinition_based_product_occurrence
-- jsdai.Part_occurrence
--- CxDefinition_based_part_occurrence
--- CxPart_occurrence
-- jsdai.SPhysical_unit_design_view_xim
--- CxAssembly_component_armx

- Fix bug
-- jsdai.SPart_template_2d_shape_xim.CxPassage_technology_allocation_to_stack_model_armx

**** 2008-02-20  v1.124.100
Added complexes:
  part_version+product_definition_formation_with_specified_source
  datum_plane+datum_defined_by_feature  
Remove invalid complexes with  
  area_unit
  volume_unit 
  integral_shield+part_template_definition
  
**** 2008-02-20  v1.124.0

--- MIM EXPRESS ---

- remove physical_unit_datum (and change all occurrence to datum), physical_unit_datum_target_set
-- Extended_geoemtric_tolerance_mim
--- attributes of datum_difference.
--- supertype of edge_segment_vertex
--- remove physical_unit_datum_target_set
--- remove physical_unit_datum 

- Fabrication_technology_mim
-- Add new entity filled_unsupported_passage_template.

- Layered_interconnect_module_design_mim
-- remove entity multi_layer_stratum_feature.

- Package_mim
-- make entities subtypes of shape aspect instead of physical_unit_datum_feature
--- primary_orientation_feature
--- secondary_orientation_feature
--- tertiary_orientation_feature

- resources/representation_schema
-- Remove ONEOF from representation_relationship

--- XIM EXPRESS ---

- ap210_electronic...
-- ap210_managed_design_object_armx
--- Removal of Datum_target_usage_in_datum_target_set_relationship
--- Renaming of  Direction_element to Datum_based_direction_element

- Cable_xim
-- make Cable_terminal_armx.mapped_terminal optional

- Extended_geometric_tolerance_xim
-- Added attribute (and WR for it)
--- Conical_tolerance_zone_boundary_and_surface_relationship.terminating_surface_datum.
--- Dimension_related_positional_boundary.constrained_physical_feature_datum.
--- True_profile.profiled_surface_datum
-- Changed supertype of 
--- Datum_axis
--- Datum_plane
--- Datum_point
--- Change attributes of Datum_difference_armx
-- Removed 
--- Datum_feature_armx
--- Datum_target_set
--- Datum_target_usage_in_datum_target_set_relationship
-- Added WR to
--- Projected_zone_and_base_relationship

- Renaming of  Direction_element to Datum_based_direction_element
-- Extended_geometric_tolerance_xim
--- Datum_based_vector_orientation.direction_components
--- Datum_based_direction_element itself

- Fabrication_technology_xim
-- Added new entity Filled_unsupported_passage_template_armx

- Interconnect_physical_requirement_allocation_xim
-- Changed entity Electrical_isolation_requirement
--- Made attribute effective_voltage_withstand_capacity_requirement explicit from derived
--- Added WRs.
-- Change cardinality of Thermal_isolation_removal_template_armx.thermal_isolation_spacing_requirement
-- Change entity Thermal_isolation_requirement
--- Make 3 derived explicit
--- Add WRs
-- Removed FUNCTION get_specific_requirement_view_definition_for_collector.

- Interconnect_placement_requirements_xim
-- Remove multi_layer_stratum_feature_template_component_category from pca_product_design_object_category.

- Layered_interconnect_module_design_xim
-- Remove some options from limd_physical_feature_or_part_template.
-- Add WR to Internal_probe_access_area_armx
-- Removed entity Multi_layer_stratum_feature_armx
-- Changed entity Probe_access_area_armx
--- changed type of stratum_feature_material_stackup
--- Added WR

- Package_xim
-- Change Package_orientation_feature
--- Change its supertypes
--- Add WR

- Part_template_2d_shape_xim
-- Change entity Design_stack_model_armx
-- Added attribute model_thickness
--- Change INVERSE passage to sub_stack
-- Change entity Stratum_sub_stack_armx 
--- Added attribute stack_thickness
--- Minor fix in WR

- Pre_defined_datum_2d_symbol_xim
-- Change entity Pre_defined_datum_2d_symbol
--- remove Non_feature_shape_model from supertypes list
--- make attribute associated_element explicit instead of redeclared.

- Pre_defined_datum_3d_symbol_xim
-- Change supertypes and affected attributes of 
--- Pre_defined_datum_axis_3d_symbol
--- Pre_defined_datum_plane_3d_symbol.

- Pre_defined_datum_symbol_xim
-- Change subtype_constraints
--- pdds_non_feature_shape_model_subtypes 
--- pdds_shape_definition_3d_intersection_armx_subtypes.

- Surface_conditions_xim
-- Add extension of select - sf_material_item_select.

--- Mapping ---

- ap210.extra
-- Added strongs for
--- located_2d_inter_stratum_extent;
--- located_3d_inter_stratum_extent;
--- moved resolving of values for interconnect_module_constraint_region.constrained_design_object_category to the mapping itself

- ap210_electronic.../module.path
-- ap210_managed_design_object_armx
--- Removal of Datum_target_usage_in_datum_target_set_relationship
--- Renaming of  Direction_element to Datum_based_direction_element

- remove physical_unit_datum (and change all occurrence to datum), physical_unit_datum_target_set
-- Bare_die/module.path
--- attributes of Bare_die_edge_segment_surface_armx.
-- interconnect_module_usage_view/module.path
--- attributes of Interconnect_module_cutout_segment_surface_armx
--- attributes of Interconnect_module_edge_segment_surface_armx
-- layered_interconnect_module_design/module.path
--- attributes of Cutout_edge_segment_armx
--- attributes of Interconnect_module_edge_segment_armx
-- package/module.path
--- Package_body_edge_segment_surface_armx
--- Package_orientation_feature
--- Primary_orientation_feature_armx
--- Secondary_orientation_feature_armx
--- Tertiary_orientation_feature_armx
-- part_template_extension/module.path
--- attributes of Inter_stratum_feature_edge_segment_template_armx
-- Pre_defined_datum_2d_symbol/module.path
--- attributes of Pre_defined_datum_2d_symbol
-- Pre_defined_datum_3d_symbol/module.path
--- Pre_defined_datum_axis_3d_symbol
--- Pre_defined_datum_plane_3d_symbol

- Extended_geoemtric_tolerance/module.path
-- Change mapping of entity and/or its mappings
--- Conical_tolerance_zone_boundary_and_surface_relationship
--- Datum_axis
--- Datum_axis_and_tolerance_zone_orienting_relationship
--- Datum_based_direction_vector
--- Datum_based_length_measure
--- Datum_based_vector_orientation
--- Datum_difference_armx
--- Datum_plane
--- Datum_point
--- Dimension_related_positional_boundary
--- Edge_segment_vertex_armx
--- Projected_zone_and_base_relationship
--- True_profile
-- Removed mappings for deleted entities
--- Datum_target_set
--- Datum_target_usage_in_datum_target_set_relationship
-- Renaming Direction_elemen to Datum_based_direction_element

- Fabrication_technology/module.path
-- Added mapping for Filled_unsupported_passage_template_armx

- Interconnect_physical_requirement_allocation/module.path
-- Add mappings for new explicit attributes:
--- Electrical_isolation_requirement.effective_voltage_withstand_capacity_requirement
--- Thermal_isolation_requirement.effective_current_capacity_requirement
--- Thermal_isolation_requirement.effective_thermal_resistance_requirement
--- Thermal_isolation_requirement.angular_orientation_requirement

- Interconnect_placement_requirements/module.path
-- Remove multi_layer_stratum_feature_template_component_category from pca_product_design_object_category.

- Layered_interconnect_module_design/module.path
-- Remove mapping alternatives for attributes of 
--- Conical_tolerance_zone_boundary_and_surface_relationship attributes.
--- Dimension_related_positional_boundary
--- Projected_zone_and_base_relationship
--- True_profile
-- Remove entity mappings for Multi_layer_stratum_feature_armx
-- Change attribute mappings for Probe_access_area_armx

- Part_template_2d_shape/module.path
-- Add mappings for new attributes
--- Design_stack_model_armx.model_shape
--- Stratum_sub_stack_armx.stack_thickness

- jsdai.SExtended_geometric_tolerance_xim
-- Changed methods in CxDatum_based_length_measure for attribute of Of_datum
-- Reflect change of supertype in CxDatum_plane
-- Remove Cx classes for deleted entities
--- CxDatum_feature_armx
--- CxDatum_target_set

- jsdai.SInterconnect_placement_requirements_xim
-- Roll back methods for attribute Constrained_design_object_category in CxInterconnect_module_constraint_region.

- jsdai.SLayered_interconnect_module_design
-- modify methods for attribute Stratum_feature_material_stackup in CxProbe_access_area_armx.

--- Cx classes ---

- Fixing errors in Cx classes (not related to EXPRESS changes)
-- jsdai.SMixed_complex_types
--- CxDesign_view_level_non_feature_shape_model$single_boundary_csg_2d_shape_representation
--- CxPart_template_planar_shape_model$planar_closed_path_shape_model_with_parameters
-- jsdai.SPhysical_unit_shape_with_parameters_xim
--- CxPhysical_unit_keepout_shape_model
-- jsdai.SZonal_breakdown_xim
--- CxZone_element_definition

- jsdai.SPackage_xim
-- Reflect change in supertype in CxPackage_orientation_feature

**** 2008-01-31  v1.123.0

--- Cx classes ---

- remove test methods for derived attributes before setting as they are not allowed anymore
-- jsdai.SAssembly_technology_xim.CxAssembly_joint_armx
-- jsdai.SPrinted_physical_layout_template_xim.CxPrinted_connector_template_terminal_relationship_armx
-- jsdai.SFabrication_technology_xim.CxStratum_technology_swap_relationship_armx
-- jsdai.SLayered_interconnect_module_design_xim.CxInter_stratum_extent

- Workarround for test methods for derived attributes (writing internal test/get methods with other names)
-- SContextual_shape_positioning_xim.CxGeometric_composition_with_placement_transformation
-- SContextual_shape_positioning_xim.CxGeometric_relationship_with_placement_transformation
-- jsdai.SLayered_interconnect_module_design_xim.CxPhysical_unit_keepout_shape_allocation_to_stratum_armx

- add methods for new attribute placement_status.
-- jsdai.SFootprint_definition_xim
--- CxPart_feature_based_template_location
--- CxStratum_feature_template_location_in_breakout_footprint_definition
-- jsdai.SPart_template_2d_shape_xim
--- CxDependent_template_location_in_padstack_definition
--- CxInter_stratum_feature_template_location
--- CxStratum_specific_template_location_armx
--- CxTemplate_location_in_structured_template

- Add more security checks for incomplete data (when definition is unset).
-- jsdai.SGeneric_product_occurrence_xim
--- CxDefinition_based_product_occurrence
-- jsdai.SPhysical_unit_design_view
--- CxAssembly_component_armx
--- CxNext_assembly_usage_occurrence_relationship_armx


- add methods for new attribute used_stack_model
-- jsdai.SLayered_interconnect_module_design_xim
--- CxInterconnect_module
--- CxPcb

- add methods for new attribute design_specific_placement
-- jsdai.SLayered_interconnect_module_design_xim
--- CxStructured_layout_component_sub_assembly_relationship_armx

- Add security checks so that derived attributes are skipped
-- jsdai.SPart_template_shape_with_parameters_xim
--- CxPart_template_shape_model

- Fix Cx according MIM-XIM tests
-- jsdai.SPhysical_connectivity_definition_xim
--- CxPhysical_connectivity_definition_relationship
-- jsdai.SPhysical_unit_design_view_xim
--- CxPart_design_view

- Rename Assembly_item_number to Assembly_item_number_armx
-- jsdai.SPhysical_unit_design_view_xim
--- removed CxAssembly_item_number
--- added CxAssembly_item_number_armx

- additional_characterization is derived, so remove its methods invocation
-- jsdai.SPhysical_unit_design_view_xim
--- CxPhysical_component_armx

--- XIM EXPRESS ---

- Ap210_electronic_assembly_interconnect_and_packaging_design_xim
-- Change reference from  Assembly_item_number to Assembly_item_number_armx.

- Associative_text_xim
-- Make Annotation_element also subtype of geometric_representation_item (reflect this on the mapping as well).
  
- Document_definition_xim
-- Add WRs to constraint its initial_context:
--- Document_definition
--- Digital_document_definition
--- Physical_document_definition

- Fabrication_technology_xim
-- Added or changed WRs for 
--- Stratum_stack_model_armx
--- Stratum_technology_occurrence_link_armx
--- Stratum_technology_occurrence_relationship_armx
--- Stratum_technology_occurrence_swap_relationship_armx
-- Reanamed acyclic_stratum_technology_occurrence_link to acyclic_stratum_technology_occurrence_relationship and changed afterwards.
-- Removed acyclic_stratum_technology_occurrence_swap_relationship.

- Layered_interconnect_module_design_xim
-- Changed cardinality of Stratum_armx.of_surface, changed one WR.

- Layered_interconnect_module_with_printed_component_design_xim
-- Minor change in function limdwpcd_get_stolrs

- Part_template_2d_shape_xim
-- Change WRs of 
--- Part_template_2d_shape_xim
--- Stratum_sub_stack_armx
-- Changed function sts_vertex_degree_less_than_three

- Physical_connectivity_definition_xim
-- Physical_connectivity_definition_relationship.
--- Add derived attribute
--- Fix redeclaration of attributes

- Physical_unit_design_view_xim
-- Changed selects:
--- assembly_component_or_item_number
-- added enumeration bonding_or_coating 
-- Change Assembly_item_number to Assembly_item_number_armx (itself and all references).
-- Change Component_bonding_relationship to Component_material_relationship_armx (itself and all references).
-- Add derived attribute to Assembly_component_armx
-- Changed rule unique_assembly_item_number

- Printed_physical_layout_template_xim
-- Change supertypes of Structured_printed_part_template_terminal_armx.

--- MIM EXPRESS ---

- Add subtype constraints
-- Appearance_assignment_mim.aa_representation_item_subtypes FOR representation_item
-- Tagged_text_representation_mim.ttr_descriptive_representation_item_subtypes
-- draughting_element_schema.annotation_curve_subtypes

- Add USE FROMs needed for references withing WRs (cosmetics).
-- Associative_draughting_elements_mim
-- Draughting_element_specialisations_mim
-- Layer_assignment_mim
-- aic_mechanical_design_shaded_presentation

- Minor changes in rules
-- Extended_measure_representation_mim
-- Part_and_zone_laminate_tables_mim

- Change all references from parameter_assignment_representation to parameter_assignment. Remove parameter_assignment_representation itself.
-- Ap210_electronic_assembly_interconnect_and_packaging_design_mim
-- Model_parameter_mim

- Characteristic_mim
-- Add WR to range_characteristic.

- Design_product_data_management_mim
-- added classification_item_extended into design_pdm_classification_item select
-- Cosmetic changes on select design_pdm_ir_usage_item.

- Extended_date_mim
-- added use from to year_month.

- External_properties_mim
-- Minor changed in rules:
--- plib_property_reference_requires_name_scope
--- plib_property_reference_requires_version

- Physical_unit_design_view_mim
-- Added new select component_material_relationship_assignment_item
-- Changed select entries for:
--- pudv_groupable_item
--- pudv_requirement_assigned_item
-- Added new entities:
--- component_material_relationship
--- component_material_relationship_assignment

- Ply_orientation_specification
-- make subtypes of geometric_re_item as well
--- point_and_vector
--- point_path

- Single_part_representation_mim
-- minor change of function categories_of_product.

- aic_geometrically_bounded_2d_wireframe
-- minor change in WRs of geometrically_bounded_2d_wireframe_representation

- aic_associative_draughting_elements
-- remove derived attribute from shape_aspect_associativity and function used by it get_callouts_for_shape_aspect.

- draughting_dimension_schema
-- Add WRs to dimension_callout and needed USe FROMs.

- measure_schema
-- removed redeclared attribute from radioactivity_measure_with_unit.

- presentation_organization_schema
-- Added WRs to camera_image_2d_with_scale and camera_model_d2.

- representation_schema
-- removed dublicated WR from definitional_representation_relationship_with_same_context.

--- Mapping ---

- ap210.extra
-- Add strong for Characteristic_data_table_representation.
-- Removed strong usage_view_level_non_feature_shape_model.model_shape (mapping itself is constrained enough).

- Change all references from parameter_assignment_representation to parameter_assignment. Remove parameter_assignment_representation itself.
-- Ap210_electronic_assembly_interconnect_and_packaging_design
-- Model_parameter
-- Analytical_model

- characteristic
-- add more mapping alternatives for Characteristic_data_table_row.cell

- component_feature
-- Change target for mapping of Component_feature_armx.definition

- add strings to support Document_definition itself for mappings refering to it
-- document_assignment
-- document_structure
-- encoded_text_representation
-- single_part_representation

- Generic_product_occurrence
-- Change mapping of Definition_based_product_occurrence to make it compatible with other subtypes.

- Move Part_definition_relationship__tool_part_relationship mapping back to ida_step schema

- Part_template_2d_shape
-- Fix mapping of Passage_technology_allocation_to_stack_model_armx.allocated_technology.

- physical_unit_design_view
-- Change mapping of Assembly_item_number,
-- Change Component_bonding_relationship to Component_material_relationship_armx,
-- Add mapping to Next_assembly_usage_occurrence_relationship_armx.related_product_definition,
-- Change mapping of Requirement_assignment_armx.assigned_to.

- shape_property_assignment
-- Extend mapping of Shape_element and Shape_element_relationship with more constraints.

**** 2007-12-20  v1.122.0

--- MIM EXPRESS ---

- automotive_design_schema
-- Have physically_modelled_product_definition directly instead of taking it from surface_conditions_mim (as it got removed from there).

- Ap203_configuration_controlled_3d_design_of_mechanical_parts_and_assemblies_mim
-- Removed USE FROM Composite_property_mim.

- Optimize USE FROMs
-- Alternative_solution_mim
-- Analytical_model_mim
-- Approval_mim
-- Assembly_component_placement_requirements_mim
-- Assembly_functional_interface_requirement_mim
-- Assembly_module_with_cable_component_3d_mim
-- Assembly_physical_interface_requirement_mim
-- Assembly_structure_mim
-- Chemical_substance_mim
-- Classification_with_attributes_mim
-- Contextual_shape_positioning_mim
-- Design_product_data_management_mim
-- Design_specific_assignment_to_assembly_usage_view_mim
-- Device_marking_mim
-- Extended_geometric_tolerance_mim
-- Functional_usage_view_mim
-- Generic_material_aspects_mim
-- Incomplete_data_reference_mechanism_mim
-- Interconnect_module_to_assembly_module_relationship_mim
-- Interconnect_module_with_macros_mim
-- Interconnect_physical_requirement_allocation_mim
-- Interconnect_placement_requirements_mim
-- Layered_3d_shape_mim
-- Layered_interconnect_module_2d_design_mim
-- Model_parameter_mim
-- Part_collection_mim
-- Part_occurrence_mim
-- Part_template_3d_shape_mim
-- Part_template_shape_with_parameters_mim
-- Physical_layout_template_mim
-- Physical_unit_2d_shape_mim
-- Physical_unit_3d_shape_mim
-- Physical_unit_design_view_mim
-- Physical_unit_shape_with_parameters_mim
-- Physical_unit_usage_view_mim
-- Pre_defined_product_data_management_specializations_mim
-- Printed_physical_layout_template_mim
-- Process_property_assignment_mim
-- Product_data_management_mim
-- Requirement_assignment_mim
-- Requirement_decomposition_mim
-- Requirement_identification_and_version_mim
-- Sequential_laminate_assembly_design_mim
-- Shape_property_assignment_mim
-- Specification_document_mim
-- Surface_conditions_mim
-- Text_representation_mim

- Ap210_electronic_assembly_interconnect_and_packaging_design_mim
-- Added USE FROMs:
--- USE FROM Drawing_definition_mim; -- ISO/TS 10303-1309
--- USE FROM Dimension_and_tolerance_callouts_mim; -- ISO/TS 10303-1362 
--- USE FROM Text_representation_mim; -- ISO/TS 10303-1750
-- Removed deleted entity from select - stratum_based_pattern
-- Added new select - ap210_presented_item_select.
-- Added rule not_instantiable_pre_defined_surface_side_style.

- Characteristic_mim
-- Optimize USE FROMs
-- Added new entities:
--- characteristic_data_table_header
--- characteristic_data_table_header_link
-- Changed supertype of table_representation_item
-- Added subtype constraint c_compound_representation_item_subtypes

- Extended_date_mim
-- Remove entity calendar_month_year (substituted by year_month from date_time_schema).

- Fabrication_technology_mim
-- Added new entities:
--- copy_stratum_technology_occurrence_relationship
--- derived_stratum_technology_occurrence_relationship
--- inverse_copy_stratum_technology_occurrence_relationship
--- stratum_technology_occurrence_derived_from_relationship
--- stratum_technology_occurrence_relationship
-- Change supertypes of:
--- stratum_technology_occurrence_link
--- stratum_technology_occurrence_swap_relationship
-- Removed entity - stratum_technology_occurrence_derived_from_relationship.

- Fill_area_style_mim
-- Added new USE FROM to entity fill_area_style_tile_symbol_with_style

- Layered_interconnect_module_design_mim
-- Optimized USE FROMs
-- extended subtype constraint limd_part_template_definition_subtypes by stratum_sub_stack
-- Removed entities:
--- stratum_based_pattern (itself and all references to it)
--- stratum_based_pattern_inter_stratum_extent
--- stratum_technology_occurrence_to_stratum_mapping_relationship
-- Added new entities:
--- layer_stack_region
--- region_based_derived_pattern

- Part_template_2d_shape_mim
-- Optimize USE FROMs
-- Added new entities:
--- local_linear_stack
--- stratum_sub_stack

- Presentation_hierarchy_mim
-- Added USE FROM to presentation_size

- Product_class_mim
-- Made selects extensible:
--- id_for_class
--- specification_for_category

- Styled_curve_mim
-- Added USE FROMs to surface_style_usage, pre_defined_surface_side_style.

- resources/date_time_schema
-- Added new entity year_month (instead of calendar_month_year from extended_date_mim).

- Big restructuring with MEASURE_SCHEMA and VALUE_WITH_UNIT_EXTENSION_MIM
- SEDSZILLA issue 2341 (http://step.nasa.gov/sparkynet/bugs/show_bug.cgi?id=2341).
- Very high level listing:
-- For subtypes of measure_with_unit, remove the following EXPRESS: SELF\measure_with_unit.unit_component  : si_unit;
-- For subtypes of measure_with_unit, WR2 is changed, add WR3 and WR4
-- Changed USE FROMs in Value_with_unit_extension_mim
-- Moved from Value_with_unit_extension_mim to measure_schema
--- absorbed_dose_measure_with_unit
--- activity_measure_with_unit (renamed to radioactivity_measure_with_unit)
--- capacitance_measure_with_unit
--- conductance_measure_with_unit
--- dose_equivalent_measure_with_unit
--- electric_charge_measure_with_unit
--- electromotive_force_measure_with_unit (renamed to electric_potential_measure_with_unit)
--- energy_measure_with_unit
--- force_measure_with_unit
--- frequency_measure_with_unit
--- illuminance_measure_with_unit
--- inductance_measure_with_unit
--- luminous_flux_measure_with_unit
--- magnetic_flux_density_measure_with_unit
--- magnetic_flux_measure_with_unit
--- power_measure_with_unit
--- pressure_measure_with_unit
--- resistance_measure_with_unit
--- subtype_exclusive_measure_with_unit (likely removed)
-- Added few more entities/types:
--- absorbed_dose, activity, dose_equivalent
--- extended measure_value select

- mathematical_functions_schema
-- Change functions derive_function_range and make_maths_real_variable

- presentation_organization_schema
-- Change derived attribute camera_image_2d_with_scale.scale

- risk_schema
-- Added reference from to approval_assignment and classification_assignment.

--- XIM EXPRESS ---
- Optimize USE FROMs only:
-- Alternative_solution_xim
-- Analytical_model_xim
-- Approval_xim
-- Assembly_functional_interface_requirement_xim
-- Assembly_module_with_cable_component_3d_xim
-- Assembly_structure_xim
--- Contextual_shape_positioning_xim
--- Design_product_data_management_xim
--- Device_marking_xim
--- Extended_geometric_tolerance_xim
--- Functional_usage_view_xim
--- Generic_material_aspects_xim
--- Interconnect_module_to_assembly_module_relationship_xim
--- Interconnect_physical_requirement_allocation_xim
--- Layered_3d_shape_xim
--- Network_functional_design_view_xim
--- Part_collection_xim
--- Part_template_3d_shape_xim
--- Part_template_shape_with_parameters_xim
--- Physical_layout_template_xim
--- Physical_unit_2d_shape_xim
--- Physical_unit_3d_shape_xim
--- Physical_unit_usage_view_xim
--- Plib_class_reference_xim
--- Pre_defined_product_data_management_specializations_xim
--- Printed_physical_layout_template_xim
--- Process_property_assignment_xim
--- Product_data_management_xim
--- Requirement_identification_and_version_xim
--- Specification_document_xim
--- Text_representation_xim

- Ap210_electronic_assembly_interconnect_and_packaging_design_xim
-- Added USE FROMs (drawing_definition_mim, dimension_and_tolerance_callouts_xim, text_representation_xim)
-- Removed links to removed entities (Adjacent_stratum_surface_definition, Stratum_based_pattern_armx)

- Made various assembly_components also subtypes of Single_instance:Bare_die_component_armx and Packaged_component_armx subtypes of Single_instance
-- Assembly_module_design_xim
--- Bare_die_component_armx 
--- Packaged_component_armx
-- Assembly_module_with_cable_component_xim
--- Cable_component_armx
-- Assembly_module_with_interconnect_component_xim
--- Interconnect_module_component_armx
-- Assembly_module_with_macro_component_xim
--- Assembly_module_macro_component_armx
-- Assembly_module_with_subassembly_xim
--- Assembly_module_component_armx
-- Component_grouping_xim;
--- Assembly_group_component_armx
-- Interface_component_xim
--- Interface_component_armx

- Characteristic_xim
-- Optimized Use froms
-- Added new entities:
--- Characteristic_data_table_header_armx
--- Characteristic_data_table_header_link_armx
--- Characteristic_data_table_representation
-- Modeified entities
--- Characteristic_data_table (removed attribute index_value, UR, changed WRs)    
--- Characteristic_data_table_row (renamed attribute property_value to cell and changed its target)
-- Added functions get_characterized_column_headers, get_table.

- Chemical_substance_xim
-- Optimized USE FROMs
-- Added UR to Raw_material_definition_relationship.

- Classification_with_attributes_xim
-- Optimized USE FROMs
-- Changed members in selects:
--- classified_element_select
--- definable_objects

- Fabrication_technology_xim
-- Optimized USE FROMs
-- changed values in ENUMERATION stiffness_class
-- Added new ENUMERATION up_or_down
-- Added new entities:
--- Copy_stratum_technology_occurrence_relationship_armx
--- Derived_stratum_technology_occurrence_relationship_armx
--- Inverse_copy_stratum_technology_occurrence_relationship_armx
--- Stratum_technology_occurrence_relationship_armx
-- Changed entities:
--- Stratum_technology_armx (unblock one attribute).
--- Stratum_technology_occurrence_armx (add 2 new attributes primary, rotation)
--- Stratum_technology_occurrence_link_armx (removed 3 attributes, added one new, changed WRs)
--- Stratum_technology_occurrence_swap_relationship_armx (removed 3 attributes, changed WRs, etc.)
--- Unsupported_passage_template_armx (added supertype unsupported_passage_template)
-- Changed functions:
--- acyclic_stratum_technology_occurrence_link
--- acyclic_stratum_technology_occurrence_swap_relationship
--- get_stack
--- sts_vertex_degree_less_than_two

- Generic_product_occurrence_xim
-- Optimized use froms
-- Block Product_vied_definition.additional_characterization in entities:
--- Product_occurrence
--- Product_occurrence_with_quantity
--- Quantified_instance
--- Single_instance

- Ida_step_schema_xim
-- Mainly big cleanup of unused entities (too many to document).

- Interconnect_module_with_macros_xim
-- Optimized USE FROMs
-- Made Interconnect_module_macro_component_armx subtype of single_instance

- Interconnect_placement_requirements_xim
-- Optimize USE FROMs
-- Extended interconnect_module_design_object_select select by Stratum_armx
-- Extended pca_product_design_object_category_or_group select by Stratum_armx
-- Extended ipr_non_feature_shape_element select by Stratum_constraint_region
-- Extended ipr_requirement_assignment_item select by Stratum_constraint_region
-- Add new entity Stratum_constraint_region
-- Add new function valid_non_conformant_stratum_context

- Layered_interconnect_module_2d_design_xim
-- Optimized USE FROMs
-- Added new entity Located_2d_inter_stratum_extent

- Layered_interconnect_module_3d_design_xim
-- Added new entity Located_3d_inter_stratum_extent

- Layered_interconnect_module_design_xim
-- Add new select design_or_documentation_stratum
-- extend subtype constraint limd_template_definition_subtypes
-- Removed entities:
--- Adjacent_stratum_surface_definition
--- Stratum_based_pattern_armx
--- Stratum_based_pattern_inter_stratum_extent_armx
--- Stratum_stack_model_to_interconnect_assignment
--- Stratum_technology_occurrence_to_stratum_mapping_relationship_armx
-- Removed functions:
--- acyclic_adjacent_stratum_surface_definition
--- get_included_stratum
-- Added functions:
--- limd_get_sto
--- limd_unique_stratum
--- limd_get_lcp_resident_stratum
-- Changed entities:
--- Derived_stratum_armx (removed WR, added explicit attribute 'derived_from')
--- Design_layer_stratum_armx (removed redeclared attribute Stratum_armx.of_technology, changed WR).
--- Documentation_layer_stratum_armx (removed redeclared attribute Stratum_armx.of_technology, added WR).
--- Inter_stratum_extent (made attribute 'included_stratum' explicit from serived, added 3 WRs)
--- Inter_stratum_feature_armx (changed WR)
--- Inter_stratum_join_relationship (added derived attribute and WR)
--- Interconnect_module (removed inverse 'stackup_model', added explicit attribute 'used_stack_model')
--- Pcb (changed 2 redeclared attributes)
--- Plated_passage_armx (added redeclared attribute Inter_stratum_feature_armx.vertical_extent)
--- Stratum_armx (made explicit attribute 'of_technology' as derived; added new attribute definition_x)
---  Stratum_feature_armx (change type of attribute 'resident_stratum')
--- Unsupported_passage_armx (added redeclared attribute Inter_stratum_feature_armx.vertical_extent)
--- Interconnect_module_edge_armx (add supertype interconnect_module_edge)
--- Made subtype of Single instance:
---- Laminate_component_armx
-- Added new entities:
--- Layer_stack_region_armx
--- Region_based_derived_pattern_armx

- Layered_interconnect_module_with_printed_component_design_xim
-- Made subtypes of Single_instance:
--- Printed_component_armx
--- Routed_transmission_line_armx
-- Tiebar_printed_component_armx - changed many derived attributes and WRs
-- Added functions:
--- limdwpcd_get_ac
--- limdwpcd_get_lc
--- limdwpcd_get_tbrs
--- limdwpcd_get_prs
--- limdwpcd_get_ppdl
--- limdwpcd_get_stolrs

- Land_xim
-- Land_armx - changed derived attribute functional, added WR.

- Part_occurrence_xim
-- Optimized USE FROMs
-- Part_occurrence_definition_relationship - added redeclared attribute (try to avoid mapping problems)

- Part_template_2d_shape_xim
-- Added USE FROM Lksoft_extensions_xim;
-- Added new entities:
--- Local_linear_stack_armx
--- Stratum_sub_stack_armx 
-- Passage_technology_allocation_to_stack_model_armx - multiple changes on attributes and WRs.

- Physical_unit_design_view_xim
-- Optimize USE FROMs
-- Next_assembly_usage_occurrence_relationship_armx - removed redeclared attribute.

- Sequential_laminate_assembly_design_xim
-- Optimized USE FROMs
-- Added selects:
--- stack_or_sub_stack
--- stratum_assembly_relationship_or_stratum_technology_occurrence
-- Changed entities:
--- Derived_laminate_assignment_armx(changed attributes, removed derived attribute, WRs)
--- Sequential_laminate_assembly_relationship (changed supertype)
--- Sequential_laminate_stackup_component_armx (made subtype of Single_instance, removed redeclared attribute, changed WR)
--- Sequential_laminate_stackup_definition_armx  (changed supertype, added new attribute 'associated_stratum_stack')
-- Removed function valid_oem_stratum_references.
-- Removed entity Derived_stratum_relationship

--- Shape_property_assignment_xim
-- Optimized USE FROMs
-- extended select shapeable_item

- Surface_conditions_xim
-- Optimize USE FROMs
-- Added select measuring_gauge_select
-- Change type of Contact_ration.measuring_gauge

--- Mapping ---

- ap210_xim.extra
-- Added strongs:
--- Activity_relationship;
--- characterized_object;
--- process_operation_resource_assignment;
--- definition_based_product_occurrence
-- Removed strong:
--- part_occurrence_definition_relationship

- ap210_electronic_assembly_interconnect_and_packaging_design
-- Removed mapping alternatives to removed entities:
--- Stratum_based_pattern_armx
--- Adjacent_stratum_surface_definition

- characteristic
-- Added mappings for new entities
--- Characteristic_data_table_header_armx
--- Characteristic_data_table_header_link_armx
--- Characteristic_data_table_representation
-- Change the mapping
--- Characteristic_data_table, removed Characteristic_data_table.index_value
--- Characteristic_data_table_row.cell (instead of Characteristic_data_table_row.property_value)

- chemical_subtance
-- Changed mapping for Raw_material_definition_relationship.definition, Raw_material_definition_relationship.application

- fabrication_technology
-- Added mappings for new entities, attributes
--- Copy_stratum_technology_occurrence_relationship_armx
--- Derived_stratum_technology_occurrence_relationship_armx
--- Inverse_copy_stratum_technology_occurrence_relationship_armx
--- Stratum_technology_occurrence_armx.primary, Stratum_technology_occurrence_armx.rotation
-- Changed mapping of
--- Stratum_technology_armx.laminate_stiffness_class
--- Stratum_technology_occurrence_link_armx and its attributes
--- Stratum_technology_occurrence_relationship_armx and its attributes
--- Stratum_technology_occurrence_swap_relationship_armx and its attributes

- Fill_area_style
-- Changed the mapping of User_defined_tile_style

- Generic_product_occurrence
-- Changed the mapping of Single_instance

- ida_step_schema
-- Added mapping for entities and their attributes
--- process_operation_resource_assignment
--- Product_view_definition__product_definition_resource_xim
--- process_operation_occurrence
--- process_operation_occurrence_relationship
--- Process_operation_definition
--- Process_operation_definition_relationship

- interconnect_placement_requirements
-- Changed the mapping of - added one more alternative to Stratum_armx
--- Interconnect_module_constraint_region.non_conformant_interconnect_module_design_object
--- Layout_spacing_requirement_occurrence_armx.design_object_category_1
--- Layout_spacing_requirement_occurrence_armx.design_object_category_2
--- Layout_spacing_requirement_non_conforming_design_object.non_conformant_design_object
--- Layout_spacing_requirement_non_conforming_design_object.design_object_1
--- Layout_spacing_requirement_non_conforming_design_object.design_object_2
-- Changed mapping for requirement_assignment_armx.assigned_to 
--- newly added alternative to Stratum_constraint_region
--- changed alternative to Interconnect_module_constraint_region
-- Added new entity mapping Stratum_constraint_region

- Layered_interconnect_module_2d_design
-- Added new entity mapping Located_2d_inter_stratum_extent

- Layered_interconnect_module_3d_design
-- Added new entity mapping Located_3d_inter_stratum_extent

- Layered_interconnect_module_design
-- Removed mappings for deleted entities/attributes:
--- Adjacent_stratum_surface_definition
--- Design_layer_stratum_armx.of_technology
--- Documentation_layer_stratum_armx.of_technology
--- Stratum_armx.of_technology
--- External_source_identification.item (to Stratum_based_pattern_armx)
--- Stratum_based_pattern_inter_stratum_extent_armx
--- Stratum_based_pattern_armx
--- Stratum_technology_occurrence_to_stratum_mapping_relationship_armx
--- Stratum_stack_model_to_interconnect_assignment
-- Added mappings:
--- Derived_stratum_armx.derived_from
--- Inter_stratum_extent.included_stratum
--- Interconnect_module.used_stack_model
--- Layer_stack_region_armx and attributes
--- Pcb.used_stack_model
--- Plated_passage_armx.vertical_extent
--- Region_based_derived_pattern_armx and attributes
--- Stratum_armx.definition_x
--- Unsupported_passage_armx.vertical_extent
-- Changed mappings:
--- Inter_stratum_feature_armx.vertical_extent

- Part_occurrence
-- Added mapping constraints to:
--- Part_occurrence
--- Part_occurrence_definition_relationship.related_product_definition

- Part_template_2d_shape
-- Added new entity mappings:
--- Local_linear_stack_armx
--- Stratum_sub_stack_armx
-- Changed mappings for entity Passage_technology_allocation_to_stack_model_armx and all of its attributes

- Physical_unit_design_view
-- Removed mapping for Next_assembly_usage_occurrence_relationship_armx.related_product_definition

- Sequential_laminate_assembly_design
-- Changed mapping and all of its attributes of 
--- Derived_laminate_assignment_armx
--- Sequential_laminate_assembly_relationship
--- Sequential_laminate_stackup_definition_armx
-- Changed mapping for 
--- Requirement_assignment_armx.assigned_to (alternative Sequential_laminate_assembly_relationship)
--- Stackup_requirement_to_design_relationship.related_product_definition
-- Removed mapping for Sequential_laminate_stackup_component_armx.derived_from

- Shape_property_assignment
-- removed Stratum_surface negation alternative from Shape_element (workarround for mapping problems).

- Surface_conditions
-- Changed mapping of Contact_ratio.measuring_gauge
-- Removed mapping of Physical_model_representation

--- Compilation lists ---
- MIM
-- Removed from compilation lists:
--- Work_breakdown 
--- Composite_property

- Complexes
-- Added new complexes
--- automotive_design.product_definition_resource+generic_product_occurrence_xim.single_instance
--- part_occurrence_xim.definition_based_part_occurrence+automotive_design.product_definition_resource+generic_product_occurrence_xim.single_instance
--- automotive_design.general_feature+shape_feature_xim.instanced_feature_armx
--- discrete_shield_xim.physical_shield_armx+generic_product_occurrence_xim.single_instance
--- assembly_module_design_xim.routed_interconnect_component_armx+generic_product_occurrence_xim.single_instance
--- assembly_module_design_xim.routed_physical_component_armx+generic_product_occurrence_xim.single_instance
--- physical_unit_design_view_xim.physical_component_armx+generic_product_occurrence_xim.single_instance
--- interconnect_module_usage_view_xim.interconnect_module_terminal+part_feature_function_xim.thermal_feature_armx 
--- package_xim.package_terminal_armx+package_xim.primary_orientation_feature_armx 
--- part_feature_function_xim.part_mounting_feature_armx+package_xim.primary_orientation_feature_armx 		  	
--- interconnect_module_usage_view_xim.interconnect_module_terminal_armx+part_feature_function_xim.thermal_feature_armx 		
--- assembly_physical_interface_requirement_xim.next_higher_assembly_interface_requirement+generic_product_occurrence_xim.product_occurrence_with_quantity
--- physical_unit_design_view_xim.next_assembly_usage_occurrence_relationship_armx+generic_product_occurrence_xim.product_occurrence_with_quantity
--- sequential_laminate_assembly_design_xim.interconnect_module_stratum_based_terminal_armx+part_feature_function_xim.thermal_feature_armx     
-- Removed complexes (MIM)
--- integral_shield+part_template_definition
--- layered_interconnect_module_design_mim.inter_stratum_feature+part_template_definition
--- layered_interconnect_module_design_mim.fiducial+part_template_definition
--- land_mim.land+part_template_definition
--- part_template_definition+layered_interconnect_module_design_mim.probe_access_area

- XIMs
-- Added lksoft_extensions_xim
-- Removed Work_breakdown_xim.

--- Cx classes ---
- jsdai.libutil
-- CxAP210ARMUtilities
--- Change imports to reflect changes in measure_schema/value_with_unit_extension
-- CxAp214ArmUtilities
--- remove usage of deleted entities (Catalogue_thread, Thread_feature)

- Removed methods for additional_characterization, added usage of Single_instance
-- jsdai.SAssembly_module_design_xim
--- CxBare_die_component_armx
--- CxPackaged_component_armx
-- jsdai.Assembly_module_with_cable_component_xim
--- CxCable_component_armx
-- jsdai.SAssembly_module_with_interconnect_component_xim
--- CxInterconnect_module_component_armx
-- jsdai.SAssembly_module_with_macro_component_xim
--- CxAssembly_module_macro_component_armx
-- jsdai.SAssembly_module_with_subassembly_xim
--- CxAssembly_module_component_armx
-- jsdai.SComponent_grouping_xim
--- CxAssembly_group_component_armx
-- jsdai.SInterconnect_module_with_macros_xim
--- CxInteronnect_module_with_macro_component_armx
-- jsdai.SInterface_component_xim
--- CxInterface_component_armx
-- jsdai.SLayered_interconnect_module_with_printed_component_design_xim
--- CxPrinted_component_armx

- Removed methods for additional_characterization
-- jsdai.SAssembly_module_with_packaged_connector_component_xim
--- CxPackaged_connector_component_armx
-- jsdai.SComponent_grouping_xim
--- CxInterfaced_group_component_armx
--- CxLinear_array_placement_group_component_armx
--- CxRectangular_array_placement_group_component_armx
-- jsdai.Layered_interconnect_module_design_xim
--- CxFootprint_occurrence_armx
--- CxMaterial_removal_structured_component_armx
--- CxMulti_stratum_structured_component_armx
--- CxPasdtack_occurrence_armx
--- CxPrimary_stratum_indicator_symbol_armx
--- CxStructured_layout_component_armx
-- jsdai.SLayered_interconnect_module_with_printed_component_design_xim
--- CxMulti_stratum_printed_component_armx
--- CxMulti_stratum_printed_component_armx$printed_connector_component_armx
-- jsdai.SLayout_macro_definition_xim
--- CxLayout_macro_component_armx

- Added usage of Single_instance
-- jsdai.Layered_interconnect_module_design_xim
--- CxLaminate_component_armx

- Removed import
-- jsdai.SChemical_substance_xim
--- CxRaw_material_definition_relationship

- Removed usage of Stratum_surface_armx
-- jsdai.SDesign_specific_assignment_to_interconnect_usage_view_xim
--- CxStratum_concept_to_physical_usage_view_assignment

- Minor changes according changes in the mappings
-- jsdai.SGeneric_product_occurrence_xim
--- CxDefinition_based_product_occurrence
--- CxSingle_instance

- Removed entities and all references to them
-- jsdai.Layered_interconnect_module_design_xim
--- CxAdjacent_statum_surface_definition
--- CxStratum_stac_model_to_interconnect_assignment
--- CxStratum_technology_occurrence_to_stratum_mapping_relationship_armx

- Removed methods for attribute 'of_technology', added 'definition_x'
-- jsdai.Layered_interconnect_module_design_xim
--- CxDesign_layer_stratum_armx
--- CxDocumentation_layer_stratum_armx
--- CxStratum_armx
-- jsdai.SMixed_comple_types
--- CxLibrary_view_definition$stratum_armx

- Added new Cx classes
-- jsdai.SMixed_complex_types
--- CxPhysical_component_armx$single_instance
--- CxPhysical_shield_armx$single_instance
--- CxRouted_interconnect_component_armx$single_instance
--- CxRouted_physical_component_armx$single_instance

- Multiple changed do to changed attributes in EXPRESS
-- jsdai.SPart_template_2d_shape_xim
--- CxPassage_technology_allocation_to_stack_model_armx

**** 2007-11-20  v1.121.0 (transition to sourceforge)

--- Mapping ---

- fabrication_technology\module.path
-- Removed of_stratum_technology attribute mapping from Land_physical_template_armx and Single_stratum_template_armx

- value_with_unit_extension\module.path
-- Minor change in mapping of Volume_data_element

--- LISTS ---
- xim list
-- added qualified_measure_xim.exp
-- added basic_data_representation_xim.exp

- 233 list
-- remove transformation/mim
-- Added:
--- function_based_behaviour_representation/mim.exp
--- issue_management/mim.exp
--- risk_management/mim.exp
--- measure_of_effectiveness/mim.exp
--- system_view_definition/mim.exp
--- disposition/mim.exp
--- issue/mim.exp
--- risk/mim.exp
--- system_identification_and_version/mim.exp
--- systems_engineering_representation_schema/systems_engineering_representation_schema.exp


--- XIM/MIM ---
- Changed schemas which are not part of IDA_STEP, but ar in compilation list
-- analysis_assignment_mim
-- analysis_characterized_mim
-- analysis_identification_mim
-- analysis_representation_mim
-- ap233_system_engineering_and_design_mim
-- behaviour_description_assignment_mim
-- behaviour_identification_and_version_mim
-- behaviour_view_definition_mim
-- descision_support_mim
-- description_assignment_mim
-- extended_task_element_mim
-- external_analysis_representation_mim
-- external_functional_model_mim
-- function_based_behaviour_mim (had to apply additional fixes due to usage of old task_element and task_specification).
-- organization_structure_mim
-- program_management_mim
-- project_management_mim
-- project_management_resource_information_mim
-- schedule_mim
-- system_behaviour_mim
-- system_modelling_mim
-- system_structure_mim
-- state_based_behaviour_mim
-- textual_expression_representation_mim
-- verification_and_validation_mim
-- work_structure_mim
-- resources/risk_schema

- associative_draughting_elements_mim
-- just changed WRs in draughting_model_item_association

-- added list_representation_item and set_representation_item into USE FROMS
--- probability_mim
--- probability_distribution_mim

-- Requirement_management_mim
--- big changes by PLCS guys

-- State_observed_mim
--- Added USE FROM Foundation_state_definition_mim.

-- aic_geometrically_bounded_2d_wireframe
--- Few minor changes in WRs

**** 2007-11-14  v1.120.0

--- XIM/MIM ---

- Value_with_unit_extension_mim
-- Change WRs for almost all xxx_measure_with_unit entities.

- Characteristic_xim
-- Fix Wr on Characteristic_data_table
-- Make attribute Characteristic_data_table_row.property_value a redeclared one.
-- Add derived attributes for Range_characteristic_armx.

- Chemical_substance_xim
-- Change derived attributes and WRs in Chemical_compound
-- Remove WR in Chemical_element
-- Change WR in Substance_composition_relationship
-- Add rule - chemical_element_constraint

- Fabrication_technology_xim
-- Remove of_stratum_technology attrribute from Land_physical_template and Single_stratum_template_armx

- Generic_material_aspects_xim
-- Hide one attribute (make derived) in Material_property_armx

- Interconnect_physical_requirement_allocation_xim
-- Add WRs in Dependent_electrical_isolation_removal_template_armx and Dependent_thermal_isolation_removal_template_armx

- Layered_interconnect_module_design_xim
-- Minor change on attribute causal_item (in Material_removal_laminate_component_armx and Stratum_feature_template_component_armx)

- Part_and_version_identification_xim
-- Add WR in entitites Tool and Raw_material

- Part_template_2d_shape_xim
-- Remove WR using of_stratum_technology attribute Stratum_specific_template_location_armx.
-- Remove Derived attribute and WR using of_stratum_technology in Single_stratum_structured_template_armx.

- Part_template_shape_with_parameters_xim
-- Add derived attribute principal_part_shape and WR in Part_template_keepout_shape_model and Part_template_shape_model.

- Physical_breakdown_xim
-- Add WR in Physical_element

- Physical_unit_2d_design_view_xim
-- Add derived attribute equivalent_reference_shape_model and WR in Assembly_component_2d_shape_model

- Physical_unit_3d_design_view_xim
-- Add derived attribute equivalent_reference_shape_model and WR in Assembly_component_3d_shape_model

- Physical_unit_non_planar_design_view_xim
-- Add derived attribute equivalent_reference_shape_model and WR in Assembly_component_non_planar_shape_model

- Physical_unit_shape_with_parameters_xim
-- Add derived attribute principal_part_shape and WR in Physical_unit_keepout_shape_model and Physical_unit_shape_model

- Product_breakdown_xim
-- Add WR in entity Breakdown

- Product_class_xim
-- Multiple fixes in entities (it was not well modelled)

--- Mapping ---

- ap210_xim.extra
-- Add multiple strong attributes in entities:
--- Component_make_from_relationship
--- Class_inclusion_association
--- Class_condition_association
--- Class_specification_association
--- Organization_based_location_representation_with_identification
--- Geometric_placement_operation
-- Remove strong from:
--- Applied_independent_property
--- Assigned_property

- ap210_electronic_assembly_.../module.path
-- Add more constraints in artifical mapping of representation
-- Add artificial mapping for characterized_object

- basic_curve/module.path
-- Add more constraints on Closed_curve (workarround to solve real problems on mapping compiler side)

- Chemical_substance/module.path
-- Fix attribute mapping signature in Substance_composition_relationship

- Contextual_shape_positioning/module.path
-- Add additional constraint on Geometric_placement_operation.template_definition

- pre_defined_product_data_management_specializations/module.path
-- Add additional constraint on Externally_defined_approval and Externally_defined_date_or_date_time_assignment__da

- product_breakdown/module.path
-- Remove constraints from reakdown_of_armx.of_view

- product_class/module.path
-- Remove some mapping constraints from Specification
-- Remove mapping for attribute Specification.package
-- Add mapping for new entity in XIM - Specification__package
-- Change attribute name for Specification_category (from id to id_x)
-- Remove attribute mapping Specification_category.implicit_exlusive_condition
-- Add mapping for newly added entity in XIM Specification_category__exlusive

- property_assignment/module.path
-- Changes on Assigned_property
--- Add mapping constraints for it.
--- rename mapping to id_x attribute.

- qualified_measure/module.path
-- Add additional mapping constraints for Qualified_numerical_item_with_unit

--- File lists ---

- ap210_xim_complex.xml
-- Add new complexes needed by water dispenser example.

--- Cx classes ----

- jsdai.libutil
-- CxAP210ARMUtilities
--- Add method EMeasure_representation_item upgradeToMRI

- jsdai.SCharacteristic_xim
-- CxRange_characteristic_armx
--- Update Cx class according changes in XIM

- jsdai.SChemical_substance_xim
-- Adding new Cx classes:
--- CxChemical_compound
--- CxChemical_element
--- CxPhysical_particle
--- CxRaw_material_definition_relationship
--- CxSubstance_composition_relationship
--- CxSubstance_version
--- CxSubstance_view_definition
--- CxSubstance

- jsdai.SClass_xim
-- CxClass_armx - cosmetics

- jsdai.SFabrication_technology_xim
-- Removal of_stratum_technology attribute:
--- CxDefault_attachment_size_based_land_physical_template_armx
--- CxDefault_passage_based_land_physical_template_armx
--- CxDefault_plated_passage_based_land_physical_template_armx
--- CxDefault_unsupported_passage_based_land_physical_template_armx
--- CxLand_physical_template_armx
--- CxMaterial_removal_feature_template_armx
--- CxStratum_feature_template_armx

- jsdai.SGeneric_material_aspects_xim
-- Added new Cx classes:
--- CxApplied_independent_material_property
--- CxApplied_independent_material_property$material_property_armx
--- CxMaterial_property_armx
-- Filling AIM gap in CxMaterial_property_association

- jsdai.SGeneric_product_occurrence_xim
-- Improve method CxProduct_occurrence_with_quantity.setOccurrence_quantity

- jsdai.SInterconnect_physical_requirement_allocation_xim
-- Removal of_stratum_technology attribute:
--- CxElectrical_isolation_removal_template_armx
--- CxThermal_isolation_removal_template_armx

- jsdai.SLocation_xim
-- Add new Cx classes:
--- CxLocation_armx
--- CxProduct_based_location_identification

- jsdai.SMixed_complex_types_xim
-- Add new Cx classes:
--- CxApplied_independent_property$material_property_armx extends CApplied_independent_property$material_property_armx
--- CxAssembled_part_association$next_assembly_usage_occurrence extends CAssembled_part_association$next_assembly_usage_occurrence
--- CxDefinition_based_part_occurrence$quantified_instance

- jsdai.SPart_template_2d_shape_xim
-- Removal of_stratum_technology attribute:
--- CxMaterial_removal_structured_template_armx
--- CxSingle_stratum_special_symbol_template_armx
--- CxSingle_stratum_structured_template_armx

- jsdai.SPart_template_extension_xim
-- Removal of_stratum_technology attribute:
--- CxTeadrop_by_length_template_armx

- jsdai.SPhysical_breakdown_xim
-- Add new Cx classes:
--- CxPhysical_element_definition
--- CxPhysical_element_version
--- CxPhysical_element

- jsdai.SPrinted_physical_layout_template_xim
-- Removal of_stratum_technology attribute:
--- CxSingle_stratum_printed_part_template_armx

- jsdai.SProduct_breakdown_xim
-- Add new Cx classes:
--- CxBreakdown_of_armx
--- CxBreakdown_version
--- CxBreakdown
-- Filling some AIM gaps
--- CxBreakdown_element_definition
--- CxBreakdown_element

- jsdai.SProduct_class_xim
-- Add new Cx classes:
--- CxClass_category_association
--- CxClass_specification_association
--- CxProduct_class_armx
--- CxSpecification_category
--- CxSpecification

- jsdai.SProperty_assignment_xim
-- Add new Cx classes:
--- CxAssigned_property
-- Reflect changes in the XIM - CxApplied_independent_property

- jsdai.SZonal_breakdown_xim
-- Reflect changes in the XIM - CxZone_element

**** 2007-10-16  v1.119.0

- characteristic_xim
-- Change redeclared attribute for Nominal_tolerance_characteristic.items.

- qualified_measure_xim
-- Add new entity Qualified_numerical_item_with_unit.

--- Mappping ---

- qualified_measure
-- Add mapping for Qualified_numerical_item_with_unit

--- Complexes ---
-- Add complex length_measure_with_unit+qualified_numerical_item_with_unit.

--- Cx classes ---

- Add new Cx classes
-- SMixed_complex_types.CxLength_measure_with_unit$qualified_numerical_item_with_unit
-- SQualified_measure_xim.CxQualified_numerical_item_with_unit

**** 2007-10-15  v1.118.0

- Associative_text_mim
-- Remove USE FROM aic_draughting_annotation(draughting_annotation_occurrence);

- Camera_view_3d_mim
-- Added USE FROM presentation_organization_schema    --  ISO 10303-46
  (...camera_model_d3_multi_clipping_intersection,
   camera_model_d3_multi_clipping_union,...)
   
- Add GENERIC_ENTITY keyword to select 
-- classification_classification_item(in Classification_with_attributes_mim)
-- idrm_marked_item (in Incomplete_data_reference_mechanism_mim)
-- pdpdms_external_identification_item (in Pre_defined_product_data_management_specializations_mim)

- Device_marking_mim
-- Remove USE FROM Presentation_definition_schema(annotation_text_occurrence);

- Draughting_element_mim
-- Add draughting_element_schema(annotation_plane, ...)

- Fabrication_requirement_mim
-- Remove USE FROM presentation_appearance_schema(styled_item);

- Fabrication_technology_mim
-- Added USE FROM Surface_conditions_mim; -- ISO/TS 10303-1110	
-- Add supertype product_definition_shape and DERIVED attribute for passage_technology
-- Add supertype product_definition_shape and DERIVED attribute for stratum_technology
-- Add new entity stratum_surface_technology

- Feature_and_connection_zone_mim
-- Added USE FROM Surface_conditions_mim.

- Fill_area_style_mim
-- Remove few USE FROMs

- Part_feature_function_mim
-- Remove USE FROM Geometric_tolerance_mim;


- Make instead of DERIVED attribute a WHERE rule for 
-- for component_2d_location from Physical_unit_2d_design_view_mim
-- for component_3d_location from Physical_unit_3d_design_view_mim
-- for component_definition from Physical_unit_design_view_mim (also added USE FROM Component_grouping_mim)

- Physical_unit_design_view_mim
-- Minor change in WR (issue #2288 from SEDSZILLA, comment #7).

- Styled_curve_mim
-- Remove selective USE FROM presentation_definition_schema
-- Change some USE FROMs on presentation_appearance_schema

- Text_appearance_mim
-- Remove USE FROM aic_draughting_annotation (draughting_text_literal_with_delineation);

- Value_with_unit_extension_mim
-- Change redeclartion of the type SELF\measure_with_unit.unit_component  : si_unit; to WRs for multiple subtypes measure_with_unit.
-- Minor changes in EXPRESSIONS
-- Added USE FROM to access si_unit_name, REFERENCE FROMS to derive_dimensional_exponents, dimensions_for_si_unit.

- resources/presentation_definition_schema
-- Added REFERENCE FROM presentation_organization_schema(annotation_representation_select);

- resource/geometry_schema.exp
-- changes in EXPRESSIONS (SEDSILLA #2377)

- resource/shape_tolerance_schema.exp
-- changes in EXPRESSIONS (SEDSILLA #2376)

--- XIMs ---

- Assembly_technology_xim
-- Added select bond_feature
-- Changed type of Assembly_bond_definition_armx bond_feature_1 and bond_feature_2 to bond_feature select.
-- Added WRs to Assembly_bond_definition_armx.

- Characteristic_xim
-- Change WR in Maximum_tolerance_characteristic, Minimum_tolerance_characteristic, Nominal_tolerance_characteristic (also add redeclaration of attribute for this one).

- Extended_measure_representation_xim
-- Change WR for Value_limit

- Fabrication_technology_xim
-- Added USE FROM Surface_conditions_xim
-- Renamed ENUMERATION layer_purpose to predefined_design_layer_purpose
-- extend select mt_external_identification_item by few more items
-- Changes in Default_attachment_size_based_land_physical_template_armx
--- Remove attributes minimum_attachment_region_size and maximum_attachment_region_size
--- Change WRs
-- Changes in Design_layer_technology
--- Change type of attribute design_layer_purpose.
--- Add inverse externally_defined_design_layer_purpose
--- Add WR
-- Add WR in Land_template_terminal_armx
-- Change Passage_technology_armx
--- Change supertypes
--- Add one more derived attribute
--- Add Unique rule
-- Change Stratum_technology_armx
--- Change supertypes
--- Add one more derived attribute
--- Add Unique rule
--- Add Inverse surface_technology
-- Add new entity  Stratum_surface_technology_armx
-- Change Stratum_technology_swap_relationship_armx
--- Make attributes redeclared from MIM
--- Remove some DERIVED attributes
-- Change cardinality of Via_template_armx.access_mechanisms
-- Add function ft_get_zone_name

- Feature_and_connection_zone_xim
-- Added USE FROM Surface_conditions_xim
-- Added REFERENCE FROM to get bag_to_set
-- Added Derive attribute Shape_feature
-- Added Derive attribute Connection_zone

- Interconnect_module_usage_view_xim
-- Remove WR from Interconnect_module_usage_view.
-- Added WR to Pcb_usage_view

- Layered_interconnect_module_design_xim
-- Added new attribute of_technology to Stratum_surface_armx
-- Change Structured_layout_component_sub_assembly_relationship_armx
--- Added attribute design_specific_placement
--- Added WR

- Package_xim
-- Added WR to Package_terminal_armx

- Part_feature_function_xim
-- Removed selective USE FROM to Geometric_tolerance_xim

- Part_template_2d_shape_xim
-- Added template_location_placement_status
-- Added attribute Template_location_in_structured_template.placement_status

- Physical_layout_template_xim
-- Added Enumeration land_connection_zone_class
-- Added attribute Connection_zone_in_layout_template.connection_zone_category

- Physical_unit_design_view_xim
-- Added USE FROM Component_grouping_xim	
-- Added REFERENCE FROM Layered_interconnect_module_design_xim
-- Changed Assembly_component_armx
--- Added many Derived attributes
--- Added WRs
-- Changed WR in Assembly_item_number
-- Added functions 
--- pudv_get_versions, 
--- pudv_get_products, 
--- pudv_get_assemblies, 
--- pudv_get_groups,
--- pudv_get_group_assemblies

- Physical_unit_usage_view_xim
-- Added Derive attribute to Part_feature_template_definition_armx

- Qualified_measure_xim
-- Extend the constant pre_defined_type_qualifiers.

- Shape_property_assignment_xim
-- Make Shape_element non Abstract.

--- Mapping --
- ap210.extra
-- Resolve some magic strings for Structured_layout_component_sub_assembly_relationship_armx.design_specific_placement

- assembly_technology
-- Change mapping for Assembly_bond_definition_armx attributes bonded_feature_1 and bonded_feature_2.

- associative_text
-- Remove draughting_annotation_occurrence from all constraints where it occurred.

- characteristic
-- Add more constraints in the mappings of:
--- Minimum_tolerance_characteristic
--- Maximum_tolerance_characteristic
--- Nominal_tolerance_characteristic

- extended_geometric_tolerance
-- Try to workarround problem with mapping compiler on Datum_based_length_measure.measure_orientation.

- fabrication_requirement
-- Minor change in mapping path of Layout_line_width_tolerance_requirement_occurrence.characterized_stratum_technology.

- fabrication_technology
-- Changes in multiple places for passage_technology and stratum_technology (changed supertypes)
-- Removed mappings for Default_attachment_size_based_land_physical_template_armx attributes.

- layered_interconnect_module_design
-- Changes in multiple places for passage_technology and stratum_technology (changed supertypes)
-- Added mapping for Stratum_surface_armx.of_technology
-- Added mapping for Structured_layout_component_sub_assembly_relationship_armx.design_specific_placement

- part_template_2d_shape
-- Changes in multiple places for passage_technology and stratum_technology (changed supertypes)
-- Added mapping for Template_location_in_structured_template.placement_status

- part_template_extension
-- Changes in multiple places for passage_technology and stratum_technology (changed supertypes).

- physical_layout_template
-- Added mapping for Connection_zone_in_layout_template.connection_zone_category.

- printed_physical_layout_template
-- Changes in multiple places for passage_technology and stratum_technology (changed supertypes).

- qualified_measure
-- Extend mapping for more options - Pre_defined_type_qualifier.

- Shape_property_assignment
-- Add more workarrounds/constraints for Item_shape and Shape_element mappings.

--- Compilation lists ---

- Remove transformation from AP233 compilation list
-- ap233_aim_pure_list
-- ap233_arm_pure_list

--- Cx classes ---
- most of Cx classes affected
-- Reflect changes on the XIM
-- Remove test/get methods. Solutions applied:
--- Just remove methods where feasible
--- Add testXxx2/getXxx2 where it is not possible to avoid them
--- Add Intefaces, where test/get methods are needed from subtypes.



**** 2007-08-31  v1.0.117

- aic_associative_draughting_elements
-- Minor fix in function get_callouts_for_shape_aspect (issue from SEDSZILLA #2338)

--- Mapping ---

- ap210_electronic_..../module.path
-- Add mappings for MIM entities, which are directly referenced by XIM ones and needed:
--- boolean_representation_item
--- date_time_representation_item
--- integer_representation_item
--- logical_representation_item
--- rational_representation_item
--- real_representation_item
--- compound_representation_item

- item_definition_structure/module.path
-- Removed mapping for entity already defined in ida_step_schema_xim - Part_definition_relationship__tool_part_relationship.

- requirement_decomposition/module.path
-- Extend the mapping of Pre_defined_requirement_view_definition_armx.required_characteristic (alternative to Property_value_representation) with more constraints.

- Optimize some mapping paths
-- layered_interconnect_module_design/module.path
--- Remove some mapping constraints from Layer_connection_point_armx.location_2d and Layer_connection_point_armx.location_3d.

--- Cx classes ---

-- Add new Cx class jsdai.SQualified_measure_xim.CxPre_defined_type_qualifier.

**** 2007-08-29  v1.0.116

- Associative_text_mim
-- Added few USE FROMs as was requested by Lothar in #2330 and #2331 issues in SEDSZILLA.

- Move non_negative_length_measure from explicit_geometry_constraint_schema to measure_schema (issue in SEDSILLA #2335)
-- Modified:
--- explicit_geometry_constraint_schema 
--- measure_schema
--- value_with_unit_extension/mim
--- solid_shape_element_schema

- Package_xim
-- Minor change in subtype constraint part_feature_subtypes (issue in SEDSZILLA issue #2326).

- Requirement_decomposition_xim
-- Extending characteristic_select by some subtypes of representation_items (SEDSZILLA issue #2332)
-- Extending corresponding and needed mappings (Pre_defined_requirement_view_definition_armx.required_characteristic).

- Minor fix/workarround for our EXPRESS compiler to overcome case sensitive problems in EXPRESSIONS.
-- material_property_definition_schema

--- Mapping ---
- Requirement_decomposition
-- Extending corresponding and needed mappings (Pre_defined_requirement_view_definition_armx.required_characteristic).

- ap210.extra
-- minimal cleanup, update according changes in EXPRESS.

--- Cx classes ---

- Optimize some places according output from the profiler.
-- jsdai.SLayered_interconnect_module_design_xim.CxStructured_layout_component_sub_assembly_relationship_armx
-- jsdai.SPart_template_2d_shape_xim.CxTemplate_location_in_structured_template_transform
-- jsdai.SPart_template_extension_xim.CxPath_area_with_parameters_armx

- Fix for the bug #1900 in bugzilla
-- jsdai.SGeneric_product_occurrence_xim.CxDefinition_based_product_occurrence.

**** 2007-08-20  v1.0.115

- Changes in Cx classes reflected changes in XIM schemas:
-- jsdai.SQualified_measure_schema.CxValue_limit
-- jsdai.SMixed_complex_types.CxLength_measure_with_unit$value_limit

**** 2007-08-11  v1.0.114
----- AP203 -----
- Minor change in USE FROMs
-- AP203_.../mim.exp
-- associative_text/mim.exp
-- date_time/mim.exp
-- Text_representation/mim.exp

- Basic_data_representation/mim.exp
-- Added date_representation_item and date_time_representation_item
-- Modified USE FROMs minimally.

- Extended_date/mim.exp
-- Added WR for calendar_month_year, removed calendar_year, re-arrached USE FROMs a bit.

- Ply_orientation_specification/mim.exp
-- Rename min_and_max_orientation_basis to min_and_major_ply_orientation_basis.

----- AP210 -----
- Characteristic_xim
-- Changed USE FROMs, changed WRs for Maximum_tolerance_characteristic and Minimum_tolerance_characteristic.

- Extended_measure_representation_xim
-- Changed USE FROMs, removed limit_qualifier_list, Qualified_property_value_representation, Value_limit_with_global_unit. Modified Value_limit.

- Qualified_measure_xim
-- Changed USE FROMs.

---- Mapping -----

- approval/module.path
-- Removed mapping approval_armx.status.

- effectivity_application/module.path
-- Fixed mappings of Applied_effectivity_assignment__actual, Applied_effectivity_assignment__planned, Applied_effectivity_assignment__required. 

- Extended_measure_representation/module.path
-- Removed mappings for Qualified_property_value_representation, Value_limit_with_global_unit. Modified Value_limit.

- Added many (hopefully all) missing mappings
-- ida_step_schema/module.path
-- pre_defined_product_data_management_specialisations/module.path

---- compilation lists -----
- added to compilation lists
-- extended_date/arm.exp
-- extended_date/mim.exp

**** 2007-07-17  v1.0.113
--- Mapping ---

- Added many missing mappings (subtypes of security_classification)
-- pre_defined_product_data_management_specializations


**** 2007-07-11  v1.0.112
--- Mapping ---

- Fixes according errors reported from mapping compiler
-- ida_step_schema.path
-- product_as_individual.path

- Added many missing mappings
-- pre_defined_product_data_management_specializations

**** 2007-07-09  v1.0.111
--- AP214 ---

- Changed USE FROMs
-- Hidden_element_handling_mim to Camera_view_3d_mim

---- AP203 ----
- Optimized USE FROMs:
-- Advanced_boundary_representation_mim,
-- Advanced_boundary_representation_arm,
-- Associative_text_arm,
-- Associative_text_mim
-- Composite_material_aspects_mim
-- Composite_material_aspects_arm
-- Composite_property_arm
-- Composite_property_mim
-- Construction_geometry_arm
-- Construction_geometry_mim
-- Curve_appearance_arm
-- Curve_appearance_mim
-- extended_measure_representation_mim
-- extended_measure_representation_arm
-- General_surface_appearance_arm
-- General_surface_appearance_mim
-- Manifold_surface_arm
-- Manifold_surface_mim
-- Mechanical_design_geometric_presentation_arm
-- Mechanical_design_geometric_presentation_mim
-- Mechanical_design_shaded_presentation_arm
-- Mechanical_design_shaded_presentation_mim
-- Specified_product_arm
-- Specified_product_mim

- alias_identification_mim
-- Merge 2 selects ai_identification_item and aliasable_item into one.

- appearance_assignment_mim
-- Added USE FROMs to get context_dependent_over_riding_styled_item, planar_box
-- Removed appearance_representation_version_item, styled_representation.

- associative_draughting_element_mim
-- Added draughting_model_item_association_select, draughting_model_item_association.

- basic_data_representation_mim
-- Added logical_representation_item, USE FROM logical_literal.

- camera_view_3d
-- Optimized USE FROMs, added hidden_element_over_riding_styled_item.

- composite_constituent_shape_mim
-- Real technical changes not relevant for our apps.

- Design_product_data_management
-- Extended some selects needed by the mapping, pretty printing.

- Dimension_and_tolerance_callouts_mim
-- Added dimensioning_standard_document_reference_item, dimension_curve_terminator_to_projection_curve_associativity.

- Draughting_annotation_mim
-- Added USE FROMs to get dimension_curve_terminator, terminator_symbol.

- Draughting_element_specializations_mim
-- Optimized USE FROMs, added subtype constraint des_draughting_callout_subtypes.

- Drawing_definition
-- Added USE FROM Presentation_hierarchy_mim.

- exlicit_draughting_mim
Change USE FROM Part_view_definition_mim to USE FROM Design_product_data_management_mim.

- external_library_mim
-- Added USE FROM Plib_class_reference_mim, added el_external_identification_item, removed external_library.

- external_representation_item_mim
-- Added externally_defined_string, pretty printing.

- external_unit_mim
-- Optimized USE FROMs, added eu_external_identification_item.

- Part_and_zone_laminate_tables_mim
-- Real technical changes not relevant for our apps.

- picture_representation_item_mim
-- Changed entities: picture_representation, picture_representation_item. Select - picture_representation_item_select. Optimized USE FROMs.

- Ply_orientation_specification_mim
-- Real technical changes not relevant for our apps.

- Procedural_shape_model_mim
-- Added USE FROM to explicit_procedural_representation_relationship.

- Product_data_management_mim
-- Added many USE FROMs.

- Qualified_measure_mim
-- Added more USE FROMs from qualified_measure_schema.

- Product_as_individual_mim
-- roll back many technical changes not accepted by "STEPMOD community".

- Shape_appearance_layers_mim
-- Re-arrange USE FROMs

- shape_property_assignment_mim
-- re-arranged USE FROMs, added geometric_item_specific_usage.

- specification_control_mim
-- Optimize USE FROMs, pretty printing, some changes on global rules.

- stock_material_mim
-- Real technical changes not relevant for our apps.

- text_appearance_mim
-- Re-arrange USE FROMs, pretty printing.

- resources/aic_associative_draughting_elements
-- Remove most of WRs from shape_aspect_associativity.

- resources/aic_mechanical_design_geometric_presentation
-- Minor fixes in WRs of mechanical_design_geometric_presentation_area.

- resources/aic_mechanical_design_geometric_presentation
-- Minor fixes in WRs of mechanical_design_geometric_presentation_area.

- resources/draughting_element_schema
-- Minor fix in WR of annotation_plane.

- resources/explicit_constraint_schema.
-- Changes in equal_parameter_constraint and free_form_constraint entities, USE FROMs.

- geometry_schema
-- multiple fixes in expressions (mainly functions).

- geometic_model_schema
-- minimal re-arrangement of USE FROM/REFERENCE FROM.

- ISO13584_expressions_schema
-- Minor fix in WR1 of odd_function.

- mathematical_functions_schema
-- Minor changes in expressions.

- parameterization_schema
-- Real technical changes not relevant for our apps.

- presentation_appearance_schema
-- Added usage of shape_representation_relationship, modified context_dependent_over_riding_styled_item.

- presentation_organization_schema
-- Added presentation_area and presentation_view to annotation_presentation_select.

- representation_schema
-- Minor fix in Derived attribute of bytes_representation_item.

- solid_shape_element_schema
-- Change entity solid_with_variable_radius_edge_blend.

- variational_representation_schema
-- Minor changes in USE FROMs and one FUNCTION.

- Position_in_organization_xim
-- Removed redeclared attribute Position_assignment.items.

- Product_as_individual_xim
-- Roll back to previous versions.

- Added new schema to compilation list - Qualified_measure_xim.

- text_appearance_xim
-- Removed type (to other module) text_alignment_armx.

---- AP210 ----
- characteristic_mim
-- Re-arranged USE FROMs a little bit.

- Minor fix in the DERIVED attributes (as Lothar asked to change their type, no real impact for tools)
-- in fabrication_technology_mim derived attribute of default_attachment_size_based_land_physical_template.
-- in functional_usage_view, attribute of functional_unit.
-- in layered_interconnect_module_design_mim - attributes of probe_access_areaa and stratum
-- in Part_feature_location_mim - attribute of usage_concept_usage_relationship.
-- in Part_template_2d_shape_mim - attribute of part_template_keepout_shape_allocation_to_stratum_stack.
-- In physical_layout_template_mim - attribute of part_template_definition.
-- In Physical_unit_2d_design_view_mim - attribute of component_2d_location.
-- In Physical_unit_3d_design_view_mim - attribute of component_3d_location.
-- In Physical_unit_design_view_mim - attribute of assembly_component. Minor fixes in component_definition.
-- In Physical_unit_usage_view_mim - attribute of physical_unit.

- Value_with_unit_extension_mim
-- Added USE FROM to non_negative_length_measure.

- Ap210_electronic_assembly_interconnect_and_packaging_design_xim
-- Minor fix in global rule.

- Assembly_technology_xim
-- Change cardinality of Component_mating_constraint_condition_armx.constrained_degree_of_freedom.

- Added new XIM module - Basic_data_representation_xim.

- Characteristic_xim
-- reorganized USE FROMs, take Logical_representation_item from MIM.

- design_product_data_management_xim
-- Removed design_pdm_information_usage_right_item.

- extended_measure_representation_xim
-- Make Value_limit subtype of measure_representation_item only (and consequntly remove some redeclarations).

- Fabrication_technology_xim
-- Change WRs for Design_layer_technology; functions - acyclic_stratum_technology_occurrence_link, 
acyclic_stratum_technology_occurrence_swap_relationship, acyclic_stratum_technology_swap_relationship; rule - unique_land_physical_template.

- file_identification_xim
-- Added attributes redeclared as derived attributes for File.

- Footprint_definition_xim
-- Minor fixes in the WRs  of Footprint_definition_shape_model.

- ida_step_aim_schema
-- Take some entities and functions froms Keiths modules.

- ida_step_schema_xim
-- removed styled_representation from selects, etc.

- inteconnect_2d_shape_xim
-- minor changes in function in_2d_assembly_context.

- layred_interconnect_module_3d_design_xim
-- minor changes in function in_3d_assembly_context.

- layered_interconnect_module_design_xim
-- 1) Change Derive attribute and WR of Area_component_armx.
-- 2) Change WRs of Conductor, Connected_filled_area, Inter_stratum_feature_armx, Laminate_component_armx, Generic_laminate_text_component_armx, Stratum_armx.
-- 3) Change type of Probe_access_area_armx.probed_layout_item
-- 4) Change Derive attributes of Routed_physical_network, Structured_layout_component_sub_assembly_relationship_armx
-- 5) Changes in functions acyclic_area_component, acyclic_adjacent_stratum_surface_definition, acyclic_conductive_interconnect_element_terminal_link, correlated_terminals.

- layered_interconnect_module_with_printed_component_design
-- Changed WR of Printed_component_join_terminal.

- land_xim
-- Changed type of derived attribute Land_armx.functional.

- network_functional_design_view_xim
-- Changed type of derived attribute Functional_unit_network_node_definition.valid_conservative_node.

- package_xim
-- Extended subtype constraint part_feature_subtypes.
-- Changed types of derived attributes from Package_armx.


- Packaged_part_black_box_model_xim
-- 1) Changed Derived attributes and WR of Packaged_part_armx.
-- 2) Changed WR of Packaged_part_join_terminal.
-- 3) Changed function disjoint_package_terminals.
-- 4) Renamed function single_package_version to single_package_product.

- Part_feature_grouping_xim
-- 1) Added WRs to Part_feature_placement_link, Part_linear_array_feature, Part_linear_array_feature_link, Part_rectangular_array_feature
-- 2) Added functions acyclic_part_feature_placement_link, acyclic_part_linear_array_feature_link, pfg_get_sz_pf, pfg_get_sz_plar.

- Part_template_2d_shape_xim
-- Changed type of derived attribute Part_template_keepout_shape_allocation_to_stratum_stack_armx.swappable, Structured_template_armx.empty.

- Part_template_extension_xim
-- Added type text_alignment_armx, changed WR of Planar_path_shape_model_with_parameters.

- Part_template_shape_with_parameters_xim
-- Added rule unique_part_template_shape_model_for_geometric_template.

- Physical_connectivity_definition_xim
-- Changed type of derived attribute Physical_connectivity_structure_definition.tree_structure.

- Physical_node_requirement_to_implementing_component_allocation_xim
-- Changed WR of Physical_node_requirement_to_implementing_component_allocation_armx.

- Physical_unit_2d_design_view_xim
-- Added rule unique_physical_unit_planar_shape_model_for_part_design_and_usage_view.

- Physical_unit_2d_shape_xim
-- Changed WR of Physical_unit_planar_shape_model.

- Physical_unit_2d_design_view_xim
-- Added rule unique_physical_unit_3d_shape_model_for_part_design_and_usage_view.

- Physical_unit_usage_view_xim
-- Changed WR of Part_feature, added function acyclic_part_feature_precedence_relationship.

- Printed_physical_layout_template_xim
-- 1) Added derived attributes and WRs to Printed_tiebar_template_armx. 
-- 2) Changed function acyclic_printed_part_template_material_link.
-- 3) Added functions pplt_get_pcl_ap2d, ap2d_geometrically_in_tiebar, pplt_get_tl_ap2d, pplt_get_gm.

-- Mapping --
- Added qualified_measure to AP210 list.

- ap210_xim.extra
-- comment out some strongs, added non - AP210 relevant strong attributes.

- characteristic
-- Take Logical_representation_item from MIM

- Document_assignment
-- Fixed target mapping for attribute of Document_assignment.

- Extended_geometric_tolerance
-- Added more constraints to the mapping of Externally_defined_dimension_representation.

- layered_interconnect_module_design
-- Added one more mapping option to Probe_access_area_armx.probed_layout_item.

- multi_linguism
-- Changed Attribute_translation_assignment.translation_langauge to Attribute_translation_assignment.translation_langauge_x

- non_feature_shape_element
-- Change all occurrence of (representation.id ='vlnfsm') to (representation.id ='uvlnfsm').

- process_property_assignment
-- Fixed mapping of Applied_independent_activity_property.base_element_property

--- Compilation lists ---

- Removed from compilation lists
-- hidden_element_handling/mim.exp.
-- extended_fill_area_style/mim.exp.
-- hidden_element_handling/arm.exp.
-- extended_fill_area_style/arm.exp.

- Added to compilation lists
-- qualified_measure_xim.exp
-- basic_data_representation_xim.exp

--- Complex lists ---

- Added complex type
-- presentation_organization_schema.camera_model_d3_with_hlhsr+hidden_element_handling_mim.hidden_element_over_riding_styled_item

--- Cx classes ---

- Removed
-- CxLogical_representation_item

- Minor fixes
-- in CxAssembly_component_placement_link.

- Reflect changed on XIM/ARM
-- CxValue_limit
-- CxProbe_access_area_armx
-- CxLength_measure_with_unit$value_limit
-- CxPart_string_template_armx

- Added new Cx class
-- CxComponent_placement_restriction_assignment.java
-- CxApplied_independent_activity_property.java (New)
-- CxLanguage_indication.java (New)
-- CxAttribute_translation_assignment.java (New)
-- CxPart_template_planar_shape_model$planar_closed_path_shape_model_with_parameters.

- Adopt to changes in Product_as_individual area.
-- CxAp214ArmUtilities


**** 2007-04-06  v1.0.110

---- AP203 ----
- RE-arrangement in USE FROMs.
-- Associative_annotation_mim
-- ap203_..._mim
-- camera_view_3d_mim
-- dimension_and_tolerance_callouts_mim
-- explicit_draughting_mim
-- external_properties_mim
-- presentation_hierarchy_mim
-- stock_material_mim
-- automotive_design

- appearance_assignment_mim:
-- Change extension of select appearance_representation_identification_item to representation.

- Add Binary_representation into compilation list and integrate better with picture_representation:
-- Binary_representation_mim
-- Picture_representation_mim

- Rename the modules, minor re-arrangements.
-- draughting_element_specialisations_mim
-- compound_shape_representation_mim

- Date_time_mim
-- RE-arrangement in USE FROMs, introducing DERIVED attribute at entity calendar_month_year.

- presentation_definition_schema
-- Fixed WR1 of annotation_fill_area

---- AP210 ----
- ap210_electronic_..._xim
-- Added RULE Physical_unit_network_definition_constraint

- Interconnect_physical_requirement_allocation_xim:
-- Fixed WR of Thermal_isolation_requirement

- Part_template_2d_shape_xim:
-- Fixed function sts_vertex_degree_less_than_three.

- Pre_defined_product_data_management_specializations_xim:
-- Multiple fixes in constructors used in DERIVED attributes (previously some of them were not matching the number of attributes).

**** 2007-04-03  v1.0.109
---- AP203 ----
- Removed from compilation lists:
-- simplified_cataloguing_mim.exp
-- extended_date_mim
-- general_feature_mim

- Added to compilation lists:
-- composite_property_mim (renamed from previous composite_representation_item)
-- external_currency_mim
-- external_unit_mim

- Re-arranged USE FROMs
-- Ap203_configuration_controlled_3d_design_of_mechanical_parts_and_assemblies_mim
-- External_class
-- External_currency
-- External_library
-- Ply_orientation_specification
-- Stock_material

- Date_time_mim
-- Moved calendar_year, calendar_month_year from extended_date, changed USE FROMs.

- Qualified_measure_mim
-- Removed qualified_measure_identification_item

- presentation_organization_schema
-- Added ONEOF between camera_image_2d_with_scale and camera_image_3d_with_scale

---- AP210 ----
- Ap210_electronic_...
-- Added rule RULE Physical_unit_network_definition_constraint

**** 2007-03-28  v1.0.108
- TODOs from Lothar, while he was at SC4 conference:
-- Annoted_presentation_mim
-- presentation_organization_schema
-- representation_schema
-- aic_mechanical_design_geometric_presentation
-- ARM and MIM of Basic_data_representation
-- ARM and MIM of Currency 
-- ARM and MIM of External_currency
-- ARM and MIM of Extended_measure_representation
-- ARM and MIM of Qualified_measure

**** 2007-03-28  v1.0.107*

---- Schemas modified during the transition to stepmodwiki
-- position_in_organization_mim
-- location_mim
-- experience_mim
-- draughting_annotation_mim
-- catalog_data_information_and_shape_representation_mim
-- catalog_data_information_mim
-- ap239_product_life_cycle_support_mim
-- Extended_fill_area_style_mim
-- ap203_..._mim
-- Appearance_assignment_mim
-- Part_and_zone_laminate_tables_mim
-- Stock_material_mim
-- Basic_data_representation_mim
-- Currency_mim

- Added new modules/resources:
-- Elementary_boundary_representation_mim
-- aic_elementary_brep
-- simplified_cataloguing_mim
-- extended_date_mim
-- external_library_mim
-- external_representation_item_mim
-- general_feature_mim
-- qualified_measure_mim

- Reorganized USE FROMs 
-- elemental_geometric_shape

-- Move rep_item_group into Layer_assignment_mim

*Remark - this is a transition from stepmod to stepmodwiki.
As no automated Diff was not possible there is a danger that more changes were done than captured.

**** 2007-03-28  v1.0.106
-Presentation stuff re-arrangments:
-- Hidden_element_handling_mim,
-- draughting_annotation_mim

-resources/automotive_design:
-- minor re-arrangements in USE FROMs (take some entities from modules).

--- 203 ---
-Add/reorganize USE FROMs
-- Advanced_boundary_representation_mim
-- Ap203_configuration_controlled_3d_design_of_mechanical_parts_and_assemblies_mim
-- composite_constituent_shape_mim
-- elemental_geometric_shape_mim
-- manifold_surface_mim
-- non_manifold_surface_mim
-- product_data_management_mim
-- shape_appearance_layers_mim

- Add new modules into compilation list
-- Associative_draughting_elements_mim
-- camera_view_3d_mim
-- compound_representation_mim
-- draughting_dimension_mim
-- draughting_element_mim
-- draughting_element_specializations_mim
-- drawing_definition_mim
-- extended_fill_area_style_mim
-- mechanical_design_geometric_presentation_mim
-- mechanical_design_presentation_representation_mim
-- mechanical_design_shaded_presentation_mim

- Catalog_data_information_mim
-- Clean out multiple references to automotovie_design schema in WRs.

- curve_appearance_mim
-- Add more options to WR1 of pre_defined_terminator_symbol (blanked triangle, etc.)
-- Moved pre_defined_point_marker_symbol from DRAUGHTING_ANNOTATION_MIM module.

- draughting_annotation_mim
-- Change official version of module by local one we have.

- Dimension_and_tolerance_callouts_mim
-- Multiple minor fixes (Change USE FROMs, merge 2 rules into 1)

- Extended_basic_geometry_mim
-- Add redeclaration of attibutes for geometric_model_element_relationship
-- Moved definitional_representation_relationship and acyclic_representation_relationship into p43.
-- Reorganized USE FROMs

- Picture_representation_mim:
-- Moved binary_representation_item and bytes_representation_item into p43.

- Ply_orientation_specification_mim
-- Bigger re-arrangements according requests from Keith and Lothar.

--- Resources ---
- aic_associative_draughting_elements
-- Added annotation_plane.
-- Changed WRs on Shape_aspect_associativity, also added needed function.

- draughting_element_schema
-- Reorganize USE FROMS
-- Add extension to invisible_item select
-- Add subtype_constraint on annotation_occurrence.

- presentation_appearance_schema
-- Modify Subtype constraint pas_geometric_representation_item_subtypes
-- Make invisible_item an extensible select.

- presentation_definition_schema
-- Add subtype constraint pds_geometric_representation_item_subtypes
-- Modify multiple WRs

- presentation_organization_schema
-- Add subtype constraint pos_geometric_representation_item_subtypes
-- Modify multiple WRs, add some local ONEOFs

- presentation_resource_schema
-- Add subtype constraint prs_geometric_representation_item_subtypes

- representation_schema:
-- Moved definitional_representation_relationship and acyclic_representation_relationship into p43.
-- Moved binary_representation_item and bytes_representation_item into p43.
-- Added ONEOF for subtypes of rep_item

- automotive_design (the only AIM schema stored locally at lksoft.lt)
-- Take rep_item_group from Layer_assignment_mim.
	
--- 210 ---
- Contextual_shape_positioning_xim:
-- Change in DERIVED attribute of Geometric_placement_operation.

- Footprint_definition_xim:
-- Change in DERIVED attribute of Generic_footprint_definition_armx

- Ida_step_aim_schema:
-- Take some entities from new modules from Keith.

- Non_feature_shape_element_xim:
-- Removed redeclaration of attribute at Design_view_level_non_feature_shape_model
-- Fixed function valid_es

-Non_feature_shape_element mapping:
-- Added 'dvlnfsm' in all mappings where Non_feature_shape_element is used
-- Removed mapping for redaclared attribute at Design_view_level_non_feature_shape_model

- Mapping - generic:
-- Added strong attribute on Value_limit.limit_qualifier

- mim_complexes.xml:
-- Added 3 complexes needed by Cadif-DTI translator.

**** 2007-02-27  v1.0.105

- Fixes after tests with Pads files:
-- jsdai.SAssembly_component_placement_requirements.CxComponent_placement_restriction_assignment
-- jsdai.SPhysical_connectivity_definition.CxPhysical_unit_network_definition_armx

**** 2007-02-27  v1.0.104
- jsdai.SShape_property_assignment_xim.CxShape_description_association:
-- Add additional test method check.

**** 2007-02-27  v1.0.103

- Remove applied_document_usage_constraint_assignment alternative from Document_assignment mapping (causing problems during automatic AIM-XIM creation).
- module.path files (XIM specific solution, so not reflected in stepmod):
-- Altered_package
-- Analytical_model
-- Assembly_functional_interface_requirement
-- Assembly_physical_interface_requirement
-- Characteristic
-- Design_product_data_management
-- Device_marking
-- Dimension_tolerance
-- Document_assignment
-- Fabrication_technology
-- Model_parameter
-- Single_part_representation

- conductivity_material_aspects_xim
-- Minor fix in Expression of get_cond_class Function. Added additional REFERENCE FROM caused by a change.

- Document_assignment_xim
-- Cosmetics - make one comment intelligent, make reference to AIM entity small letters.

- Ida_step_aim_schema:
-- Add AP236 into compilation list (as otherwise we missing some USE FROMs).

- Layered_interconnect_module_design_xim, Layered_interconnect_module_design_arm:
-- Issue #2247 at SEDSZILLA.

- Pre_defined_product_data_management_specializations:
-- Multiple fixes to Expressions constructing organization_role and other types.

- AP203 restrusturing:
-- Descriptions only:
-- aic_associative_draughting_elements
-- aic_mechanical_design_shaded_presentation
-- representation_schema
-- solid_shape_element_schema
-- EXPRESS changes:
-- draughting_dimension_schema
-- draughting_element_schema
-- drawing_definition_schema
-- presentation_definition_schema
-- presentation_organization_schema
-- presentation_resource_schema
-- presentation_hierarchy
-- draughting_annotation

- Add to compilation list - aic_mechanical_design_shaded_presentation.

- Fixes in Cx classes after XIM-AIM tests:
-- jsdai.libutil.CxAp210ArmUtilities
-- jsdai.SClassification_with_attributes_xim.CxClassification_attribute
-- jsdai.SFootprint_defintiion_xim.CxStratum_feature_template_location_in_breakout_footprint_defintiion
-- jsdai.SPart_template_2d_shape_xim.CxTemplate_location_in_structured_template_transform

**** 2007-02-22  v1.0.102
- Removed aic_drawing_structure_and_administration/aic_drawing_structure_and_administration from compilation list as causing name conflicts and not needed.

- Fabrication_technology_xim:
-- Minor semantic fix in WR3 of Passage_technology_armx.

- Ida_step_xim_schema:
-- Remove drawing_structure_and_administration_xim from USE FROMs.

- Package_xim:
-- Some fixes in DERIVED attributes of Package_terminal_template_definition_armx.

- Packaged_part_black_box_model_xim:
-- Fix DERIVED attribute of Packaged_part_armx (potting_compound)

- Ida_step_aim_schema:
-- Big re-arrangemnts - add use from to top schemas (210, 203, 214), remove all redundant use froms,
check dublicate selects vs 214 and other schemas, remove most of them.

- automotive_design:
-- Integrate with stepmod - remove all entities/selects accessable from stepmod, resolve all name conflicts.

- Ap210_electronic_assembly_interconnect_and_packaging_design_mim 
-- Add identification to schema name - '{ 1 0 10303 410 1 1 4}';

- Ap203_configuration_controlled_3d_design_of_mechanical_parts_and_assemblies_mim 
-- Add identification to schema name - '{ 1 0 10303 403 1 1 4}';
-- Rename selects to cc_classified_item, cc_person_organization_item, cc_specified_item in order to avoid name conflicts.

- Dimension_and_tolerance_callouts_mim:
-- Added few global rules to restrict draughting stuff.

- aic_associative_draughting_elements:
-- changes in draughting_model, shape_aspect_associativity.

- aic_draughting_annotation:
-- change of WR4 of draughting_symbol_representation.

- presentation_organization_schema:
-- Added new stuff on clipping planes.

**** 2007-02-19  v1.0.101

- Fix bug in EXPRESS/Mapping on Curve_appearance area attributes
-- Styled_curve_xim.Curve_appearance
-- Curve_appearance_xim.Point_appearance

- Task_specification_xim
-- Remove Externally_defined_task_element_assignment as redundant to supertype Task_element_assignment.
-- Add a WR to reflect Task_element_assignment constraints from mapping on the role attribute.

- Fix in WRs, which used non-existing material_designation.items attribute (changed to material_designation.definitions).
-- Package_xim.Package_terminal_template_definition_armx
-- Surface_conditions_xim.Coating_layer
 
**** 2007-02-15  v1.0.100

- Add Keith's modules to compilation list (ply, composite_material stuff).

- Generic_product_occurrence_xim:
-- Selected_instance - added Derived attribute in order to avoid wrong settings.

- Layered_interconnect_module_design_xim:
-- Conductor - added Derived attribute in order to avoid wrong settings.

- Conductivity_material_aspects_xim:
-- Material_identification_with_conductivity_classification changed schema names inside WRs.

- Layered_interconnect_module_design:
-- Make shape_aspect.description derived attribute at Conductor.

- Specification_document_xim:
-- Minor fix in WR1 of Specification_definition_armx according suggestion from Gintaras.

- Restructure schemas - move xxx__xx entities so that they are not causing additional USE FROMs.
- Schemas modified (ARM and mapping):
-- classification_with_attributes_xim
-- ida_step_schema_xim
-- effectivity_application_xim
-- task_specification_xim
-- identification_assignment_xim
-- pre_defined_product_data_management_specializations_xim

- Working on AP203 modules/resources
-- modules/ply_orientation_specification
-- modules/ply_orientation_specification
-- modules/procedural_shape_model
-- modules/part_and_zone_laminate_tables
-- modules/design_material_aspects
-- modules/basic_geometric_topology
-- modules/solid_with_local_modification
-- modules/composite_material_aspects
-- modules/stock_material
-- modules/composite_constituent_shape
-- modules/ap203_configuration_controlled_3d_design_of_mechanical_parts_and_assemblies
-- modules/modified_swept_solid
-- modules/swept_solid
-- modules/thickened_face_solid
-- modules/single_part_with_unspecified_geometric_model
-- resources/presentation_definition_schema
-- resources/aic_associative_draughting_elements
-- resources/presentation_appearance_schema
-- resources/presentation_organization_schema
-- resources/presentation_resource_schema


- XIM/MIM conversion:
-- removed workarrounds for known problems in generate Java classes for some XIM entities.
-- Added additional cleanup for known AP210 patterns (e.g. remove item_shape, which is just intermidiate entity in PUPS->PU, etc.).

- Cx classes
-- Minor fix for related/relating mix up in Unrouted_join_relastionship. 
-- Moved one Cx class according to movements in pre_defined_product_... schema.
-- Some fixes in the area od Definition_based_product_occurrence and subtypes.

 
 
================================== 
Pattern: 
- schema - general commentrs 
- schema.entity - what has changes 
- schema.entity.attribute 
 
- version number should show up in the manifest or similar so that it is possible to later figure out to which version a xim-jar is about 
- have a local file, but with every new release put it out on the web (or CVS) 
==================================